commit 8154492da3d8b6e0e71eb7dcb5e2e3b06ddb09a7
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Tue Sep 25 19:04:50 2012 +0000

    utf-8 encode user keys in memcache (bug 1056373)
    
    Change-Id: I026dd4282742213e69c7aa02e109439b07a73c8e
    (cherry picked from commit 431e50a7851d2e7dbb212d02647faeb958ed21e8)

commit 84f41c2e43f366f8aa9a4d2201604535966d74d7
Merge: af8b031 4e1a086
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Sep 13 21:20:06 2012 +0000

    Merge "Limit token revocation to tenant (bug 1050025)"

commit 4e1a0867f9e9f42dd7c2abe3a10ca8a8f7dddce3
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Thu Sep 13 11:59:11 2012 -0500

    Limit token revocation to tenant (bug 1050025)
    
    Change-Id: I7ebe0192b4900ad9475119a6d582233b37b31fb4

commit af8b031e7ae5c0d1cf498cd86e691dd3e9a71de1
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Thu Sep 13 11:22:59 2012 -0500

    Fixed trivally true tests (bug 983304)
    
    Change-Id: I3c66092ce54cab6d972f78857b4c386b69dcabe3

commit 461fd623f649131a7c3b89abd76cdfa5596b522d
Merge: 8c15b0a b6e568e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Sep 13 16:02:56 2012 +0000

    Merge "Implement token endpoint list (bug 1006777)"

commit 8c15b0a35db43fca5cc3c13f31b483eb2a8c2132
Merge: eb9aea3 861f27f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Sep 13 02:22:37 2012 +0000

    Merge "LOG.warn all exception.Unauthorized authentication failures"

commit eb9aea3c580bb584f13dee5b8fd36d889de54e07
Merge: 5b24ef5 1683d84
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Sep 13 02:20:54 2012 +0000

    Merge "Document memcached host system time configuration."

commit 5b24ef5c01a3fd1d950e6f0edb19197e952661c5
Merge: efb6b3f 2c29d4c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Sep 12 23:22:07 2012 +0000

    Merge "LDAP backend attribute fixes"

commit efb6b3fca0ba0ad768b3e803a324043095d326e2
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Fri Sep 7 14:35:21 2012 -0500

    Delete user tokens after role grant/revoke
    
    Delete user tokens when a new role is granted or revoked, in order to
    prevent old tokens to continue to be valid for the original set of
    roles for the remainder of the token's lifespan.
    
    Addresses CVE-2012-4413.
    Fixes bug 1041396.
    
    Change-Id: Iecf891f274b67408f568b949a7028362c4c30312

commit 2c29d4ca4bd841823aa57e0cea7e97d5c2854581
Author: Derek Yarnell <derek@umiacs.umd.edu>
Date:   Mon Sep 10 20:52:14 2012 -0400

    LDAP backend attribute fixes
    
    R Boden and Adam Young assissted on this patch.
    
    There are two issues with the TenantAPI for the ldap Identity.
    
    There is a mistaken attribute_mapping entry, which was mapping
    'description' into 'desc'. Per RFC 2256 there should be no need to map
    this as the attribute as it is already 'description' in the LDAP
    schema. I am not aware of any other schema that would use 'desc'
    attribute for a 'groupOfNames' object.
    
    Since there is no support (yet) for users, tenants or roles to be
    enabled/disabled there needs to be a attribute_ignore set for the
    'enabled' attribute.
    
    Bug 980085
    
    Change-Id: I40afa7a1345c45c119e699bf4fd4c99652f66c2f

commit 1683d847f088bd2e0d21167fcb62777dfd12c7f5
Author: Maru Newby <mnewby@internap.com>
Date:   Fri Sep 7 13:57:04 2012 -0700

    Document memcached host system time configuration.
    
     * Addresses 1022614
    
    Change-Id: I81617c4eecd6fdfdb3f01eb674f7308d9c93baaa

commit ee31114d9dfc99bb143241dc547f7b4abeaaafbf
Merge: 3245a70 235c4ce
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Sep 11 00:17:28 2012 +0000

    Merge "Implementation of tenant,user,role list functions for ldap"

commit 3245a70beea7a472dfbde606fcd99aaee3a1925c
Merge: 832ce92 201a109
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Sep 10 19:53:59 2012 +0000

    Merge "Cleanup PEP8 errors from Common"

commit 235c4ce3d7d5459974fa1995f6d58f4268ebfc7e
Author: Derek Yarnell <derek@umiacs.umd.edu>
Date:   Mon Apr 16 15:23:12 2012 -0400

    Implementation of tenant,user,role list functions for ldap
    
    Bug 983304
    
    Defines functions for the retrival and return of the tenant, user and
    role objects in ldap.  They will return in whatever order LDAP provides
    them.
    
    Additional fix for pep8 whitespace violation.
    
    Additional change to add some minimal unit tests for the new functions
    Tests have successfully run against a live LDAP server
    
    Change-Id: I368ae4097bb9bcdaab7bca0ccc2f9204d58f69d8

commit 832ce92545611efee0fe39fd3e063a6379f8ba5b
Merge: 450c6b7 fa9f0f1
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Sep 10 17:08:25 2012 +0000

    Merge "Initialize Metadata variable"

commit 450c6b7734adce0994e490ef55e08272a04ef61d
Merge: 150413c 685c1c2
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Sep 10 17:07:56 2012 +0000

    Merge "PEP8 fix E251"

commit fa9f0f1362a4dc1e7370fad9c69bb22804504b19
Author: Adam Young <ayoung@redhat.com>
Date:   Sat Sep 8 09:35:40 2012 -0400

    Initialize Metadata variable
    
    Otherwise, Metadata hands back as None, which breaks later on in the
    Authentication process. This is how the SQL backend worksi as well.
    
    Bug 1047848
    
    Change-Id: I53022bff73267c9526d69e1d2c8ec3c87b3b89fe

commit 201a1092f8d278cb2b0d87198682a71df1ab4544
Author: Adam Young <ayoung@redhat.com>
Date:   Fri Sep 7 17:11:54 2012 -0400

    Cleanup PEP8 errors from Common
    
    Change-Id: Ibd4fec8b38ba33168c271a8efed65dbf598bd372

commit 150413cc4ba8ec854cf6fa30efeb7a653ad5e17a
Author: Adam Young <ayoung@redhat.com>
Date:   Thu Sep 6 11:54:04 2012 -0400

    List tokens for memcached backend
    
    Creates and updates an index of tokens in a memcache entry keyed
    by the user id
    
    Bug 1046905
    
    Change-Id: If11d6b87b0a8ae5f8349f1ebb31790e943c70fbf

commit fd6d2f1b1184c5b8da1ded3a560ef57795863fb5
Merge: 27d1f64 7d9b239
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Sep 6 17:53:50 2012 +0000

    Merge "Sync some misc changes from openstack-common"

commit 27d1f643e738fd420988927cd018956085729e32
Merge: 32b82ae e09a121
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Sep 6 17:44:58 2012 +0000

    Merge "Sync latest cfg from openstack-common"

commit b6e568ede0d5e7abae69b28920f33f95be6190b5
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Thu Sep 6 08:15:06 2012 -0500

    Implement token endpoint list (bug 1006777)
    
    Change-Id: Ia7dad06ec763994ce0beb171c481ab01c20af6cb

commit 32b82aedd333d9e6c780c5b255aae4f85e873655
Author: Adam Young <ayoung@redhat.com>
Date:   Thu Sep 6 10:40:24 2012 -0400

    Ignore eclipse files.
    
    Change-Id: I3a9bb25b1fbdc696cee45e97e67dfb9af35e7718

commit 7d9b239990d25b04f7af57835577437eb5ca4602
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Wed Sep 5 11:55:49 2012 +0100

    Sync some misc changes from openstack-common
    
    Syncs the following changes from stable/folsom:
    
     769ec65 Don't trap then re-raise ImportError.
     202b8b7 Fix spelling typos
     01b4f31 Support for marshalling datetime while preserving microseconds.
     c11a0d4 Remove unused imports
     9e1bd9d Add missing convert_instances arg.
     2d6f847 Track to_primitive() depth after iteritems().
     8c74b37 Improve exception from importutils.import_class().
     1fb2361 add import_object_ns function
    
    Change-Id: Id5885f4a00207cf70f15f195a154c45903111b8b

commit e09a12138494e78055f03afa68da661befaa16c4
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Wed Sep 5 11:33:40 2012 +0100

    Sync latest cfg from openstack-common
    
    Syncs the following changes from stable/folsom:
    
     4dc2043 cfg: clean up None value handling
     513bd3a Allow set_default and set_override to use None
     0a36c92 Tilde expansion for --config-file and --config-dir
     038d597 Add import_opt() method to ConfigOpts
     90da88c Modifies _is_opt_registered fcn to check for duplicate opts
     3af0786 cfg: Fix typo in documentation
     9f93872 Update common code to support pep 1.3. bug 1014216
     fb0f00e Use 'is not None' instead of '!= None'
     d1ec5ce Add support to include config aliases
    
    Also, exclude keystone/openstack/common from pep8 checks because
    it is pep8-checked in openstack-common anyway and all pep8 fixes
    would need to go into openstack-common first.
    
    Change-Id: Ie6354251942648c16c2be270af2b95f3f45e27ed

commit a9ee611c434556f1406255f4e002f894196301ff
Author: Adam Young <ayoung@redhat.com>
Date:   Tue Sep 4 16:20:37 2012 -0400

    Remove id_hash column
    
    Storing the token body in the database back end is expensive and
    not required.  This removes the storage, as well as updates
    the Database schema
    
    Bug 1046023
    
    Change-Id: Iee92ca7c2aeef04664883693b78ecfc1781fb335

commit 103f692fd78cc9ac7c188736b1abf07d855ab140
Merge: a7918cd 379354b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Sep 4 21:48:17 2012 +0000

    Merge "HACKING: Use single quotes"

commit a7918cd5af97a5d206597a24d21bdf8bb5205d0e
Merge: dfa413e 026bea6
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Sep 4 21:47:55 2012 +0000

    Merge "Fixed typos in comment"

commit dfa413e7ed7787d088e842d2f99928c9daf61e47
Merge: 1563526 8a84c03
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Sep 4 21:44:40 2012 +0000

    Merge "HACKING: Import by full module path"

commit 15635261a447a5039f78b471bc7e2f0f5a4669b3
Merge: 8707bc6 ac95f83
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Sep 4 21:43:58 2012 +0000

    Merge "Removed/fixed unused variable references"

commit 8707bc65b96d6b2d4f29d5da811e730c1bddf979
Merge: 076e657 7c93e84
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Sep 4 16:04:10 2012 +0000

    Merge "Removed unused imports"

commit 076e6571b1b7d7e59f08e9145be039e8967015c7
Merge: a6c6fd2 5446577
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Sep 4 16:03:18 2012 +0000

    Merge "Upgrade PEP8 to 1.3.3 (bug 1037303)"

commit a6c6fd2f70c6047047a983967fc93a5b85443bff
Merge: 500426c 4c32b5c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Sep 4 16:02:55 2012 +0000

    Merge "Expand PEP8 coverage to include docs & tests"

commit 500426cf183e80044162dce8cb60c476301832fb
Merge: 0843443 7ad8497
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Sep 4 15:52:04 2012 +0000

    Merge "PEP8 fix"

commit 08434434349a9b47b563dc2a8fee4f970c7c0a18
Merge: b82a0e2 a411412
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Sep 4 15:51:22 2012 +0000

    Merge "Fixed: test_default_tenant_uuid_token not running"

commit 861f27f83d9b074f48109b6e00f2af0cd2469ce7
Author: Ionuț Arțăriși <iartarisi@suse.cz>
Date:   Mon Aug 13 14:26:21 2012 +0200

    LOG.warn all exception.Unauthorized authentication failures
    
    Fixes bug: 1036161
    
    Change-Id: I45cf27cb6e702a0470243efdb310eb0a65cfd2b0

commit a41141285efa6df818b32bc334ef8327d58323b7
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Wed Aug 29 14:51:24 2012 -0500

    Fixed: test_default_tenant_uuid_token not running
    
    - Two tests shared the same name, so the first one was not executed
    - Module-level variable name out of date
    
    Change-Id: I206aa9589cb95a2fb40b9f0cf5e2bc1323b837ee

commit 5446577a643bb54881c3ccc3fa458c441313cc94
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Thu Aug 30 03:38:14 2012 -0500

    Upgrade PEP8 to 1.3.3 (bug 1037303)
    
    Change-Id: I83aa851cec80652888faf3fe29d8b4904f8b4f63

commit 4c32b5cd472f9b32daba26128ab28ed1205e9493
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Thu Aug 30 03:34:04 2012 -0500

    Expand PEP8 coverage to include docs & tests
    
    Change-Id: I0941053c8d3eff69e15da3bd7a8c6942ba4634b1

commit ac95f832d4457089c4f0febb8a5229d70cfa02fe
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Thu Aug 30 03:26:30 2012 -0500

    Removed/fixed unused variable references
    
    Change-Id: Ifed4fc2158e9eb003561620504d2d35e07cdd3bd

commit b82a0e2b22a8aff19bf8853e6cd9b2bb25a5281f
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Thu Aug 30 03:15:22 2012 -0500

    HACKING compliance & staticly init module vars
    
    - HACKING: "When defining global constants, define them before functions
      and classes"
    - Statically initializing other module variables to None
    
    Change-Id: I8d01e179262a8b16dbe49edef8e23260970c84a0

commit 685c1c2b7bd2af7e6566bcce86b18fe964bb4f92
Author: leekelby <leekelby@gmail.com>
Date:   Thu Aug 30 10:18:24 2012 +0800

    PEP8 fix E251
    
    Change-Id: I399b434fc754d8748c80711e6a9a1a519b719363

commit 7ad849706304c2591ff5f3f15d23c32f6c699a88
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Wed Aug 29 15:40:09 2012 -0500

    PEP8 fix
    
    Change-Id: Ic35afaa8f26ed8d6de28106513b4c22252c6e3fa

commit 7c93e8407d76c57c799c2207507bca204cc0e5b4
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Wed Aug 29 14:40:52 2012 -0500

    Removed unused imports
    
    Change-Id: I203a1256cb4395ad330c19a14870171420daa065

commit 2759c2239862ebe9bf7b6656936c65753e5c2cfc
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Wed Aug 29 13:55:40 2012 -0500

    Check for expected cfg impl (bug 1043479)
    
    Change-Id: Id2ac85d4ac61713c0ca8e2c10e68cbdeeadff4cb

commit 026bea6206977fbd955a1b7f8f5c4bf600179088
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Wed Aug 29 04:02:25 2012 -0500

    Fixed typos in comment
    
    Change-Id: Ia05a65157e718694e9541296a3a36148810c1179

commit 8a84c03105c35766831c24c611520cd43ae5ad10
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Wed Aug 29 03:58:15 2012 -0500

    HACKING: Import by full module path
    
    Change-Id: I7cc2cc956c1b26b9ebc8a339796f5578f1d1cf91

commit 379354b935fe02a72ffe64bfdce6d397bcfad2b1
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Wed Aug 29 03:57:15 2012 -0500

    HACKING: Use single quotes
    
    Change-Id: Ibe5422affe13aac0d43c159a8b8ff2f35f4a72a3

commit 035a956f205f10cbd4144c6bd005f912705202c8
Merge: d640080 3974105
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Aug 24 13:29:52 2012 +0000

    Merge "Add nosehtmloutput as a test dependency."

commit d6400802b54b5e9395bbb5ff9dfa3bc2b6bbf246
Merge: 99f9beb 861670e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Aug 24 13:27:53 2012 +0000

    Merge "pep8 1.3.3 cleanup removing unused imports"

commit 99f9beb1831e4c8a74b230eaa3de6a6b9dc6f249
Merge: 175c4e9 13ce482
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Aug 24 13:06:05 2012 +0000

    Merge "mistake in doc string"

commit 175c4e94c457d9ca1fcb032d32115f3e0681ca9c
Merge: 6b04662 af52ef1
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Aug 24 12:55:58 2012 +0000

    Merge "Demonstrate that authenticate() returns roles."

commit 13ce4820604d8314b59acbb62fdef2df09300e33
Author: monsterxx03 <xyj.asmy@gmail.com>
Date:   Fri Aug 24 13:28:32 2012 +0800

    mistake in doc string
    
    mistake target to object in doc string of keystone/policy/backends/rules.py
    
    Change-Id: I6a4711d142d3ecec3c44423af21d2438a4696d8c

commit 861670e09194deb58690c32056ba9c67a56b9dd2
Author: Joe Heck <heckj@mac.com>
Date:   Fri Aug 24 01:16:31 2012 +0000

    pep8 1.3.3 cleanup
    removing unused imports
    
    Change-Id: I0472fd074bbe0b2ec07f1548f3930df339523465

commit 6b04662844dc031c8f0ca6c74b0222b19587f3eb
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Thu Aug 23 14:16:48 2012 -0500

    Removed dead code
    
    Change-Id: I41e23bfcc4fbe291af27448dc00cdce85b717111

commit 84da6be591d0cf4702c0728a0fd1e430526c7530
Merge: abb6ad7 3fa4ba5
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 23 17:10:21 2012 +0000

    Merge "Fix auth_token middleware to fetch revocation list as admin."

commit abb6ad76b3230f9a91ed31003e4241f0959bbad2
Merge: 76ec7bb 98d3a89
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 23 16:26:21 2012 +0000

    Merge "Code cleanup in doc/source/conf.py"

commit 76ec7bbb5d8f52e767306f6b03f890559bbd069b
Merge: f020bbd 1698094
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 23 16:26:02 2012 +0000

    Merge "change verbose and debug to Fasle in keystone.conf.sample"

commit f020bbdab8a95b4abc0fc38ff32d16bf40aa3837
Merge: 229e5a2 067fcf0
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 23 15:40:22 2012 +0000

    Merge "Typo fix in keystone: existant => existent"

commit 229e5a221528b6a5e3329e17351e4575bf0b146b
Merge: f20cfbf ddc8995
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 23 15:26:46 2012 +0000

    Merge "add token_format=UUID to keystone.conf.sample"

commit 3fa4ba537e7d297aeb63554231d041da7ad2476f
Author: Adam Young <ayoung@redhat.com>
Date:   Fri Aug 17 19:17:17 2012 -0400

    Fix auth_token middleware to fetch revocation list as admin.
    
    Make the revocation list into a JSON document and get the Vary header.
    This will also allow the revocation list to carry additional
    information in the future, to include sufficient information for the
    calling application to figure out how to get the certificates it
    requires.
    
    Bug 1038309
    
    Change-Id: I4a41cbd8a7352e5b5f951027d6f2063b169bce89

commit f20cfbf34ea0667996e7dc918f6c453ad1bd81ad
Merge: e64d227 c13d0ba
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 23 14:45:08 2012 +0000

    Merge "Require authz to update user's tenant (bug 1040626)"

commit e64d227214b99ea98a8aa9e4d24ce0be16ef160e
Merge: ecee2d8 1749644
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 23 14:35:31 2012 +0000

    Merge "allow middleware configuration from app config"

commit ecee2d89ba98cfcf1a7d9a27f6336f1ca2ed5efd
Merge: 212f13b dcb1e84
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 23 13:38:34 2012 +0000

    Merge "Less information returned with IntegrityError"

commit c13d0ba606f7b2bdc609a7f388334e5efec3f3aa
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Thu Aug 23 07:39:20 2012 -0500

    Require authz to update user's tenant (bug 1040626)
    
    Change-Id: I82f80b84af2bc4db00b3dcb87a2ec338816a82e9

commit 98d3a89822778128c4a309a50dee4f0c3f195fc2
Author: Ray Chen <oldsharp@163.com>
Date:   Thu Aug 23 14:21:35 2012 +0800

    Code cleanup in doc/source/conf.py
    
    Code cleanup in doc/source/conf.py and fix some PEP8 issues
    to make the code more pretty.
    
    Change-Id: Ifc8bb4bff72f9497080a3f0b3df2161bd9328ab0

commit 067fcf03392196ce7e614f651851f19321d8574b
Author: Rongze Zhu <zrzhit@gmail.com>
Date:   Thu Aug 23 03:37:04 2012 +0000

    Typo fix in keystone: existant => existent
    
    Change-Id: Ie6cd74382a7ada603c123968fe5407fddac619fd
    Impact: Test comments

commit 174964498ba098f206d27119ce58d9fa6f43d302
Author: Alan Pevec <apevec@redhat.com>
Date:   Tue Jul 31 03:14:16 2012 +0200

    allow middleware configuration from app config
    
    From markmc's proposal:
    http://lists.openstack.org/pipermail/openstack-dev/2012-July/000277.html
    
    For backward compatiblity, configuration from paste-deploy INI is used
    if it exists. If not, section [keystone_authtoken] in  global
    configuration is expected, with the same parameter names.
    
    Requires application using global cfg.CONF object (nova and glance since
    folsom-2) and before there's openstack.common library, attempts to use
    copy/pasted <application>.openstack.common.cfg
    
    DocImpact
    
    Change-Id: If6aa22280f4ce2cc698d99a130b5792dab808363

commit 212f13b99255bf88e463c9392987e65bb486ad46
Author: Adam Young <ayoung@redhat.com>
Date:   Wed Aug 22 13:05:36 2012 -0400

    PEP8 fix for PAM test.
    
    Change-Id: I2c838989ea1c5f893c37c97cadc4d5d76b36fb6f

commit 169809469790cc07e63d3ff9ff72b99e20f5b0fc
Author: monsterxx03 <xyj.asmy@gmail.com>
Date:   Wed Aug 22 11:55:56 2012 +0800

    change verbose and debug to Fasle in keystone.conf.sample
    
    fix bug #1039857
    
    verbose and debug is False by default, but they display True in
    keystone.conf.sample. It may confuse people who cp
    keystone.conf.sample to keystone.conf
    
    Change-Id: I62031b879196da1633a198b6ae1f116485fe783b

commit ddc8995217ce66f6115afbe4f7025eca5d49ac42
Author: monsterxx03 <xyj.asmy@gmail.com>
Date:   Wed Aug 22 10:35:50 2012 +0800

    add token_format=UUID to keystone.conf.sample
    
    Change-Id: I535ddb9e7437cd80e692db13615cbfdc1b918e46

commit af52ef1479861ffdf3aa3a334fc9fffc8faa8843
Author: Andrew Bogott <abogott@wikimedia.org>
Date:   Tue Aug 21 17:52:58 2012 -0500

    Demonstrate that authenticate() returns roles.
    
    This is related to lp 1035428; that bug is fixed in folsom,
    but this test is also about to appear in stable/essex.
    
    Change-Id: Iadd4091339aab2c3a8d474b44dcd11f8bfd1d510

commit 39741058fa7b4097041f84b2b495d0eb9b71b807
Author: Clark Boylan <clark.boylan@gmail.com>
Date:   Tue Aug 21 14:19:44 2012 -0700

    Add nosehtmloutput as a test dependency.
    
    Adding nosehtmloutput as a test dependency allows nose to output its
    results to an html file. This will be used by Jenkins to save logs on
    a different server.
    
    Change-Id: Ic19030cc4cc8fcf99ee9442de175f38ac6126776

commit 5419afce36090d2e6dd37fb7e62066a9dc872c1d
Merge: 4af21ae e0a7ebd
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Aug 21 20:53:00 2012 +0000

    Merge "Add tests for PAM authentication."

commit 4af21ae80bf5a26095642b8a5740753e4080f1bb
Merge: d04e99a 308ca89
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Aug 21 20:52:20 2012 +0000

    Merge "Removed stray print statement (bug 1038131)"

commit dcb1e84fe0be383cb6f8f97820b67b29cc5ef95f
Author: Dmitry Khovyakov <hovyakov@gmail.com>
Date:   Tue Aug 21 10:38:32 2012 -0400

    Less information returned with IntegrityError
    
    Fixes bug: #1039552
    
    Change-Id: Ie91ff09cadbbf24dc88b013581ebdd4a37c3b6b0

commit d04e99a513fe46c6ede8ef917ba24a52fc74294b
Author: Adam Young <ayoung@redhat.com>
Date:   Mon Aug 20 12:44:35 2012 -0400

    Support running the tests in the debugger.
    
    Bug 1039112
    
    Change-Id: I4e449cebe8dbc4e8f591930de6551304354e1dd0

commit a56b63e4bbd4de2d730745f9a7fc514f3dead162
Merge: 4785da9 bf45b45
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Aug 17 15:34:47 2012 +0000

    Merge "Remove unused variables"

commit 308ca897888c238615812fb9b12c115c3b8561df
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Fri Aug 17 10:09:16 2012 -0500

    Removed stray print statement (bug 1038131)
    
    Change-Id: Ice4db491b6040679524e5d034b1bfc7b045b38d1

commit 4785da90b0af50382bcf8e04aa5a8751e2a32571
Merge: 64bbaf5 7b70818
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Aug 17 14:58:13 2012 +0000

    Merge "PKI Token revocation"

commit bf45b4552689b2d69088e5394c7cd29bc401e359
Author: RongzeZhu <zrzhit@gmail.com>
Date:   Thu Aug 16 23:07:09 2012 +0800

    Remove unused variables
    
    'reqs_in' in openstack.common.setup.get_reqs_from_files is unused.
    'dialect' in common.sql.migrate_repo.versions.001_add_initial_tables is
    unused.
    
    Change-Id: Ic2ae2873cef1978eefe03148861fedd5a4a013b2

commit 7b70818954c2bc80bbfbb7679e0de9a483ee0c61
Author: Maru Newby <mnewby@internap.com>
Date:   Wed Aug 8 20:49:23 2012 -0400

    PKI Token revocation
    
    Co-authored-by: Adam Young <ayoung@redhat.com>
    
    Token revocations are captured in the backends,
    
    During upgrade, all previous tickets are defaulted to valid.
    
    Revocation list returned as a signed document and can be fetched in an admin context via HTTP
    
    Change config values for enable diable PKI
    
    In the auth_token middleware,  the revocation list is fetched prior
    to validating tokens. Any tokens that are on the revocation list
    will be treated as invalid.
    
    Added in PKI token tests that check the same logic as the UUID tests.
    Sample data for the tests is read out of the signing directory.
    
    dropped number on sql scripts to pass tests.
    
    Also fixes 1031373
    
    Bug 1037683
    
    Change-Id: Icef2f173e50fe3cce4273c161f69d41259bf5d23

commit 64bbaf51e6aa1bbab4be2405a99f9b116e2e8f32
Author: RongzeZhu <zrzhit@gmail.com>
Date:   Thu Aug 16 22:02:48 2012 +0800

    Remove unused imports
    
    Fixes bug #1037578
    
    Change-Id: I2fdaf83e731e1b839eb0bb2ee2f0f55d7bd40f00

commit bf5ce27fb24b2f32b7f7e2dda332b2bd7abd6779
Author: Thierry Carrez <thierry@openstack.org>
Date:   Wed Aug 15 11:16:08 2012 +0200

    Adding missing files to MANIFEST.in
    
    Fix MANIFEST.in to include files missing from generated tarballs.
    Fixes bug 1037010.
    
    Change-Id: I33a911e77cc364e761de0c45de7046eca58797b1

commit e0f61a2266c5508c87383b21e655432048d8f37a
Merge: fa60ef0 37ff759
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Aug 14 02:41:20 2012 +0000

    Merge "Simplify the sql backend deletion of users and tenants."

commit fa60ef0a6e8e15089d8b93f29544a777d8251717
Merge: 6c69264 bc12215
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Aug 13 16:44:16 2012 +0000

    Merge "Set example key_size to 1024."

commit 6c6926401f53fed8ce1c4ee05fd9de41e61e0bca
Merge: 4f3dcb6 bdc8e76
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Aug 13 16:44:14 2012 +0000

    Merge "fix broken link"

commit 37ff759707f64ee4f4eafee8448ece36b96173e4
Author: Robert Collins <robertc@robertcollins.net>
Date:   Sun Aug 12 19:30:35 2012 +1200

    Simplify the sql backend deletion of users and tenants.
    
    There is a remaining problem in that the table definition permits dangling
    membership in tenants, and vice verca, but this change will make the fix for
    that easier to review, and make the code simpler and faster at the sametime.
    
    See bug 1000609 for the bug report that lead to examining this.
    
    Change-Id: Id7cd5fad7032779d352a7c577c8d10558091d767

commit e0a7ebdc9626d9f6932fb8c258998916afdf8468
Author: Bhuvan Arumugam <bhuvan@apache.org>
Date:   Sat Aug 11 22:48:33 2012 -0700

    Add tests for PAM authentication.
    
    Bug: 1003829
    
    * keystone/config.py
      Define defaults for pam.
    
    * tests/backend_pam.conf
      Defaults to execute pam tests.
    
    * tests/test_backend_pam.py
      New script to test all implemented methods for pam backend.
    
    Change-Id: I891f080c36fbdc1d641d49edf9fe762702b591b6

commit 4f3dcb6c9b23867e6049f24c851b12904aee3b76
Author: Adam Young <ayoung@redhat.com>
Date:   Thu Jul 26 15:30:39 2012 -0400

    Allow overloading of username and tenant name in the config files.
    
    Includes documentation and sample config file values.
    
    Bug 997700
    
    Patchset adds DocImpact flag for notifying doc team about these new
    config file values.
    
    Change-Id: Ibd3fade3f233a3b89a1c2feaa0a6b5a9569ad86c

commit be073f09d7b9289cb6b555696e25ce7f8b2f5a6e
Merge: dda4007 9d5261c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Aug 7 19:34:48 2012 +0000

    Merge "Implement python version of migration 002."

commit dda40071ed757b1312870ccc04b09a698933bcec
Merge: f82c7c2 ac4dcfd
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Aug 6 15:55:13 2012 +0000

    Merge "Use user home dir as default for cache"

commit f82c7c22a83ac1b8cd6483ed3e9b4708c90a89ba
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Wed Aug 1 14:02:22 2012 -0500

    Enabling SQL Catalog tests (bug 958950)
    
    Change-Id: I9d33d95ffa357b88f099a5a37aa4a139d93fd82f

commit ac4dcfd8f64dfe19d607b770eb98dd289498d3ac
Author: Adam Young <ayoung@redhat.com>
Date:   Tue Jul 31 16:41:47 2012 -0400

    Use user home dir as default for cache
    
    This is a better and safer default, as it and minimizes the
    possibility that the cache directory will be prepopulated or
    unwritable, while still providing a reasonable value for the
    individual developer
    
    Creates a better exception for failure to create the cache
    dir
    
    Logs the name of the cache dir actually used.
    
    Bug 1031022
    
    Change-Id: Ia3718107e436ceb034e3a89318ac05265d66d6f1

commit bc12215b2fec371b543ed671cb4ae02c3f77aa5b
Author: Dan Prince <dprince@redhat.com>
Date:   Mon Jul 30 23:22:21 2012 -0400

    Set example key_size to 1024.
    
    Updates the default key_size and config file example to 1024.
    Using the previous value of 2048 would cause database truncation
    and/or column size errors because the 'id' column isn't big enough
    to hold that much data.
    
    Works around LP Bug #1031191.
    
    Change-Id: Ic28bf0945a65fb80a4b610a4de7afa485d09e2bb

commit 2b2d0a15311fb1e9b6369374dfd5e0b49e4bf7a8
Author: Dan Prince <dprince@redhat.com>
Date:   Tue Jul 31 07:49:49 2012 -0400

    Log errors when signing/verifying.
    
    The patch updates the PKI cms_verify and cms_sign_text methods so
    that they log full error messages to the log file when errors occur.
    These error messages will now include useful output from the openssl
    commands that failed (which should help end users better diagnose
    configuration issues with PKI). For example:
    
     2012-07-31 11:10:53    ERROR [keystone.common.cms] Error opening signing
     key file /etc/keystone/ssl/private/signing_key.pem
     140380567730016:error:0200100D:system library:fopen:Permission
     denied:bss_file.c:398:fopen('/etc/keystone/ssl/private/signing_key.pem','r')
     140380567730016:error:20074002:BIO routines:FILE_CTRL:system
     lib:bss_file.c:400:
     unable to load signing key file
    
    Previously you'd just get an error that looked like this:
    
     CalledProcessError: Command 'openssl' returned non-zero exit status 3
    
    Fixes LP Bug #1031317.
    
    Change-Id: I8990ef057488fe71d077a02b443da464f99fcd94

commit 0f77f751447ab2a1e2f4dc715aef07233e1669ef
Merge: 4444577 ba8f351
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 31 04:07:52 2012 +0000

    Merge "Assert adminness on token validation (bug 1030968)"

commit 9d5261cfeb1854a02fcd3eb802bc1ba47ef79f1b
Author: Dan Prince <dprince@redhat.com>
Date:   Mon Jul 30 22:20:25 2012 -0400

    Implement python version of migration 002.
    
    This patch adds a python version of keystone migration 002 which
    supports MySQL and PostgreSQL. SQLite still uses manual .sql files
    for now...
    
    Fixes LP Bug #1031164.
    
    Change-Id: I2f4f7b0ea42040994bd8e1711ccbbb6d690c868f

commit 4444577e23cf3365479793d90e3ae337e4638b6a
Author: Dan Prince <dprince@redhat.com>
Date:   Mon Jul 30 15:15:04 2012 -0400

    Set default signing_dir based on os USER.
    
    Updates the Keystone auth_token middleware so that it sets the
    default signing_dir name base on the OS username obtained
    from the environment. This should help resolve potential permissions
    issues which can occur when multiple OpenStack services attempt
    to use the same signing directory name.
    
    Fixes LP Bug #1031022.
    
    Change-Id: I53bceed27f60721b8f61ffec2d1e91ec2ea464ed

commit ba8f351c6b72c2c49b070bf5e5551ff26fd3402b
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Mon Jul 30 11:23:32 2012 -0500

    Assert adminness on token validation (bug 1030968)
    
    - Only affects non-PKI tokens
    
    - Includes style changes following bug 1003962
      - Fixed redundant imports & import order
      - Fixed single quote consistency
      - Fixed line continuations
      - Refactored a bit for readability
    
    Change-Id: I2d2566c615919f4968fd5636744fdb613b8fa3ad

commit 73556fa0285d05adc54ef4f247198cf58da36639
Merge: d2ecd61 dada197
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jul 30 18:13:37 2012 +0000

    Merge "Test for Cert by name"

commit dada197a4836c94c6a02b51ae35aed256cad9ac4
Author: Adam Young <ayoung@redhat.com>
Date:   Mon Jul 30 11:11:47 2012 -0400

    Test for Cert by name
    
    Fixes a typo in checking if cert file exists.
    
    Bug 1030912
    
    Change-Id: Iea783aaa6bc425a17799d40cd6b378d90ebe6faf

commit d2ecd617459652cb1e9d3a65e682aa2cf0abb71f
Author: Syed Armani <dce3062@gmail.com>
Date:   Sat Jul 28 03:29:21 2012 +0530

    Typo error in keystone/doc/source/configuration.rst.
    
    Change-Id: I076d4679cd797db816b99e63053661515712302b

commit bdc8e76405bb2cf46532c402a1b78bb1e277a488
Author: Alan Pevec <apevec@redhat.com>
Date:   Fri Jul 27 17:06:30 2012 +0200

    fix broken link
    
    sections have implicit hyperlink targets
    http://docutils.sourceforge.net/docs/ref/rst/restructuredtext.html#implicit-hyperlink-targets
    
    bug 1027109
    
    Change-Id: I984695c16f77e7939c5aebe65060abc13e3514ca

commit bcc0f6d6fc1f674bc4b340d041b28bc1cfddf66a
Author: Adam Young <ayoung@redhat.com>
Date:   Mon Jul 2 22:18:36 2012 -0400

    Cryptographically Signed tokens
    
    Uses CMS to create tokens that can be verified without network calls.
    
    Tokens encapsulate authorization information.
    This includes user name and roles in JSON.
    The JSON document info is cryptographically signed with a private key
    from Keystone, in accordance with the Cryptographic Message Syntax (CMS)
    in DER format and then Base64 encoded.  The header, footer, and line breaks
    are stripped to minimize the size,  and slashes which are  invalid in Base64
    are converted to hyphens.
    
    Since signed tokens are not validated against the Keystone server,  they
    continue to be valid until the expiration time.  This means that even if a user
    has their roles revoked or their account disabled, those changes will not take
    effect until their token times out.  The prototype for this is Kerberos, which
    has the same limitation, and has funtioned sucessfully with it for decades.  It
    is possible to set the token time out for much shorter than the default of 8
    hours, but that may mean that users tokens will time out prior to completion
    of long running tasks.
    
    This should be a drop in replacement for the current token production code.
    Although  the signed token is longer than the older format, the token is still
    a unique stream of Alpha-Numeric characters.
    
    The auth token middle_ware is capable of handling both uuid and signed tokens.
    
    To start with, the PKI functionality is disabled.  This will keep from breaking
    the existing deployments.  However,  it can be enabled with the config value:
    
    [signing]
    disable_pki = False
    
    The 'id_hash' column is added to the SQL schema because SQL alchemy insists on
    each table having a primary key.  However primary keys are limited to roughly
    250 Characters (768 Bytes,  but there is more than 1 varchar per byte) so the
    ID field cannot be used as the primary key anymore.  id_hash is a hash of the
    id column, and should be used for lookups as it is indexed.
    
    middleware/auth_token.py needs to stand alone in the other services, and uses
    keystone.common.cms in order to verify tokens.
    Token needs to have all of the data from the original authenticate code
    contained in the signed document, as the authenticate RPC will no longer
    be called in mand cases.
    
    The datetime of expiry is signed in the token.
    
    The certificates are accessible via web APIs.  On the remote service side,
    certificates needed to authenitcate tokens are stored in /tmp/keystone-signing
    by default.  Remote systems use Paste API to read configuration values.
    Certificates are retrieved only if they are not on the local system.
    
    When authenticating in Keystone systems, it still does the Database checks for
    token presence.  This allows Keystone to continue to enforce Timeout and
    disabled users.
    
    The service catalog has been added to the  signed token.  Although this greatly
    increases the size of the token,  it makes it consistant with what is fetched
    during the token authenticate checks
    
    This change also fixes time variations in expiry test.  Although unrelated to
    the above changes, it was making testing very frustrating.
    
    For the database Upgrade scripts, we now only  bring 'token' up to V1 in 001
    script.  This makes it possible to use the same 002 script for both upgrade
    and initializing a new database.
    
    Upon upgrade, the current UUID tokens are retained in the id_hash and id fields.
    The mechanisms to verify uuid tokens work the same as before.  On downgrade,
    token_ids are dropped.
    
    Takes into account changes for "Raise unauthorized if tenant disabled"
    
        Bug 1003962
    
    Change-Id: I89b5aa609143bbe09a36bfaf64758c5306e86de7

commit 4ed05519856e9916c25423d655c43e4f812731de
Merge: a10ec0e 4ebfdfa
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jul 25 21:46:59 2012 +0000

    Merge "Raise unauthorized if tenant disabled (bug 988920)"

commit a10ec0e037ddcfa6be69426d245d9e8981256ec6
Merge: 9dc27d5 2a78594
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 24 18:04:09 2012 +0000

    Merge "Implementation of LDAP functions"

commit 9dc27d5148326659f2b3793942c4cc7e5936a126
Merge: 6c5b233 9b31383
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jul 20 18:59:18 2012 +0000

    Merge "Files for  Apache-HTTPD"

commit 6c5b233c505f66bcd70cd87c1bf1fa5804756301
Merge: 4a4ab10 5adb018
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jul 19 17:39:53 2012 +0000

    Merge "Sync jsonutils from openstack-common"

commit 4a4ab103fdf718435ec348a40a9fcdfeb75e7932
Merge: 65aef03 d061599
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jul 19 17:37:32 2012 +0000

    Merge "Fix the wrong infomation in keystone-manage.rst"

commit 65aef03cac150d96fcdbf49ba22601224cdf878b
Merge: 409687f ec363ac
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jul 19 17:37:03 2012 +0000

    Merge "Import ec2 credentials from old keystone db"

commit 409687f7baa159069a11dbdd890c5c46aa057d8d
Merge: 2806181 0abf6ba
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jul 19 17:31:33 2012 +0000

    Merge "Debug output may include passwords (bug 1004114)"

commit 5adb018aaeaf6c05478cae72fe3f97e1b20e0935
Author: Vincent Untz <vuntz@suse.com>
Date:   Thu Jul 19 11:42:18 2012 +0200

    Sync jsonutils from openstack-common
    
    This makes keystone work with recent versions of anyjson.
    
    Changes from openstack-common:
    
        commit ce3071437d1871f77c4d8573cbe5f4ea8c817650
        Author: Russell Bryant <rbryant@redhat.com>
        Date:   Mon Jul 16 10:30:25 2012 -0400
    
            Use strtime() in to_primitive() for datetime objs.
    
            This patch updates jsonutils.to_primitive() to use timeutils.strtime()
            to convert a datimetime object to a string instead of just using str().
            This ensures that we can easily convert the string back to a datetime
            using timeutils.parse_strtime().
    
            Required for the nova blueprint no-db-messaging.
    
            Change-Id: I725b333695930e12e2832378102514326fec639c
    
        commit 4c9d439ef24f5afdd74aa9153aa8fc772051e6cb
        Author: Tim Daly Jr <timjr@yahoo-inc.com>
        Date:   Tue Jun 26 02:48:42 2012 +0000
    
            Add 'filedecoder' method to the jsonutils wrapper module.
    
            Fixes bug #1017765
    
            After version 3.3.2, the anyjson library will throw a KeyError if
            filedecoder isn't present.  The filedecoder is just like the decoder
            except it takes a file instead of a string, like json.load() instead
            of json.loads().
    
            Change-Id: I7bd012a7b4afa9b1ec987c3e6393cc922b5dadff
    
    Change-Id: Icfd5c39c322ed6e73148c7f5ae03f704a3aa160e

commit 28061817edc1950bfc1ad61f69baaacaa7a89468
Author: Unmesh Gurjar <unmesh.gurjar@vertex.co.in>
Date:   Thu Jul 19 13:16:12 2012 +0530

    Added user name validation. Fixes bug 966251.
    
    1. Verified name length while creating/updating user.
    2. Disallowed blank user name in create/update.
    3. Added unit test coverage.
    
    Change-Id: I55cd5daf34f4f57d4163be403a7a75c5d22baa62

commit ec363aca96d4154118ae14b108fcad2ff0917d92
Author: Dmitry Khovyakov <dkhovyakov@griddynamics.com>
Date:   Wed Jul 11 14:17:46 2012 +0300

    Import ec2 credentials from old keystone db
    
    Fix bug #1016056
    
    Change-Id: Iebf31ccbdeff274b2c8f265911d3411963dd4844

commit 0abf6ba254638471a367cfccef65a1b9e0a70ef2
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Tue Jul 17 16:23:49 2012 -0500

    Debug output may include passwords (bug 1004114)
    
    Change-Id: If0a7704ff578162d6b7fa8b68c0e0ed37e72cb73

commit 4ebfdfaf23c6da8e3c182bf3ec2cb2b7132ef685
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Mon Jul 16 16:08:32 2012 -0500

    Raise unauthorized if tenant disabled (bug 988920)
    
    If the client attempts to explicitly authenticate against a disabled
    tenant, keystone should return HTTP 401 Unauthorized.
    
    Change-Id: I49fe56b6ef8d9f2fc6b9357472dae8964bb9cb9c

commit 9b31383c7d8665cf99003974d98df147471e61e1
Author: Adam Young <ayoung@redhat.com>
Date:   Tue May 1 18:41:36 2012 -0400

    Files for  Apache-HTTPD
    
    files required for running Keystone in Apache-HTTPD and instructions to set it up
    
    Change-Id: Ib3fdf873ea3816186e6bb63307028ba3aa2edaa9

commit 2a78594153a69425a20013e7ef15037bcc9b356c
Author: Adam Young <ayoung@redhat.com>
Date:   Thu Jul 12 17:32:59 2012 -0400

    Implementation of LDAP functions
    
    implementations of delete_tenant, delete_user,
      remove_role_from_user_and_tenant, get_tenant_users
      role.delete_user and remove_role_from_user_and_tenant
      remove_user_from_tenant, change_ role
    
    clean up LDAP sample data for live LDAP
    
    properly check for existance of tenant_id in user.
    
    Some tests expected the functions to be unimplemented.  Those hid the
    failuers on the LDAP Identity provider and have been removed.
    
    Make live tests extend the standard LDAP tests, so they test the same features.
    
    Bug 1021315
    
    Change-Id: I2866ff40fdc13040ba10d189ea2d95440eb4395c

commit d06159992899f0f85917c0f7cc0d9dcaf6b07c93
Author: wanglong <wl3617@qq.com>
Date:   Sun Jul 15 22:49:26 2012 +0800

    Fix the wrong infomation in keystone-manage.rst
    
    Change-Id: I63d789b15361c74d11531646c30fd45f111e236c

commit 4b97716e4a68cb55652fe2bfd62373adf2b417c5
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Thu Jun 21 13:29:00 2012 -0500

    Webob needs body to calc Content-Length (bug 1016171)
    
    - Refactored render_response() and added relevant tests
    
    Change-Id: I121e8cc641fe11a036106cbfd206f0aa1f6da560

commit a7d73d2c4bb42a70eab2fa299c2d79fa2c8ac10f
Merge: 1b33ddd ae0515c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jul 13 15:08:14 2012 +0000

    Merge "Admin Auth URI prefix"

commit 1b33ddd74d75048ecba633d0841a051f72da0903
Merge: e358361 86177df
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jul 12 22:55:12 2012 +0000

    Merge "Prevent service catalog injection in auth_token."

commit e35836135d7f8de24ccb2afdcc783ceabf9bb4e9
Merge: cdc27e3 8a94a9c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jul 12 21:59:06 2012 +0000

    Merge "Removed redundant / excessively verbose debug"

commit cdc27e3eb5e8191036bb9c85637b124813603762
Merge: bfb6c52 002dd42
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jul 12 21:39:08 2012 +0000

    Merge "Fixed marker & limit computation (bug 1006055)"

commit bfb6c5208b99932b641feb73de501a0900e1122a
Merge: 60fa32b 9625c55
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jul 12 21:39:04 2012 +0000

    Merge "adding keystoneclient test"

commit 86177dff68c45a459644f9953bef4c3afbed24ff
Author: Dan Prince <dprince@redhat.com>
Date:   Thu Jul 12 13:48:43 2012 -0400

    Prevent service catalog injection in auth_token.
    
    Updates the auth_token middleware to explicitly prevent
    X-Service-Catalog headers from being injected into responses.
    In general Keystone would override these with its own service
    catalog... however since X-Service-Catalog is optional and
    not all implementations/calls return it is good to be safe and
    just remove incoming X-Service-Catalog headers if they are set.
    
    Fixes LP Bug #1023998.
    
    Change-Id: I9497937abd1b434b42b40bc943a508dd7f1a3585

commit ae0515c3a078ce27ccca1ef5a98092208c030f2f
Author: ayoung <ayoung@ayoungstack.bos.redhat.com>
Date:   Sat May 5 14:08:18 2012 -0400

    Admin Auth URI prefix
    
    Allows the prepending of a prefix to the URI used for admin tasks.  This allows URIs like
    https://hostname/keystone/main/v2.0
    
    PEP8 fix
    Added To Unit test to ensure auth_prefix is checked
    
    Bug: 994860
    Change-Id: I851e059e8b17c1bc02ab93d8b09a3fb47b9d3fee

commit 60fa32b256424cc4927a02b3cbef36d7330174bc
Author: Joe Heck <heckj@mac.com>
Date:   Thu Jul 12 16:16:34 2012 +0000

    updating testing documentation
    
    Change-Id: I78c55c3050573d6430028bfc3c3c5d8a8c3e93b0

commit 9625c550eb2e352abc2374eb21dc3c913e11a37c
Author: Joe Heck <heckj@mac.com>
Date:   Thu Jul 12 16:22:18 2012 +0000

    adding keystoneclient test
    
    adding a test for version 0.1.1 with the new tagging scheme (released
    with/just post Essex)
    
    Change-Id: Ic6900717c616feee0bce8253fae1e51ac837b811

commit 8a94a9c4b7fc3e316c3f9a00b323eba4110862d7
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Thu Jul 12 09:47:39 2012 -0500

    Removed redundant / excessively verbose debug
    
    Before: http://paste.openstack.org/raw/19365/
    After: http://paste.openstack.org/raw/19364/
    
    Change-Id: Iea2bc9a3448669031ed3e5578a01537635087289

commit 2a909ee83d23a38e2ae7ca8002e570788674521c
Author: jakedahn <jake@ansolabs.com>
Date:   Wed Jul 11 15:33:38 2012 -0700

    Making docs pretty!
    
      * Before: http://stsh.me/2Qx
      * After: http://stsh.me/2Qy
    
    Change-Id: I80cf07e05d253f582f4bca129f0dcdba1a315469

commit 4ab47ad224c422dcd96aa256740945d1e6a8a208
Author: Derek Higgins <derekh@redhat.com>
Date:   Thu Jul 5 22:15:48 2012 +0100

    Adding user password setting api call
    
    Fixes bug 996922
    
    This commit adds a user_crud module that can be used in the public wsgi
    pipeline, currently the only operation included allows a user to update
    their own password.
    
    In order to change their password a user should make a HTTP PATCH to
    /v2.0/OS-KSCRUD/users/<userid>
    with the json data fomated like this
    {"user": {"password": "DCBA", "original_password": "ABCD"}}
    
    in addition to changing the users password, all current tokens
    will be cleared (for token backends that support listing) and
    a new token id will be returned.
    
    Change-Id: I0cbdafbb29a5b6531ad192f240efb9379f0efd2d

commit ec9c038ba28af4273aae81450249e3691a2c2cb6
Merge: 0dd92a9 7cdae1b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jul 9 19:35:16 2012 +0000

    Merge "Fixing pep8 errors in tests/*py"

commit 0dd92a9d9a0793c64354855a4391045077b7ed2f
Merge: 7318b1e 7297afc
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jul 9 17:43:34 2012 +0000

    Merge "Return a 409 error when adding a second time a role to user/tenant"

commit 7318b1e49634e5e13fd87f66f67122a546857fa9
Merge: 408a9ef abc0671
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jul 9 17:42:34 2012 +0000

    Merge "notify calling process we are ready to serve"

commit 408a9ef25a86d777a1b0c5656d0f8baad0f00fa8
Merge: b4ce43b c3696ba
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jul 9 17:42:30 2012 +0000

    Merge "Use sdist tarball instead of zipball."

commit b4ce43be3624b80978af6dbe8ac567f751bb5662
Merge: c411125 e923518
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jul 9 17:42:20 2012 +0000

    Merge "Make sure user dict has id key before checking against it"

commit 7cdae1bc02df9a6b79a7ee3e5ebc807bcdd11430
Author: Derek Higgins <derekh@redhat.com>
Date:   Mon Jul 9 16:05:59 2012 +0100

    Fixing pep8 errors in tests/*py
    
    Fixes bug 1022575
    
    Making change to tests/*py to pass pep8 tests.
    pep8 tests started failing following
    39b20acc933cb0fdf73075ddb9a9d82665b84b23 update pep8 to 1.3.3
    04df79b64e5f2296df03579700535774e158f623 include tests dir in pep8 tests
    
    Change-Id: I2d7dec0a87f1ae9b5f828d7f321b65bf8c06a421

commit e9235184f338c98c40c20dee7d67e5d3a662e45a
Author: Jay Pipes <jaypipes@gmail.com>
Date:   Sun Jul 8 21:31:15 2012 -0400

    Make sure user dict has id key before checking against it
    
    The user dict passed to the update_user() method doesn't
    always have a key called 'id'. Make sure we check for
    the existence of the key before getting its value.
    
    Change-Id: I760fb6d99aa517a6877d8fb0124da78b0ec5f4b7
    Fixes: LP #1022411

commit c411125146b8762a2740f4b884e030e1e2250386
Author: Adam Young <ayoung@redhat.com>
Date:   Fri Jul 6 18:28:47 2012 -0400

    pep8 for openssl
    
    Stricter rules are now in effect for PEP8 validation than when
    this file was committed.  This change brings it into compliance.
    
    Change-Id: Ifb5dd56a57f730c9c48e9a6d5139f66c365413b1

commit 41f8843b82be6f0de2a5fee7ac98f4db49aaedc5
Merge: 81cb2ab 04df79b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jul 6 21:55:18 2012 +0000

    Merge "Run pep8 for tests."

commit 04df79b64e5f2296df03579700535774e158f623
Author: Rafael Durán Castañeda <rafadurancastaneda@gmail.com>
Date:   Fri Jul 6 00:56:23 2012 +0200

    Run pep8 for tests.
    
    Fixes bug 1021508
    
    Test code should be as pep8 compliant as source code, however right now
    'run_tests.sh' only runs pep8 for source code.
    
    Change-Id: I877493a8bf6f28bef71fe2aca6f188a75798225f

commit 81cb2ab2f5b7bdcd372491731750687e31c15ae2
Author: Adam Young <ayoung@redhat.com>
Date:   Tue Jul 3 16:22:13 2012 -0400

    Move monkey patch to keystone-all startup.
    
    bug 1020569
    
    Change-Id: I26c467dc6d96476f2a44b875bddf2cf3aec41859

commit c3696ba44efa80d96dbc7affb81cea8497a614cd
Author: Monty Taylor <mordred@inaugust.com>
Date:   Thu Jul 5 09:06:06 2012 -0500

    Use sdist tarball instead of zipball.
    
    Change-Id: I6d334e21a727c2585053bef233079e276a5a4a21

commit 7297afc75dd94771d5054daa20b1aa10aa5667d2
Author: Vincent Untz <vuntz@suse.com>
Date:   Tue Jun 26 17:04:08 2012 +0200

    Return a 409 error when adding a second time a role to user/tenant
    
    Fix bug 999594.
    
    When a user/tenant pair already has a role and there is a request to add
    the role to the pair, we can choose to either return 200 and let the
    client feel it's alright to do so, or return a 409 error (Conflict) to
    inform the client of the pre-existing role for the pair. I feel the
    latter is a bit more appropriate.
    
    The KVS and the pam backends were simply accepting the request, while
    the LDAP backend was raising an error. So be consistent, and always
    return 409.
    
    Change-Id: I7328d2932f6907d48e6422674eeeee22dc7a7149

commit abc06716d027d68f0da3b0f559fa7c85a21804d5
Author: Alan Pevec <apevec@redhat.com>
Date:   Mon Jul 2 14:07:06 2012 +0200

    notify calling process we are ready to serve
    
    Fixes bug 980037 again
    
    Systemd notification should be sent in-process, otherwise systemd might
    miss the subprocess sending notification.
    See systemd bug https://bugzilla.redhat.com/show_bug.cgi?id=820448
    
    Change-Id: Iccc51cf77af5598ee6b4c3cd69a12a7ee9fc2eb5

commit f584c06aaa3ecb774f6aa68eb72cebd59f772fad
Merge: 64aee06 0b5cf00
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 3 21:28:06 2012 +0000

    Merge "documenting models"

commit 64aee0626b7924706ca774e14a16b859b2fa515a
Merge: 4d7c07b 39b20ac
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 3 21:27:52 2012 +0000

    Merge "pep8 v1.3.3 compliance (bug 1019498)"

commit 4d7c07bf1d5c27a98bf36228277892bded4e5ac8
Merge: 1850fe0 bd94b4b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 3 21:06:39 2012 +0000

    Merge "fix variable names to coincide with the ones in common.ldap"

commit 1850fe09641afe2f3319c6279ab8ce2a69f85056
Merge: e65ddac bf49594
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 3 19:49:01 2012 +0000

    Merge "fix sphinx warnings"

commit e65ddacef871f367ac4ac1f5ddf6dc779357fa3d
Merge: 06c863e f648819
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 3 19:24:57 2012 +0000

    Merge "Set iso8601 module as default dependence."

commit 06c863eb8d84e2ee94ec6264adc3831f018b1d79
Merge: ed43d47 94481ab
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 3 19:24:56 2012 +0000

    Merge "Fixed user-only role deletion error."

commit ed43d47b8268da56ad1be6e8eaff1f6e9a23d42d
Merge: 0d32a41 a7417e2
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 3 19:03:25 2012 +0000

    Merge "Reorder test imports by full import path"

commit 0d32a417c811ce37b1b7ea1fbbc0a8376b9b3723
Merge: e96b939 33104d2
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 3 19:03:24 2012 +0000

    Merge "don't assume that the LDAP server require authentication"

commit e96b939da8500d230c484a43d0abc1dbec47c1db
Merge: a9bdb80 58105d8
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 3 19:03:22 2012 +0000

    Merge "Correct Tree DN"

commit a9bdb80527a5da464336ed25a237b7a95b6445e7
Merge: 7ea9dab e0136d2
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 3 17:18:41 2012 +0000

    Merge "setting up babel for i18n work blueprint start-keystone-i18n"

commit 7ea9dabaa45fbf7980461b218a4af7615a6913e2
Merge: 4202f70 d3058a1
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 3 16:59:26 2012 +0000

    Merge "Do not crash when trying to remove a user role (without a tenant)"

commit f648819f02135b86c4532758972769fdcb01be5e
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Tue Jul 3 15:08:46 2012 +0000

    Set iso8601 module as default dependence.
    
    - The iso8601 module is needed by the openstack.common.common.timeutils
      module and not just for testing anymore.
    - Fixes bug 1020613.
    
    Change-Id: Iee535b961cc2ac9530e31f4ff4d8c64a1822643f

commit 94481ab3fddc106438bdcaded85992700ebdf121
Author: Unmesh Gurjar <unmesh.gurjar@vertex.co.in>
Date:   Tue Jul 3 10:27:58 2012 +0530

    Fixed user-only role deletion error.
    
    Fixed the error on deleting a user-only role to return a 501 error response.
    Fixes bug 1020109.
    
    Change-Id: I7ff4d0c29bb7665468d9109c86a360148cff9214

commit 4202f7029b8ed8c5f7676b1934a31754184ddd7f
Author: Monty Taylor <mordred@inaugust.com>
Date:   Mon Jul 2 17:39:54 2012 -0400

    Use PyPI for keystoneclient.
    
    Change-Id: I12ad5d6a4ca25ccd6610ee6282c0e2fc58c57261

commit 5ad80860fa227fdab204ea464462c353bc0e59a1
Author: Adam Young <ayoung@redhat.com>
Date:   Fri Jun 22 13:40:17 2012 -0400

    keystone_manage certificate generation
    
    Bug 1017554
    
    paths now correspond with SSL
    unit test for cert generation
    Added mode config values
    Explict about umask
    
    replace string concat for paths with proper use of os.path.join
    Change-Id: I8b3bec82d7b72993aa69653f63ff64c3f675f716

commit 0b5cf0017175680fe0b027ab759e5aae3cba5d26
Author: Joe Heck <heckj@mac.com>
Date:   Sun Jun 24 11:59:21 2012 -0700

    documenting models
    
    fixes bug 928441, moved models into keystone.common.models and
    roughly documented required and optional fields for various
    backends. rebased off master.
    
    Change-Id: I711fe462c09836904a0ee238444c9f04b64a8ade

commit a7417e26d8b7cdf3decc7ee70a736789bafc3a83
Author: Zhongyue Luo <lzyeval@gmail.com>
Date:   Tue Jul 3 00:11:57 2012 +0800

    Reorder test imports by full import path
    
    Fixes bug #1020182
    
    Reorder imports of modules in keystone/tests.
    
    Change-Id: I2ff61dd3d9486281b4a2a889e4dc8b9105c87d49

commit b45c252bca75d55fc720f354c48f5084c2528582
Merge: 478cde1 c79d93b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jul 2 15:56:10 2012 +0000

    Merge "Keystone should use openstack.common.timeutils"

commit 39b20acc933cb0fdf73075ddb9a9d82665b84b23
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Fri Jun 29 13:08:56 2012 -0500

    pep8 v1.3.3 compliance (bug 1019498)
    
    Change-Id: I7254a363a80248ecb6c2889968bc43ed44cd4383

commit 58105d8f5637109ea1f68c94cf8f120399d54dea
Author: Adam Young <ayoung@redhat.com>
Date:   Wed Jun 27 18:20:16 2012 -0400

    Correct Tree DN
    
    instead of
        cn=example,cn=com,ou=Users
    code now generates
        ou=Users,cn=example,cn=com
    
    Getting stricter in testing and adding some regression testing
    
    Fixes Bug 980209
    
    Change-Id: Ib97e6cb00848ea183c7e1f2b2589b25924a08caa

commit 478cde128b4e1c6f8aa4595b71552207197917cd
Merge: 099e945 b9e8d0f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jun 29 15:24:19 2012 +0000

    Merge "Fix order of returned tuple elements in pam authenticate"

commit 099e945e5ea769998f8b3b85657be1447e2858c5
Merge: 8cd73c7 e72c276
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jun 29 15:24:18 2012 +0000

    Merge "Add .mailmap file."

commit 33104d2cc27011f2e36104c21f721df36cdfd21b
Author: Ionuț Arțăriși <iartarisi@suse.cz>
Date:   Fri Jun 29 13:57:42 2012 +0200

    don't assume that the LDAP server require authentication
    
    Change-Id: I67f64e6eb19e7a96c0e50f99e57c7fee613df909

commit bd94b4b81f6e235ce93134e64a923a79e43f36f7
Author: Ionuț Arțăriși <iartarisi@suse.cz>
Date:   Fri Jun 29 13:02:26 2012 +0200

    fix variable names to coincide with the ones in common.ldap
    
    Change-Id: I148d8d9b0a67b8c45d06227829d0105935216c4d

commit c79d93bfbc8a79617a6d3ef4e36fb5de55217d02
Author: Zhongyue Luo <lzyeval@gmail.com>
Date:   Tue Jun 5 09:11:44 2012 +0800

    Keystone should use openstack.common.timeutils
    
    Implements blueprint use-common-timeutils
    
    1. Edit openstack-common.conf and import keystone/openstack/common/timeutils.py
    2. Replace datetime.utcnow with timeutils.utcnow
    3. Replace utils.isotime with timeutils.isotime
    4. Remove utils.isotime in common/utils.py and datetime related unittest
    
    Change-Id: I4f5a63a368fde8787a0dc0a817c940de685b9ca2

commit 002dd429532721392b0676eb42ec1bfb5735c0ea
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Fri Jun 1 09:35:41 2012 -0500

    Fixed marker & limit computation (bug 1006055)
    
    Change-Id: I8a4a7b114b05e36024753cd02189188fd4294fc1

commit 8cd73c75cec35d4df49891ee4c36102b4c8d96ff
Merge: 43ee35a cb74707
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jun 28 21:19:33 2012 +0000

    Merge "Keystone should use openstack.common.jsonutils"

commit 43ee35ad58deb479f36374f2132da60a8d3649df
Merge: 4f99a9d ef58425
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jun 28 14:08:10 2012 +0000

    Merge "Basic request stats monitoring & reporting"

commit 4f99a9dcba856623f5fe92f422563649d5cdcf73
Merge: 23ca656 79f5f7c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jun 28 14:05:13 2012 +0000

    Merge "fix man page build"

commit d3058a1c41bfd45be4a298679392a448662ecc00
Author: Vincent Untz <vuntz@suse.com>
Date:   Tue Jun 26 15:57:44 2012 +0200

    Do not crash when trying to remove a user role (without a tenant)
    
    Fix bug 999567.
    
    Just use the right method, to stop returning an internal server error
    (500). We will return 501 instead, since we stopped supporting user
    roles, but at least this is not crashing.
    
    Change-Id: Ia2d6815e712daf146abba5089b79afc8aaddb2d2

commit cb747079d037c163349bd09814690682ae22a302
Author: Zhongyue Luo <lzyeval@gmail.com>
Date:   Thu Jun 7 12:28:26 2012 +0800

    Keystone should use openstack.common.jsonutils
    
    Implements blueprint use-common-jsonutils
    
    1. Edit openstack-common.conf and import keystone/openstack/common/jsonutils.py
    2. Remove json package imports and replace with jsonutils
    
    Client code in vendor/ hasn't been changed
    
    Change-Id: I57c670fde9f2c2241eddab1b012e8d5e6a72deb7

commit 23ca656927947dada40591bdd1badd5a531c2983
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Wed Mar 28 10:37:16 2012 -0700

    Refactor 404's into managers & drivers (bug 968519)
    
    The goal is to move the responsibility of reference checks away from
    controllers and into the underlying managers & drivers, which can
    handle the task with equal or greater efficiency.
    
    - Tenant references from create_user/update_user are NOT tested
      due to inconsistencies between backends
    - Additional test coverage improvements
    
    Also fixes bug 999209, bug 999608, bug 1006029, bug 1006055, bug 1006287,
    bug 1006334, and bug 1006344.
    
    Change-Id: I7de592e7dd4518038436b9a9fdaab559b00a0537

commit bf495949bc73d983572694902888f11a3dad7a68
Author: Alan Pevec <apevec@redhat.com>
Date:   Fri Jun 22 20:01:48 2012 +0200

    fix sphinx warnings
    
    also disable building old docs
    
    Change-Id: I0bbbb2b702a12bd9acb79f89b5b5c92cffeec779

commit 79f5f7cf997d2bab410c805aa9b63aecfe59b816
Author: Alan Pevec <apevec@redhat.com>
Date:   Fri Jun 22 19:39:45 2012 +0200

    fix man page build
    
    there was an obsolete man_pages in conf.py
    sync keystone-all man page with keystone-all -h output
    
    Change-Id: Ie136d30d0ea647082459ae35720e48742aa2b722

commit 94f45dac5129e3394583703a3b496d8e160a0c43
Author: Bhuvan Arumugam <bhuvan@apache.org>
Date:   Fri Jun 1 22:12:26 2012 -0700

    Utilize newer changes in openstack-common.
    
    Use common.setup.get_cmdclass() to clean-up redundant code.
    
    * keystone/openstack/common/setup.py
      Sync from openstack-common project.
    
    * setup.py
      Code clean-up. No functional change.
    
    Change-Id: I12f538ba8e727270b3b615dc06b0fd0328f36e1e

commit e72c276f9f910d2728ba633f3284753eb046b2b0
Author: Bhuvan Arumugam <bhuvan@apache.org>
Date:   Fri Jun 1 22:33:12 2012 -0700

    Add .mailmap file.
    
    Add this file with relevant entries to avoid duplicate
    entries in AUTHORS file.
    
    * .mailmap
      Entries to return unique name/email while using git log command.
    
    Change-Id: If8bb0f6a7ba9dc7d4d3e4a786e05985fcd98e663

commit e0136d2f7c5b03d695d2ee0ef4d0fe0e310eca3e
Author: Joe Heck <heckj@mac.com>
Date:   Thu Jun 21 17:51:09 2012 -0700

    setting up babel for i18n work
    blueprint start-keystone-i18n
    
    Change-Id: Ie18daada4b537b74a27aa1defe676698d9944468

commit 991a6182e06327ed144f224efb04a81ddab2fae0
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Wed Jun 20 13:13:35 2012 -0500

    Removed unused import
    
    Change-Id: I9fec34122ca28ac9d2d9866cfe6ab203998d177d

commit d085f43875481c7d19cb08340b08e75b2202881a
Merge: 79647c6 3f9f77a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 20 23:07:48 2012 +0000

    Merge "Monkey patching 'thread'."

commit b9e8d0f65e10b692c62b910105ec5369b25c4d86
Author: Vincent Untz <vuntz@suse.com>
Date:   Wed Jun 20 16:54:36 2012 +0200

    Fix order of returned tuple elements in pam authenticate
    
    authenticate is supposed to return (user, tenant, metadata) and not
    (tenant, user, metadata). It turns out that in the pam case, the content
    of tenant and user are equivalent, so it wasn't causing a real bug.
    
    Change-Id: I3d657bddece8961e2234931dcf7cd1d4cd657a39

commit 79647c6bafed211158345bf57bf6b2150712e4b9
Author: Zhongyue Luo <lzyeval@gmail.com>
Date:   Fri Jun 15 08:32:41 2012 +0800

    Reorder imports by full module path
    
    Fixes bug #1013441
    
    Sort imports by lexicographical order of full module path
    
    Change-Id: I60231d87618466426dc7bfac7bb0644a0dbd079a

commit cc91786a5ba4d74480e5d5f582d6b17b2d382675
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Thu Jun 7 16:00:38 2012 -0700

    Pass serviceCatalog in auth_token middleware
    
     * This will allow  for chained requests (novaclient -> nova -> cinder)
     * Fixes bug 1010237
    
    Change-Id: Iab126cb1f2fb01ca7da24fa9fe97ec81ee96e455

commit 720b7648a54e4a504401c795c68e8eaff21602fc
Merge: bda35f2 a68d530
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jun 19 19:48:37 2012 +0000

    Merge "Fixed typo in routing conditions (bug 1006793)"

commit bda35f25c7cea83a464b19f018ec0a1c0be6c41a
Merge: 9bc1448 489c6b6
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jun 19 19:28:33 2012 +0000

    Merge "400 on unrecognized content type (bug 1012282)"

commit a68d530133b9687f85dad4edf74d4b69a71e4959
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Sun Jun 3 12:36:27 2012 -0600

    Fixed typo in routing conditions (bug 1006793)
    
    The kwarg should be 'method' not 'methods', per Routes docs.
    See: http://routes.readthedocs.org/en/latest/setting_up.html#conditions
    
    Example in lieu of negative tests...
    Without this change: http://paste.openstack.org/raw/18326/
    With this change: http://paste.openstack.org/raw/18325/
    
    Change-Id: If91fc0c79b320652674c68c433989a60c098dc1e

commit 9bc14483a438926e2a60ceae9bbd29b061a31829
Merge: 66a0b63 5c35a84
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jun 19 19:19:59 2012 +0000

    Merge "Speed up SQL unit tests."

commit 489c6b60d115af1416d48f058b86d78ff15ca787
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Thu Jun 14 13:47:06 2012 -0500

    400 on unrecognized content type (bug 1012282)
    
    Unrecognized content type:
      http://paste.openstack.org/raw/18537/
    
    Malformed JSON:
      http://paste.openstack.org/raw/18536/
    
    Change-Id: I76afbf9300bcb1c11bed74eddbe4972c451c5877

commit ef58425b8e5be5818884108c92bfb208cdb3d741
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Mon Jun 11 16:09:27 2012 -0500

    Basic request stats monitoring & reporting
    
    Attributes are tracked seperately per interface (public API vs admin API):
    - Request method (GETs, POSTs, etc)
    - Requested resources
    - Number of requests per remote address
    - Response status codes
    
    Retrieve statistics report:
      GET http://keystone:35357/v2.0/OS-STATS/stats
      e.g. http://paste.openstack.org/raw/18528/
    
    Reset statistics report:
      DELETE http://keystone:35357/v2.0/OS-STATS/stats
    
    Change-Id: Id21af755e5e25b8275dd55b7415bf4c421304807

commit 3f9f77af19c748658629a460bc447fe7f2d0a410
Author: Rafael Durán Castañeda <rafadurancastaneda@gmail.com>
Date:   Tue Jun 19 20:35:43 2012 +0200

    Monkey patching 'thread'.
    
    Fixes bug 1012381.
    
    Change-Id: Icb7b2372df96d647fc6dcd4c4ebe72c8aa607f9d

commit 5c35a84b72784ab16cb03659a9c004724ed38963
Author: Adam Young <ayoung@redhat.com>
Date:   Wed Jun 6 12:57:50 2012 -0400

    Speed up SQL unit tests.
    
    Using a cached copy of the SQLite Data base speeds up the tests:
    
    Before this change
    
    Ran 44 tests in 126.154s
    OK
    Slowest 5 tests took 15.87 secs:
        3.34       test_delete_role (test_backend_sql.SqlIdentity)
        3.17       test_delete_user_with_tenant_association (test_backend_sql.SqlIdentity)
        3.17       test_create_tenant_invalid_name_fails (test_backend_sql.SqlIdentity)
        3.10       test_get_user (test_backend_sql.SqlIdentity)
        3.10       test_get_tenant_bad_tenant (test_backend_sql.SqlIdentity)
    
    After this change:
    
    Ran 44 tests in 58.996s
    
    OK
    Slowest 5 tests took 8.64 secs:
        2.57       test_add_user_to_tenant (test_backend_sql.SqlIdentity)
        1.58       test_update_tenant_long_name_fails (test_backend_sql.SqlIdentity)
        1.51       test_rename_duplicate_user_name_fails (test_backend_sql.SqlIdentity)
        1.50       test_delete_tenant_with_user_association (test_backend_sql.SqlIdentity)
        1.49       test_delete_user_with_tenant_association (test_backend_sql.SqlIdentity)
    
    Slowest test was where the database was initialized
    
    Change-Id: Idf046763e8718762695bbcedce4d223f654054db

commit 66a0b63dabffe4cb1d239be3ab68885e2f49f513
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Mon Jun 18 14:16:34 2012 -0500

    PEP8 fixes
    
    Change-Id: I0989396691eb31d9008c016e64f2c197f8c7e48c

commit e33a4742a80a3535e071a17ce39815d29a95ca61
Author: Monty Taylor <mordred@inaugust.com>
Date:   Fri Jun 15 16:58:49 2012 -0400

    Clean up test requires a bit.
    
    The main culprit here was prettytable - but because of the way this was
    working, it was causing intermittent transient network issues from pypi in
    the devstack gates.
    
    Change-Id: I62117116c850361c5e2de7e6485c14ef43007c1d

commit a00791576e0b3c589bc5ea34422b73fe457277e9
Merge: b6c0c02 375838c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jun 14 16:59:13 2012 +0000

    Merge "Carrying over token expiry time when token chaining"

commit b6c0c029bf4a5a7dddb4679d8b7ea6efb43b8ace
Merge: deeefdb b2aa78b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jun 14 16:59:13 2012 +0000

    Merge "Use cfg's new global CONF object"

commit deeefdb7c27d0f1940682be1215d5f7c58de30a9
Merge: 84a7f37 3ed1caf
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jun 14 16:59:11 2012 +0000

    Merge "Tweak for easier, safer subclassing"

commit b2aa78b5588bf4bfb66951b868a3b641d2dd64e1
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Tue May 29 08:59:47 2012 +0100

    Use cfg's new global CONF object
    
    Implements blueprint cfg-global-object
    
    Change-Id: Ic53b41dafa8666ce21f33697f7e8697f1e5cb0fd

commit 84a7f3751088159035d89920fa8590aa206d65e5
Merge: b2aa620 8680549
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jun 8 17:00:02 2012 +0000

    Merge "Require authz for user role list (bug 1006815)"

commit b2aa620bc9d040f803c49707237f43ff1a04ef93
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Tue May 15 11:49:06 2012 +0200

    Add s3 extension in keystone.conf sample.
    
    - Document S3 functionality along the way.
    
    Change-Id: I5525cd084aa16a33176c2ed0c3df53e9743072fc

commit 3f5d394def100e2c75269b28be125eaaad732924
Merge: c785018 b71fb3d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jun 7 17:20:14 2012 +0000

    Merge "fix importing of optional modules in auth_token"

commit 3ed1cafebd8abe28b0846544843f67f84ed3b757
Author: Ken Thomas <krt@yahoo-inc.com>
Date:   Wed Jun 6 14:19:34 2012 -0700

    Tweak for easier, safer subclassing
    
    Implements the "follow up suggestion" in blueprint sql-identiy-pam
    
    Moved the call to utils.check_password call to its own subroutine.
    This allows anyone creating a subclass for sql.Identity to just replace
    this new 'check_password' method rather than the entire
    'authenticate' method. (This is modeled after ldap/core.py which
    already does this.) If the logic in 'authenticate' changes, any
    derrived classes won't need to be modified.
    
    Updated to make method private.
    
    Change-Id: I1a06596861fd016f63f5f1a5fe8180993f04f4f5

commit c785018e0e985bebe6c2ad4f7c498e1219664b33
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Thu Jun 7 10:49:09 2012 -0500

    Revert file mode to be non-executable
    
    Change-Id: Ib2a84f1e5d7d155fc53c60ede073c96a2332d030

commit b71fb3de8965fe9a461604cd3cbb14f95c284940
Author: Pádraig Brady <pbrady@redhat.com>
Date:   Wed May 23 23:52:49 2012 +0100

    fix importing of optional modules in auth_token
    
    * keystone/middleware/auth_token.py: Catch the
    correct exception so that the memcache and iso8601
    modules can be optional as intended.
    * tests/test_auth_token_middleware.py: Test
    the ImportError path
    * keystone/test.py: Add a new mixin class to
    support disabling importing of a module.
    
    Bug: 1003715
    Change-Id: I87cc2f3bc79b17a52ea672bac7e0ebcf9e1fce57

commit 987bc6932625d11f62584e6e1a8570a4d61c872e
Merge: d68ef58 daf395b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 6 15:56:38 2012 +0000

    Merge "Use X_USER_NAME and X_ROLES headers."

commit d68ef5864e535e939db5fa9349cd1be55aa8d315
Merge: 7fbb4d2 1d146f5
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jun 5 18:26:44 2012 +0000

    Merge "Require authz for service CRUD (bug 1006822)"

commit 7fbb4d225f7d439f0ed04a26df7000618922f395
Merge: b75efed d2619f1
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jun 5 17:56:02 2012 +0000

    Merge "Use cfg's new behavior of reset() clearing overrides"

commit b75efede1a0e1ed052f1f89f25bbb07be18da556
Merge: 2ec3e23 65ec652
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jun 5 17:56:00 2012 +0000

    Merge "Use cfg's new group autocreation feature"

commit 2ec3e232dc1e112886ceff350aa85e86a298b28e
Merge: 17723a6 dd14b16
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jun 5 17:55:58 2012 +0000

    Merge "Sync with latest version of openstack.common.cfg"

commit 375838cfceb88cacc312ff6564e64eb18ee6a355
Author: Derek Higgins <derekh@redhat.com>
Date:   Tue Jun 5 09:33:53 2012 +0100

    Carrying over token expiry time when token chaining
    
    Fixes bug #998185
    
    This commit causes the token expiry time to be maintained when
    one token is being created from another
    
    Change-Id: I7b61692a60d9227423b93c267864a5abe939ca33

commit 17723a6b6dc047e6341bcfcda29120580f352b46
Author: Zhongyue Luo <lzyeval@gmail.com>
Date:   Mon Jun 4 13:30:35 2012 +0800

    Keystone should use openstack.common.importutils
    
    Implements blueprint use-common-importutils
    
    Change-Id: I597f71dc72aa3b87a454c4a23ca1b5328e222f76

commit 868054992faa45d6f42d822bf1588cb88d7c9ccb
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Sun Jun 3 12:24:07 2012 -0500

    Require authz for user role list (bug 1006815)
    
    Change-Id: I65f25dcca3e265f44746930917434b45e64de15e

commit 1d146f5c32e58a73a677d308370f147a3271c2cb
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Sun Jun 3 11:00:54 2012 -0500

    Require authz for service CRUD (bug 1006822)
    
    Change-Id: Ia90f0aa2b856b9a9874d4865fb92ee913e8125c5

commit 4bfa203ac433da1537d8da963bd7554d36f2add7
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Fri Jun 1 10:03:34 2012 -0500

    PEP8 fixes
    
    Change-Id: I957311f7e2f371217d8812c7319b87623e8972e9

commit 1349e127356c6a25cb2e50008c8b925e5934676a
Merge: b6dbb10 055d073
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue May 29 21:58:21 2012 +0000

    Merge "Update swift_auth documentation."

commit b6dbb103e1c1779474c5d26f3acf47e704cc601c
Merge: 081c541 30654a6
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue May 29 21:38:26 2012 +0000

    Merge "Add ACL check using <tenant_id>:<user> format."

commit 081c541603c439a0eaa4608eec9225d0626c075d
Merge: dd59347 bc803a4
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue May 29 21:17:51 2012 +0000

    Merge "Make sure we parse delay_auth_decision as boolean."

commit dd59347b6590ecceb9fbc880ea69c36b04bf3e4f
Merge: ab735fe 2ee73cc
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue May 29 21:07:53 2012 +0000

    Merge "Changed arguments in keystone CLI for consistency."

commit ab735fe20f3d2a3f1b35de0af853a1e5016f7584
Merge: 8de61f8 bcb12ef
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue May 29 20:58:23 2012 +0000

    Merge "Allow other middleware overriding authentication."

commit 8de61f8af43563b1d93291c868634810d9e42902
Merge: 654dd41 f537a82
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue May 29 20:17:33 2012 +0000

    Merge "blueprint 2-way-ssl"

commit 654dd416321972f8666dfad201228a456a8915a2
Merge: bb2fbb7 012c3d3
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue May 29 19:24:12 2012 +0000

    Merge "One 'ctrl-c' kills keystone."

commit d2619f12cd099b557fb0035347b6b00823fd90c7
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Sun May 13 18:21:18 2012 +0100

    Use cfg's new behavior of reset() clearing overrides
    
    Change-Id: I992a955529e57f20c2dc6db62b7305558848cf0c

commit 65ec6529d440ea3a289fee9ce0929991d26d273b
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Sun May 13 18:19:13 2012 +0100

    Use cfg's new group autocreation feature
    
    Change-Id: I8bd2581f01fb97afc64305743818ddc146dc14fe

commit dd14b16c5cd181d27b1b1848533e67c1f1fb42be
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Sun May 13 18:12:00 2012 +0100

    Sync with latest version of openstack.common.cfg
    
    Changes since last sync:
    
     - make reset() clear defaults and overrides
     - automatically create option groups
     - allow options to be marked as required
     - use a list comprehension instead of map()
    
    Change-Id: Id259a7ffe791a7e272fcc8bb21d7d0bc4f9e591d

commit f537a8259b56aa3913fc2b59b36ef2509cf9ff6b
Author: Liem Nguyen <liem.m.nguyen@gmail.com>
Date:   Wed May 23 18:05:11 2012 +0000

    blueprint 2-way-ssl
    
    Implemented bp/2-way-ssl using eventlet-based SSL.
    
    Change-Id: I5aeb622aded13b406e01c78a2d8c245543306180

commit bb2fbb703092b8c788ae4da718f32fcf86f1f9eb
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Thu May 24 16:14:35 2012 +0200

    Fixes some pep8 warning/errors.
    
    - Using flake8 so a bit more than that.
    
    Change-Id: I63fa21f7d3d02f96c0c56804fdd56da37c952d7d

commit 055d07380347cec2bff14383ed1434852f91336e
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Tue Apr 3 21:06:02 2012 +0200

    Update swift_auth documentation.
    
    - Make it consistent between the source documentation and the rst
      documentation.
    - Note about the default being https.
    
    Change-Id: Ic78ef79198eee9b514bb52fce12d7224e9ab65ae

commit 30654a65eac7166b0bd0567ef1d3cabb43031fd3
Author: Lin Hua Cheng <lin-hua.cheng@hp.com>
Date:   Mon May 21 22:46:38 2012 -0700

    Add ACL check using <tenant_id>:<user> format.
    
    Fixes bug 999998.
    
    Swift auth middleware uses a new format for expressing
    a container ACL for a user: <tenant_name>:<user>. This
    fix add supports for checking ACL using the old format
    of <tenant_id>:<user>.
    
    Change-Id: I44985b191afb174605c35041741056ae1e78fa77

commit daf395b5e85bfa1f91612dda7030b3089ca4da7a
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Tue May 22 15:01:38 2012 +0000

    Use X_USER_NAME and X_ROLES headers.
    
    - Don't use deprecated headers X_USER and X_ROLE but the newest one
      X_USER_NAME and X_ROLES.
    - Fixes bug 999447.
    
    Change-Id: I12752c7668863cbb47ee4b6e484cc494133443e8

commit 33d107aa1d3e1aa2c188f9df7338a1e7d97a4ed2
Merge: 014ccd9 7a7a0c6
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon May 21 16:30:38 2012 +0000

    Merge "Backslash continuation removal (Keystone folsom-1)"

commit bcb12ef9d570541c38c806b86e76f6ead30e5ad0
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Tue May 15 17:24:03 2012 +0200

    Allow other middleware overriding authentication.
    
    - Implements blueprint swift-middleware-add-overrides-feature.
    - Let other middleware do authentication for certain request allow
      tempurl or formpost to temporary allow access for certain object and do
      the validation in there.
    
    Change-Id: I4f5bcb5832f96ced2c6c10d565737ae894771690

commit 014ccd9a62fe8a0976d3d455181841eb04499298
Merge: 507294a 628149b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat May 19 19:45:24 2012 +0000

    Merge "Invalidate user tokens when a user is disabled"

commit 507294ab1a65726dceaf8fe4b7c3a2ad3bd71b56
Merge: aec02eb 19b6076
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat May 19 18:59:55 2012 +0000

    Merge "Add validations of 'name' field for roles, users and tenants."

commit aec02eb8204b4747d66a6cb9d7ae3de11be76196
Merge: 3842bbe 5ad37eb
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat May 19 18:50:13 2012 +0000

    Merge "fix pam admin user case"

commit 3842bbe84db1bab9e5891a3ffa0b2d12302a4b15
Merge: fd9515e c2255ed
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri May 18 20:18:35 2012 +0000

    Merge "Corrects url conversion in export_legacy_catalog"

commit fd9515e5b36c606aa3f971c2155db39128f7b6cb
Merge: 69c569d 6c5f7d9
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri May 18 17:34:20 2012 +0000

    Merge "notify calling process we are ready to serve"

commit 69c569dfde0241a43bca7f34f9866d17b5270669
Merge: 5a05384 fd7df12
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri May 18 17:02:14 2012 +0000

    Merge "Truly handle mailmap entries for all combinations."

commit 7a7a0c61f162f142669303f4a5632e09190b82c2
Author: Zhongyue Luo <lzyeval@gmail.com>
Date:   Thu May 17 15:14:49 2012 +0800

    Backslash continuation removal (Keystone folsom-1)
    
    Fixes bug #1000608
    
    Remove backslash continuations (except sqlalchemy and mox related code)
    
    Change-Id: I72eded8b49783937b7066f03fc61da6439edb82c

commit 5a053843f9b8c3423883d5fdf1dc11032de23de9
Merge: 674287f 05d6150
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri May 18 16:45:36 2012 +0000

    Merge "Added 'NormalizingFilter' middleware."

commit 674287f808626fc205d90c5a637ad4e1e973b556
Merge: 5eaaddf b69dbc2
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri May 18 16:35:18 2012 +0000

    Merge "Added tenant name validation. Fixes bug 966249."

commit 5eaaddfbc5a9526f0254fd32ea25a6e80b8f629f
Merge: f052376 d3b2e0a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri May 18 16:15:36 2012 +0000

    Merge "Remove service_* from authtoken examples"

commit f0523763df74cd95c001b01e3c1774a1ea6e2051
Merge: e0447e4 56492c2
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri May 18 16:05:43 2012 +0000

    Merge "Nail prettytable test dependency at 0.5.0."

commit d3b2e0a1bedecce42c511acfa1230517084f78ef
Author: Joe Gordon <jogo@cloudscaling.com>
Date:   Mon May 7 15:23:50 2012 -0700

    Remove service_* from authtoken examples
    
    Not used in new keystone
    
    Change-Id: I08322b72225441354f37c9e7853e9bccb397c737

commit 56492c23746f38c373d9ead5af244dfe17fdaf29
Author: Dan Prince <dprince@redhat.com>
Date:   Thu May 17 09:51:07 2012 -0400

    Nail prettytable test dependency at 0.5.0.
    
    Prettytable 0.6.0 has a bad md5sum in PyPi and as such causes tests
    to fail when creating a new venv. Nail the version to 0.5.0.
    
    Fixes LP Bug #1000757.
    
    Change-Id: I121ba8d411e47c2fe154370d9c3c941e25331ce6

commit 628149b3dc6b58b91fd08e6ca8d91c728ccb8626
Author: Derek Higgins <derekh@redhat.com>
Date:   Fri May 11 13:42:43 2012 +0100

    Invalidate user tokens when a user is disabled
    
    Fixes Bug 997194
    
    Delete valid tokens for a user when they have been disabled
    
    Moved logic to delete tokens into update_user, as this can be called
    directly form the REST API.
    
    Also checks if a user is enabled when creating a token from another
    token, this helps in cases there the backend didn't support listing of
    tokens (and as a result weren't deleted)
    
    Change-Id: Ib5ed73a7873bfa66ef31bf6d0f0322f50e677688

commit e0447e4529d190288af7229aa198fc97820154eb
Author: Dean Troyer <dtroyer@gmail.com>
Date:   Wed May 16 17:26:46 2012 -0500

    Fix depricated /users/{user-id}/roles
    
    * user-only roles are apparently depricated and not implemented, but
      the AdminRouter is incorrect, resulting in a stack trace rather than
      the expected not-implemented message.  As long as it is in the code,
      it might as well point to the right place...
    
    Change-Id: I923249e44e56e79ab088235a4e87277e6ad65deb

commit 2ee73cca0180976270f05ea46374e0fef38ff513
Author: Everett Toews <everett.toews@gmail.com>
Date:   Tue May 8 22:02:57 2012 +0000

    Changed arguments in keystone CLI for consistency.
    
    Changed --user to --user_id and --role to --role_id in the keystone client for
    consistency. Need to update keystone calls here.
    
    This change should be applied after [bug/994744 b7fe11c] in
    python-keystoneclient.
    
    Fixes bug 994744.
    
    Change-Id: I234c1d46c0d92a6a00ebb25c5dfbba69cd46be52

commit 19b6076869f6e177febc559b191f4ef9c352e55b
Author: Mohammed Naser <mnaser@vexxhost.com>
Date:   Tue May 15 17:43:50 2012 -0400

    Add validations of 'name' field for roles, users and tenants.
    
    Fixes LP Bug #997725
    
    Change-Id: I2759d21bed3c0e42642de96184844e1b9e795bb6

commit 05d6150fe9e1000e7293045272f0e3e2e7754bf4
Author: Rafael Durán Castañeda <rafadurancastaneda@gmail.com>
Date:   Mon Mar 19 01:44:31 2012 +0100

    Added 'NormalizingFilter' middleware.
    
    Fixes bug 956954.
    
    Change-Id: Ib5995a01439e564fcb27682976e8e27c8bb7d0d1

commit 012c3d361fc2f6855f3612967aada0fa04aac188
Author: Rafael Durán Castañeda <rafadurancastaneda@gmail.com>
Date:   Fri May 4 20:18:37 2012 +0200

    One 'ctrl-c' kills keystone.
    
    Fixes bug 928564.
    
    Change-Id: I5ba157244d5ba9a018244141c27806db2b82f1e8

commit bc803a4cede7ed2f39f4dc5c74977eedf46eb205
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Mon May 14 11:33:54 2012 +0000

    Make sure we parse delay_auth_decision as boolean.
    
    - Fixes bug 995222.
    - Documentation had already a false which is correct, updating the bug.
    
    Change-Id: I08625d8fa07c05b25c851c1df327cbdf660bd614

commit 3c9c38a8e08dd0300a04edb843a0b3e49486e86f
Merge: 4c8a101 2e912f4
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue May 15 07:05:04 2012 +0000

    Merge "Flush tenant membership deletion before user"

commit 4c8a101dcb2a61b5c2c1946bf286ad204bbdea68
Merge: 0b8ed78 a67b248
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue May 15 06:57:07 2012 +0000

    Merge "Invalidate user tokens when password is changed"

commit 2e912f4b91b57c060c2363c067125276a92457d2
Author: Adam Gandelman <adam.gandelman@canonical.com>
Date:   Fri May 11 09:49:39 2012 -0700

    Flush tenant membership deletion before user
    
    Ensure user tenant membership is *actually* removed before deleting
    user.
    
    Fixes bug 998137.  This should be proposed to stable/essex as well.
    
    Change-Id: I097456e603177646d62ebf08ca71af1fd7f787bf

commit 6c5f7d9e10f059e2bc1e56ea2d4e32a7e4cadc8b
Author: Derek Higgins <derekh@redhat.com>
Date:   Wed May 9 21:17:41 2012 +0000

    notify calling process we are ready to serve
    
    Fixes bug 980037
    
    Service managers starting keystone-all have no way of being notified
    when the service is ready to accept connections. This commit allows
    a configurable command to be called when we are ready e.g.
    for systemd setting the statup type of a service unit to "notify" and setting
    onready    = systemd-notify --ready
    in keystone.conf, would notify a waiting systemd that we are ready to
    serve
    
    In an automated envirnment (e.g. puppet) this will allow the startup of
    the keystone-all service (with systemctl for example) directly followed
    by usage of the keystone client without the need for a sleep (or retry)
    while we are waiting for the keystone service to be ready.
    
    Change-Id: I3f7aafe9837be60a0f35cae1a7db892f6851cc47

commit 0b8ed78eb8738045bf0ba74f964b08f4d2f81701
Merge: 09d6352 6384281
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri May 11 15:14:56 2012 +0000

    Merge "cleanup dependent data upon user/tenant deletion"

commit a67b24878a6156eab17b9098fa649f0279256f5d
Author: Derek Higgins <derekh@redhat.com>
Date:   Wed May 9 15:55:46 2012 +0100

    Invalidate user tokens when password is changed
    
    Fixes bug 996595
    
    This commit will cause all valid tokens to be deleted for a user
    who's password is changed (implemented for the sql and kvs backends)
    
    Change-Id: I6ad7da8957b7041983a3fc91d9ba9368667d06ac

commit 09d6352ebf695983b1415f2f9f4ae572d2b77868
Merge: 2bf26cf cf1c5e1
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed May 9 14:41:23 2012 +0000

    Merge changes I2cb6060f,Iaa31cec6,I01db140a,I32c80be8,Ib5859604,Ia25fefaf,Ic2a71873
    
    * changes:
      Improve the sample keystone.conf
      Add defaults for ldap options
      Set defaults for sql options
      Set defaults for port options
      Add defaults for driver options
      Use ConfigOpts.find_file() to locate catalog template
      Use ConfigOpts.find_file() to locate policy.json

commit b69dbc2f2748cf3261dce02057c60cdb7affd4ce
Author: Unmesh Gurjar <unmesh.gurjar@vertex.co.in>
Date:   Tue Apr 3 11:45:22 2012 +0530

    Added tenant name validation. Fixes bug 966249.
    
    1. Verified name length while creating/updating tenant (for all backends).
    2. Disallowed blank tenant name in create/update.
    3. Added unit test coverage.
    
    Change-Id: Ied1e2707ba16e14d791308fb618ca18effa0245f

commit 2bf26cf47d650346fbe8c84701f19f36ed7b4624
Merge: a1c2dd1 310c653
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue May 8 13:12:17 2012 +0000

    Merge "Avoid ValueError in 12.04 essex pkg (bug 988523)"

commit c2255edb72db14e8dd5ff12fb61219793d425cbc
Author: Sam Morrison <sorrison@gmail.com>
Date:   Mon May 7 09:09:57 2012 +1000

    Corrects url conversion in export_legacy_catalog
    
    Fixes bug 994936
    
    Change-Id: Ia63fdae7d0bcd7f8b0b587da588404765e22fb8f

commit fd7df12e3dba97760c1eb2a3d8bd782bbf633a24
Author: Bhuvan Arumugam <bhuvan@apache.org>
Date:   Sun May 6 15:35:58 2012 -0700

    Truly handle mailmap entries for all combinations.
    
    Bug: 994957
    
    Mailmap might contain mapping with full name. This commit fixes
    it to handle these combinations:
      Foo ZZ <email@foo.com> Bar YY <email@bar.com>
      Foo <email@foo.com> Bar <email@bar.com>
      <email@foo.com> <email@bar.com>
    
    This is inline with mailmap convention described here:
      http://man.github.com/git/git-shortlog.html
    
    * keystone/openstack/common/setup.py
      parse_mailmap(): Pull out canonical and alias email addresses.
    
    * keystone/tests/test_setup.py
      New test script to cover various combinations in mailmap.
    
    Change-Id: I471172aa012f37e499e86ffeb74c30ebcdb89b00

commit 5ad37ebb09e7e7cdd86812c0a5df29599357c2d0
Author: Bernhard M. Wiedemann <bwiedemann@suse.de>
Date:   Fri May 4 11:13:31 2012 +0200

    fix pam admin user case
    
    fixes bug 994481
    
    Change-Id: I4ba73d1ce7ea7bcd6e1d3614230b6bad7ed8e617

commit a1c2dd19633dfe7d792bfec524104bcf683a5d77
Merge: 352839b 8dc3baa
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu May 3 23:34:07 2012 +0000

    Merge "Sync to newer openstack-common"

commit cf1c5e18200d2e074977f3c37634ca50fc487233
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Thu May 3 21:14:54 2012 +0100

    Improve the sample keystone.conf
    
    Make sure all the available options are include in the file, add
    some more documentation and, rather than set any of the defaults,
    just include them as comments.
    
    Change-Id: I2cb6060f47ea88349b1862d4d995c80cf9237066

commit 812bed89b8c06f443c093231f91ff040768a2f97
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Thu May 3 21:14:54 2012 +0100

    Add defaults for ldap options
    
    Avoid relying on the options being set in the config file.
    
    However, most of the defaults are probably not all that useful here
    except maybe the objectClass and id attribute options.
    
    Change-Id: Iaa31cec64be66ed6e7a9b8111f6c8a3fd96731cb

commit 8dc3baa45a6ce404d8745ff2c4e619157e07b2d5
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Thu May 3 21:14:53 2012 +0100

    Sync to newer openstack-common
    
    Changes since last sync are:
    
     - cfg:
        * Support for directory source of config files
        * Provide file extension when when looking for files
        * Some refactoring of the cfg cache
        * Add caching to openstack.common.cfg
    
     - setup:
        * Handle authors existed before VCS was around.
    
    Change-Id: If3f0515a911a315dc1329b99299fdbc3592fce24

commit 9b5d9ad8ddc2f1bf652e55102a4db67c71f8515f
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Thu May 3 21:14:53 2012 +0100

    Set defaults for sql options
    
    Avoid relying on the options being set in the config file.
    
    Change-Id: I01db140ac757325a80f493b732064fa0f437df23

commit 749dc34e605013a0dc136c5de9065dad20c4a9ff
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Thu May 3 21:14:53 2012 +0100

    Set defaults for port options
    
    Avoid relying on the options being set in the config file.
    
    Change-Id: I32c80be8601a502f3c65cacc1d0a7add3b2f652c

commit ff149bec9255b1e48acd3e44023d4e5156515ff0
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Thu May 3 21:14:53 2012 +0100

    Add defaults for driver options
    
    Avoid relying on the options being set in the config file.
    
    Change-Id: Ib5859604492096c99c6428c63b3c1d03b3fbf621

commit f58ca2bdb5dbe20b8d436eefa3480b668c1b6e2d
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Thu May 3 21:14:53 2012 +0100

    Use ConfigOpts.find_file() to locate catalog template
    
    Fixes bug #983734
    
    Use cfg's new helper method to find the catalog template file. The basic
    behavior is "look alongside the config file" with a fall back to the
    standard default config paths.
    
    Change-Id: Ia25fefafaa2c387d0207d630e5613389be364628

commit fab58441a2adcd8e88a535c35d3e0e6c459a4468
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Thu May 3 21:14:53 2012 +0100

    Use ConfigOpts.find_file() to locate policy.json
    
    Use cfg's new helper method to find policy config file. The basic
    behavior is "look alongside the config file" with a fall back to
    the standard default config paths.
    
    Change-Id: Ic2a7187378eab9c9066118132465280993778a5e

commit 352839b9c98b8d21387a7e335ebe18cc29be92a3
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Thu May 3 12:07:50 2012 -0500

    Policy doc updates; RST syntax consistency
    
    Change-Id: I087ba16c4c629291fbec9c59fcff873fef8b0213

commit 43d792ff14b126eae10f7edee2f3f582c66b08ec
Merge: 422aeba dadcfee
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu May 3 16:03:48 2012 +0000

    Merge "Fix argument name referred in the document."

commit 422aeba0b4fbfc22a251cf86e553598ff1179046
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Wed May 2 08:23:40 2012 -0500

    Removed SimpleMatch 'shim'; updated readme
    
    Change-Id: I34fcc8d7233e58024c4e173867f8f41f9d2b9f4c

commit b9311480dd758ef6c736f116ffbf2ddcd9c00fd0
Merge: 367bf71 330d4af
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed May 2 21:15:51 2012 +0000

    Merge "Misnamed exception attribute (bug 991936)"

commit 367bf710d9da61920f82d97482584195cc88bbce
Merge: f75af88 db19e0f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed May 2 20:57:33 2012 +0000

    Merge "Update tests to run servers on 127.0.0.1"

commit f75af88b20aacad8a29b4a0355f844d512f7efff
Merge: 3b6d0ee 4c842ca
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed May 2 20:13:40 2012 +0000

    Merge "Removed old sections; improved syntax consistency"

commit 4c842ca9bfd012c2dcbafa5051507700d60da242
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Wed May 2 09:57:45 2012 -0500

    Removed old sections; improved syntax consistency
    
    Change-Id: Iff07ce0f0eac8f64fab30af92a82a1fdca5278de

commit 6384281d711639b752f73b9a5780ab4924b0e64f
Author: J. Daniel Schmidt <jdsn@suse.de>
Date:   Wed Apr 4 10:51:46 2012 +0200

    cleanup dependent data upon user/tenant deletion
    
    fixes bug 974199
    fixes bug 973243
    
    * upon deletion of tenant also delete user tenant relations
    * upon deletion of tenant or user also delete corresponding metadata
    * add foreign keys in metadata to ensure consistency
    
    see also: https://bugs.launchpad.net/keystone/+bug/959294/comments/16
    
    Change-Id: I264714fe82b727e3e0f5273bcb781a580a3f3826

commit db19e0f55800d0e41a9d51092c6bef0400472aa5
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Tue May 1 18:43:06 2012 -0400

    Update tests to run servers on 127.0.0.1
    
    Currently tests run servers on 0.0.0.0 which is not needed.
    
    Change-Id: Ie6eb21df35329236047d24a2e95ba3a5a4293843

commit 3b6d0eec9df9d4d2bc773a75a800aadbfed6e4ad
Author: Johannes Erdfelt <johannes.erdfelt@rackspace.com>
Date:   Tue May 1 22:33:06 2012 +0000

    Switch to 1000 rounds during unit tests
    
    Fixes bug 992918
    
    passlib 1.6 introduced a minimum number of rounds for sha512_crypt. As
    a result, increase the rounds used during testing to the minimum
    
    Change-Id: Ic0c635e92b4f13180a047904a6efa490ab599012

commit dadcfee78654f6f37b2168717e41ad705e43181b
Author: Bhuvan Arumugam <bhuvan@apache.org>
Date:   Tue Apr 3 15:13:57 2012 -0700

    Fix argument name referred in the document.
    
    Bug: 966749.
    
    * doc/sources/configuration.rst
      (user-create): The optional argument name is tenant_id.
    
    Change-Id: Ibb10c608779c0df74f22c50b99a7ffc3900f1782

commit d62a913f38beb26531a55fc4d223df0a3943c7db
Merge: ac3d314 6c3d9c4
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue May 1 17:15:10 2012 +0000

    Merge "Auto generate AUTHORS file for keystone component."

commit ac3d31468da184abd7a68f5417822402aa69c199
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Wed Apr 4 17:30:51 2012 +0200

    Exit on error in a S3 way.
    
    - Fixes bug 973433.
    - Add more debug logging.
    - Test xml output of s3_token.
    
    Change-Id: Ibd0714bb6eeb75cfde614043fc7d062f584d0714

commit 6c3d9c42cc9f04ba99d89de7830675f6b59e2d25
Author: Bhuvan Arumugam <bhuvan@apache.org>
Date:   Sat Apr 21 02:13:45 2012 -0700

    Auto generate AUTHORS file for keystone component.
    
    Bug: 976267
    
    Now that git commits are gated by CLA, we shouldn't enforce
    committers to add an entry in AUTHORS file. The AUTHORS file
    should be generated automatically, based on git commits.
    
    This commit fixes the problem.
    
    * AUTHORS
      Remove this file.
    
    * .gitignore
      Add AUTHORS file.
    
    * keystone/openstack/common/setup.py
      generate_authors(): New method to create AUTHORS file. If
      AUTHORS.in file exists, append it's content to AUTHORS file.
    
    * setup.py
      Import the new method.
      local_sdist.run(): Generate AUTHORS file before creating the
      package.
    
    * tests/test_authors.py
      Remove this test case.
    
    Change-Id: Id3ca59382e417d054d14f7735f30595bfbe2df48

commit 330d4af34f190517b3e40c9abf451dc1bc992fe3
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Mon Apr 30 08:05:28 2012 -0500

    Misnamed exception attribute (bug 991936)
    
    - exception.NotImplemented 'action' should have been 'title'
    - Automated test coverage of exceptions to catch this in the future
    
    Change-Id: I238e6bc8426ae009f570f0a04d2ea28501ae23fc

commit 310c653e01dfa5e2d7278a4fed1891cccb677eb2
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Wed Apr 25 15:16:53 2012 -0500

    Avoid ValueError in 12.04 essex pkg (bug 988523)
    
    Change-Id: Icafe3e877efcfb326b607462de493739b2395365

commit 3dd36e3e87b8dfe3e9468dbe0a413a34ce6f63df
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Wed Apr 25 13:49:28 2012 -0500

    Non-nullable User, Tenant, Role names (bug 987121)
    
    Change-Id: I100732e52fe0478280d647fc25ca82f9c14dc64c

commit d65147bda724d6b38df934686647284932c3c46f
Merge: f7baeb1 939472d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Apr 25 18:20:44 2012 +0000

    Merge "Make run_tests.py non-executable"

commit f7baeb1099268657a216d53a05420567e3397909
Merge: 63feb85 4cd2945
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Apr 25 18:12:41 2012 +0000

    Merge "Fix expired token tests"

commit 63feb85652ea54f7ada434c0374f4f55d090dc53
Merge: bee6bb9 357138d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Apr 25 17:51:59 2012 +0000

    Merge "Import latest openstack-common"

commit bee6bb93eb702c538702d4af310f8ec00876ed9e
Merge: aa23ce6 12354cd
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Apr 25 17:32:23 2012 +0000

    Merge "Stub out swift log configuration during testing"

commit aa23ce60ce9e0508c693eb17af59e9484e58b569
Merge: 67ee761 04550e8
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Apr 25 16:32:29 2012 +0000

    Merge "cleanup no_meta user in live LDAP test"

commit 4cd2945740d37119be57f35e41afe3f2ab999114
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Tue Apr 10 13:35:30 2012 +0100

    Fix expired token tests
    
    Fixes bug #983800
    
    The expiration timestamps are expressed in UTC time, so ensure:
    
     1) The timestamp of the token created by the test is UTC time (i.e.
        utcnow() vs now())
    
     2) The expiration check in the dummy memcache client properly
        accounts for UTC (i.e. utctimetuple() vs timetuple())
    
    Change-Id: Ie7356456f79ab5a8070a79771bb7d210b1cedd47

commit 939472d2d52018fb5889398a3af5e51302a273a5
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Apr 23 09:50:50 2012 -0700

    Make run_tests.py non-executable
    
    Change-Id: I2707d2476e15cc503de0613ffb225811b262a7ac

commit 67ee761a9db663c31beca3515595ce9d2f4eb481
Author: James E. Blair <jeblair@hp.com>
Date:   Tue Apr 17 12:15:27 2012 -0700

    Add distribute to test-requires.
    
    Currently glance (which is required for testing by keystone because
    there is no python-glanceclient yet) requires distribute>=0.6.24,
    but it can't be installed as a dependency of a dependency.  Requiring
    it explicitly here should help.
    
    Also, this helps standardize the distribute requirement across all
    projects.
    
    Change-Id: I346c0fb7c2203b9889b39ae8df1f8c594bbe49ae

commit fa240272e5ff5f668dc5bfe8d11f3518c3c8591f
Author: rpedde <ron@pedde.com>
Date:   Thu Apr 5 18:11:27 2012 +0000

    Makes the ldap backend return proper role metadata
    
    The LDAP backend was not returning role metadata in the form of:
    
    { "roles": [ "<role_id>", "<role_id>" ] }
    
    for user metadata on authentication, causing dash and command-line
    tools to be unhappy.
    
    Change-Id: Iccaea019ef1a0df708dc3a2cecc337b21cf382fc

commit f3847278f4c46a0328544e3790d36cd66e946273
Merge: af0febf 9a5200f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Apr 13 00:56:17 2012 +0000

    Merge "Add ChangeLog to tarball."

commit af0febf5de012d07263eec59d98009dfaa597159
Merge: f640093 06ae067
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Apr 13 00:17:16 2012 +0000

    Merge "Fix "it's" grammar errors."

commit 04550e8118e2383b7475c74493f3d88c9fa8f522
Author: Adam Young <ayoung@redhat.com>
Date:   Thu Apr 12 16:47:05 2012 -0400

    cleanup no_meta user in live LDAP test
    
    Fixes Bug 980277
    
    Change-Id: I03b56183e35794b8c9ef28bcfb26f7c101b48f66

commit 9a5200f59c80aba77000f8722e75629757174990
Author: Dan Prince <dprince@redhat.com>
Date:   Wed Apr 11 10:57:56 2012 -0400

    Add ChangeLog to tarball.
    
    Fixes LP Bug #978981.
    
    Change-Id: I5b98df88673422cfc39c471fd77eecd77fa0cf2c

commit 06ae06708cdfcb9d2be97a234c88fc46634a8765
Author: Paul McMillan <paul.mcmillan@nebula.com>
Date:   Tue Apr 10 10:52:35 2012 -0700

    Fix "it's" grammar errors.
    
    Change-Id: I32a41a60bc36caaa6bbc71ac24b620a0bb66a6dc

commit f640093ba8afb73b92b026362827611ef015e59d
Author: Josh Kearney <josh@jk0.org>
Date:   Mon Apr 9 15:39:11 2012 -0500

    Rename keystone.conf to .sample.
    
    Fixes bug 966670.
    
    Change-Id: Ic57c9971c4f3a14c30e2382c58c3d0da6b2a7957

commit 357138dd9dc065d4d4dfa9efa2d6ca0c14d2315f
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Tue Apr 10 15:09:06 2012 +0100

    Import latest openstack-common
    
    Main change is the MultiStrOpt support which pulls in the new
    iniparser module. See lp#955308.
    
    Change-Id: I1358f09038113873e60343f00a95229002b58c1f

commit 12354cd82be452a90d87f18b325bb345f680f7b1
Author: Maru Newby <mnewby@internap.com>
Date:   Thu Apr 5 19:24:04 2012 -0700

    Stub out swift log configuration during testing
    
     * s3_token and swift_auth depend on swift.common.utils.get_logger,
       which configures a syslog handler in an OS X-incompatible way.
       This change ensures that get_logger is stubbed out for the
       swift middleware tests to allow the Keystone test suite to execute
       successfully under OS X.
     * Addresses bug 974583
    
    Change-Id: Ibdb665d1ea65c13ef792767ad66251857629a702

commit 75a8dfef51f3566cd5d4cacee41f34bbbf9d15bd
Author: Adam Gandelman <adamg@canonical.com>
Date:   Mon Apr 2 14:21:43 2012 -0700

    Remove tenant membership during user deletion
    
    Remove users' tenant membership on user deletion.  Resolves a FK constraint
    issue that previously went unnoticed due to testing against database
    configurations that do not support FK constraints (MyISAM).
    
    Fixes LP bug 959294.
    
    Update: * Move tenant membership cleanup to the sql identity backend
            * Add a test case to test_backend_sql
    
    Change-Id: Ib4f5da03033f7886b36d1ab3b8b4ac37f08b2e0e

commit 198fe22df9a924e08448b5220a694c4f9491b289
Merge: c6039cd 34e9a97
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Apr 3 21:23:07 2012 +0000

    Merge "Fix looking for config files."

commit c6039cd84e3120d202d9fb08f2f47ea1ddbec4f3
Merge: 3d76689 875a67a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Apr 3 21:14:15 2012 +0000

    Merge "Make import_nova_auth only create roles which don't already exist"

commit 3d7668932e089975d4b07635e2d79cf299af47a9
Merge: 6e43d30 1f3557a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Apr 3 21:04:57 2012 +0000

    Merge "Switch keystone.test.TestCase to use unittest2"

commit 6e43d30e98ebbfec22d7749f4da5debb2f8394d6
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Mon Apr 2 17:15:47 2012 +0200

    Add a _ at the end of reseller_prefix default.
    
    - Fixes bug 971592.
    
    Change-Id: Ic9edb2b8b0043413e4ec16de9c669646ae4230a6

commit ba703d4ae0961866fb606d5c2822bfd5e295b081
Merge: 2ac71bd 6ec1782
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Apr 3 17:33:45 2012 +0000

    Merge "Add support to swift_auth for tokenless authz"

commit 2ac71bd70d3fa0106c0c141704699d2efea7b656
Merge: 9e96714 9d01927
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Apr 3 16:27:05 2012 +0000

    Merge "additional logging to support debugging auth issue"

commit 9e96714eb2ce93f5c92c4c3cfc6784d60b05236d
Merge: f9c7871 05fa38e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Apr 2 20:51:34 2012 +0000

    Merge "don't duplicate the extra dict in extra"

commit 9d0192777b4f61b15b3d76e4077162167278a567
Author: Joe Heck <heckj@mac.com>
Date:   Fri Mar 30 22:04:16 2012 -0700

    additional logging to support debugging auth issue
    
    fixes bug 969801
    
    Change-Id: Iaf752e5f3692c91030cfd8575114f2c3293d1dba

commit 6ec1782dcc13b77eba14d7ff1ace6c9bca997dc5
Author: Maru Newby <mnewby@internap.com>
Date:   Tue Mar 20 22:19:36 2012 -0700

    Add support to swift_auth for tokenless authz
    
     * Updates keystone.middleware.swift_auth to allow token-less
       (unauthenticated) access for container sync (bug 954030) and
       permitted referrers (bug 924578).
    
    Change-Id: Ieccf458c44dfe55f546dc15c79704800dad59ac0

commit f9c787148747c75f739d9ca555fa26c541752344
Merge: a7cd006 f3af691
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 30 18:01:22 2012 +0000

    Merge "Improve swift_auth test coverage + Minor fixes"

commit a7cd0066263626e0580d273e6ac2e8ee31b81b69
Merge: b504814 a29ee50
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 30 17:52:37 2012 +0000

    Merge "Add build artifacts missing from .gitignore"

commit b504814cfe2beb2bbc5925879e7796fe7dcb5091
Merge: 9cf91c9 7c053df
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 30 17:24:07 2012 +0000

    Merge "Raise keystone.exception for HTTP 401 (bug 962563)"

commit 875a67aa69e17d49e2cca40857b76b46dc639657
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Fri Mar 30 12:17:48 2012 +0100

    Make import_nova_auth only create roles which don't already exist
    
    Fixes bug #969088
    
    If a role already exists, there's no particular need for import_nova_auth
    to barf. Instead, we should just use the existing role.
    
    Change-Id: I18ae38af62b4c2b2423e20e436611fc30f844ae1

commit 05fa38e39fb0b825864c1cdf74f9b4360343c302
Author: termie <github@anarkystic.com>
Date:   Thu Mar 29 16:03:17 2012 -0700

    don't duplicate the extra dict in extra
    
    fixes bug 929815
    
    Change-Id: Icfbe9a4b0eb2ef9b24bcf41113a6ec8e636210a9

commit 34e9a9771eb68ff9d98ae1b43a562eabc26849b6
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Tue Mar 27 22:55:39 2012 +0100

    Fix looking for config files.
    
    - Fixes bug 966643.
    
    Change-Id: I1e2a4d7e1765e4742bd501c4d381d94b6b7585e6

commit 9cf91c951ed74e245693ca1f1b3df8965484dc94
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Sun Mar 25 11:32:08 2012 -0500

    endpoint-crud 404 (bug 963056)
    
    endpoint-create
    endpoint-delete
    
    Change-Id: I70ae14ca385a0ed2d3438b8dc2f7ba93b91f400b

commit 9e4fe654ed3f2fa4040ccbcd0ccc003f56f9bce2
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Sun Mar 25 12:03:26 2012 -0500

    user-role-crud 404 (bug 963056)
    
    user-role-add
    user-role-remove
    
    Change-Id: I1b3cd019d0d110b01ed175822cdd6c9ddb486412

commit a9c6fb1d39f84f79f97333f59ef757cfd9dc8fd2
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Sun Mar 25 11:40:44 2012 -0700

    ec2-credential-crud 404 (bug 963056)
    
    ec2-credential-create
    ec2-credential-delete
    ec2-credential-get
    ec2-credential-list
    
    Change-Id: If8bfb77017f55c24738baf18b937c78b179831e5

commit a0b8f5412b69316611b009099151995714eabff4
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Sun Mar 25 11:18:29 2012 -0500

    service-crud 404 (bug 963056)
    
    service-delete
    service-get
    
    Change-Id: Ifecf4c74abf408b009a783a9d7be0e98219e0fe4

commit 16caf2083027eed84f042f7d2a97168e2f42a770
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Fri Mar 23 10:46:16 2012 -0500

    user-crud 404 (bug 963056)
    
    user-create
    user-get
    user-list
    user-update
    user-update-password
    user-delete
    
    Change-Id: I7762aaaae9817ea7426039e4700e16b59e18cba1

commit 5c8dcd2f2f1a7645f93f39c3f5784920e2099998
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Fri Mar 23 10:23:06 2012 -0500

    tenant-crud 404 (bug 963056)
    
    tenant-get
    tenant-update
    tenant-delete
    
    Change-Id: I9e67cea985f546c9ddf6ce6d82a11486099bd524

commit a7a658093d86fc4c343ef1b69bd82327116299eb
Merge: 8d12292 2e172e5
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 27 23:34:42 2012 +0000

    Merge "Change default catalog driver to SQL; doc the options"

commit 8d12292feb826f1b2629f44738d8ceb65018618b
Merge: 6cb7483 19eb80b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 27 23:08:51 2012 +0000

    Merge "role-crud 404 (bug 963056)"

commit 6cb7483368951ec5535409572ba552999e600327
Merge: 53def36 92138b4
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 27 22:32:07 2012 +0000

    Merge "Improve service CRUD test coverage"

commit a29ee50bd866926feb0a9c4ba73b8b925571abac
Author: Maru Newby <mnewby@internap.com>
Date:   Tue Mar 27 14:05:02 2012 -0700

    Add build artifacts missing from .gitignore
    
     * Addresses bug 966612
    
    Change-Id: Ia8372abc2bb72e3ff56b2d5ee3b8436ea3157efa

commit 1f3557af59ac60d2d9e72945e8a7dff0ab0a65e3
Author: Maru Newby <mnewby@internap.com>
Date:   Thu Mar 22 14:11:18 2012 -0700

    Switch keystone.test.TestCase to use unittest2
    
     * unittest2 is already a test dependency, and has a large
       number of improvements over unittest.  The switch suggested
       removing TestCase assertions that already existed in unittest2's
       version and updating all subclasses to use the unittest2
       equivalents.
    
    Change-Id: I024134ae7cade3b4951c7508c1ea50070762720f

commit 7c053df8e37906c95dc78222a33f4ec91712774e
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Tue Mar 27 10:57:04 2012 -0700

    Raise keystone.exception for HTTP 401 (bug 962563)
    
    Change-Id: I22e3b6769c69ef5917028980007d3295fed99fb7

commit 53def36222a25942923013ea7b62b40d0f82e922
Merge: 0dbb0b8 978a8aa
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 27 00:59:18 2012 +0000

    Merge "Docs: SQL-based vs File-based Service Catalog"

commit 0dbb0b8dc51d88142f50967ea8720c3cfc5cc793
Merge: 2699a56 7dbb1d0
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 27 00:53:10 2012 +0000

    Merge "Fixed misc errors in configuration.rst"

commit 2699a5682fd46ff3825d506c1de659ef98795b79
Merge: d230b65 45b0f4b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 27 00:46:33 2012 +0000

    Merge "Replace tabs with spaces"

commit d230b6536760c579a475b0a2099858f46a3641fd
Merge: 79e93be b802ae0
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 27 00:00:07 2012 +0000

    Merge "updating docs to include creating service accts"

commit 7dbb1d0e4c848bbfaf11ab63ec4c23a7cec198a2
Author: Maru Newby <mnewby@internap.com>
Date:   Mon Mar 26 16:08:56 2012 -0700

    Fixed misc errors in configuration.rst
    
     * Addresses bug 965788
    
    Change-Id: I5aa276589a9818c7f523e6da9531af363139adbb

commit 978a8aa6ab34fa8182a4f73cd447c9f4324197a7
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Mon Mar 26 10:27:15 2012 -0700

    Docs: SQL-based vs File-based Service Catalog
    
    Change-Id: I465189ab73ddc0bd3361b22b5344bf68b9c931ef

commit 92138b4fa763d03a193caa0147ffae4b737e21f1
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Mon Mar 26 13:33:41 2012 -0700

    Improve service CRUD test coverage
    
    Change-Id: I2c4c4da7f962e7e84ae3eb3599d86191698d2cf4

commit 2e172e515556a76c2febdaa52dea7be95da566c1
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Mon Mar 26 10:35:28 2012 -0700

    Change default catalog driver to SQL; doc the options
    
    Change-Id: I7a713b8fb67ec099f60e35161c15a7b2b200ee8a

commit 45b0f4ba2168815ad1e7e6a003a6bab475b50a6d
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Mon Mar 26 09:31:11 2012 -0700

    Replace tabs with spaces
    
    Change-Id: I1065c9181bdd923683e2c1a2f728317fe1b4e68f

commit 19eb80bead361814a1955d0c0f12b17de5695dbe
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Fri Mar 23 09:10:59 2012 -0500

    role-crud 404 (bug 963056)
    
    role-get
    role-delete
    role-list
    
    Change-Id: I099b1e1e5bd2cd77a2ea3b72fb0f14b88a3af26e

commit f3af6918639013a5219a6192d5777e9437e20afa
Author: Maru Newby <mnewby@internap.com>
Date:   Tue Mar 20 18:47:19 2012 -0700

    Improve swift_auth test coverage + Minor fixes
    
     * Isolates authorize() tests from wsgi tests
     * Adds coverage for authorize()
     * Adds support for a blank reseller_prefix
     * Adds swift_auth test dependencies to tools/test-requires
     * Cleans up authorize()'s use of tenant_id/tenant_name
       (addresses bug 963546)
    
    Change-Id: I603b89ab4fe8559b0f5d72528afd659ee0f0bce1

commit 79e93be5b931abfae55dc7299c0c43149b78e9e2
Author: Thierry Carrez <thierry@openstack.org>
Date:   Fri Mar 23 21:42:31 2012 +0100

    Open Folsom
    
    Bump version to 2012.2 to formally open Folsom development.
    
    Change-Id: Ib510cc530414f9fa197aa07807aa33d097214ef4

commit f3ce326a8c9ab85f60145e6a198e061fd9ccf431
Merge: 7abe0aa 1904228
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 23 17:59:24 2012 +0000

    Merge "Check values for EC2."

commit 7abe0aa3845459b95a7d4e401e51d4ab8c4c0280
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Wed Mar 21 16:59:15 2012 +0000

    S3 tokens cleanups.
    
    - Cleanups.
    - Remove reference about config admin_username/password/token.
    - Return proper http error on errors.
    - Add unittests (skip them for now when swift is not installed).
    - Fixes bug 956983.
    
    Change-Id: I392fc274f3b01a5a0b5779dd13f9cd3b819ee65a

commit 1904228a5a3fef549c5b9294eba5c39f9f6f72bd
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Thu Mar 22 21:34:39 2012 +0000

    Check values for EC2.
    
    - Add multiple check to methods to make sure we have a proper
      tenant_id/user_id/credentials.
    - Fixes bug 958135.
    
    Change-Id: I4dd171e3db32d6ebdc70bb1a83492c8ecd09c21c

commit 9feb00085f75ea2697fd2225e6003c2384904d08
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Wed Mar 21 13:11:31 2012 -0500

    Fix critical typo in endpoint_create (bug 961412)
    
    It looks like catalog crud was previously untested.
    
    Change-Id: I8e3060b6d6c737d3d97a5bd9076e9a5fdf9945e2

commit 885f8d5950f8441e857d860b4e1cd4fd996440cd
Merge: d61aeda 94904e4
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 20 23:59:16 2012 +0000

    Merge "Rename tokenauth to authtoken."

commit b802ae0d1f234b507d016d2c08aef3f9da8ca2d4
Author: Joe Heck <heckj@mac.com>
Date:   Wed Mar 14 17:12:22 2012 +0000

    updating docs to include creating service accts
    
    and some general doc cleanup
    
    Change-Id: I745e636391f72dce9c142e399f46c0eb586aba8b

commit d61aedaf868d984f1c317a73b362a2e7a366ef89
Author: Yong Sheng Gong <gongysh@cn.ibm.com>
Date:   Sun Mar 18 23:56:35 2012 +0800

    unique role name constraint
    
      For SQL identity backend, add unique constraint with column definition;
    for kvs and ldap backend, use python code to apply this constraint.
    Test cases test_create_duplicate_role_name_fails and test_rename_duplicate_role_name_fails are added to guard it.
    python run_tests.py test_backend_ldap test_backend_kvs test_backend_sql pass.
    
    bug 932258.
    
    Change-Id: I990f17a270e84d35c078f215c587a81d6784c192

commit f98cd4f27d68c47a003b529bbcfeffa9140e090d
Merge: 53b3d44 3a296a4
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 20 23:17:30 2012 +0000

    Merge "Spring cleaning, fix PEP8 violations."

commit 53b3d4498848ae2fff58751f9a791a9ebc00b742
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Sat Feb 25 11:37:17 2012 +0100

    Add test for swift middleware.
    
    - skip the tests if we don't have swift installed.
    
    Change-Id: I3647538f3e7a32cbfce97b181c532371cef963da

commit 3a296a458c4e2f9465ddc0330d03c3e7ec0e3c50
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Tue Mar 20 10:09:25 2012 +0000

    Spring cleaning, fix PEP8 violations.
    
    Change-Id: Ide832cd64c9b285213e23901eaf81946d504e726

commit 5ea232a09f88d621980cbd5ef4655f9c9a2e2da1
Merge: da04fc0 009d661
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 20 22:40:51 2012 +0000

    Merge "Wrapped unexpected exceptions (bug 955411)"

commit da04fc0de4b7f46a5559f3c81e54b5402e4876e3
Merge: 57f1cb2 e677327
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 20 22:34:37 2012 +0000

    Merge "Support PyPAM in pam backend, update to latest API"

commit 94904e45e3276e1c274a25c785c0143cd6d6fec1
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Tue Mar 20 17:08:46 2012 +0000

    Rename tokenauth to authtoken.
    
    - Avoid confusing by using the authtoken name for auth_token middleware.
    - Improve swift_auth middleware doc.
    
    Change-Id: I287860eba067b99a1d89f8f17200820340836ff9

commit 57f1cb2c4a37ef0040321732fb64fc6cde02126d
Merge: 80c7936 3e4653a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 20 18:04:22 2012 +0000

    Merge "fix keystone-all's usage of options vs conf"

commit 80c7936b3147d53659025a76ac232de986f5ce64
Author: termie <github@anarkystic.com>
Date:   Tue Mar 20 10:41:03 2012 -0700

    pass the arguments in when starting keystone-all
    
    fixes bug 942793
    
    Change-Id: I044a56c1eedae2ecef04dd3aa60b91414b7abc14

commit 3e4653a3914e84aec72ba159c4d23edba8ced48f
Author: termie <github@anarkystic.com>
Date:   Tue Mar 20 10:47:31 2012 -0700

    fix keystone-all's usage of options vs conf
    
    we shouldn't be using options at all, that was a leftover piece of code
    from a long time ago.
    
    invalidates bug 949373
    
    Change-Id: I29fcbd5f641464bda985900172b55bca45843f81

commit 9c823977baca9944074c62cedf32f5107a95a443
Merge: 3263f45 6f8752b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 20 17:19:51 2012 +0000

    Merge "Clean up sql connection args"

commit 3263f45926f054c759caa10e391777e7372e73a1
Merge: 5d07cdf ee57716
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 20 16:59:17 2012 +0000

    Merge "Improved file logging example (bug 959610)"

commit 009d661a7e06ad72ab39b93433839bf567755ece
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Wed Mar 14 15:06:16 2012 -0500

    Wrapped unexpected exceptions (bug 955411)
    
    - Replaced all webob.exc's (outside of middleware) with
      keystone.exception's
    - Raised 409 Conflict when creating/updating existing
      user/tenant ID/names (bug 955464)
    - Raised 501 Not Implemented for user-role-add w/o tenant_id
      (bug 955548)
    
    Change-Id: I9f16cac502c20dd35a6b8da778e85bf3d9cfae49

commit 5d07cdf438b97ec2fdc4685b2f1559f3258da102
Author: Michael Basnight <mbasnight@gmail.com>
Date:   Tue Mar 20 08:53:31 2012 -0500

    Changing belongsTo validation back to ID
    
    * Fixes lp#960218
    
    Change-Id: I6296413c211da92a4d0e07a544ca812d3544cb73

commit 3a70a2f9281fdfec6f770cfb60fcd2dce5a77c5f
Merge: 632fb0a 193374a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 20 04:55:46 2012 +0000

    Merge "Fixes LP #954089 - Service list templated catalog"

commit 632fb0a8cb4eddf76ce0695472601d69115149a9
Merge: 4f3dade 2324247
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 20 04:49:56 2012 +0000

    Merge "Swift middleware doc update."

commit 4f3dade2367270442b685426befd6d6de665797b
Merge: ed231ff 678dcad
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 20 04:44:01 2012 +0000

    Merge "Refactor keystone.common.logging use (bug 948224)"

commit ed231ffa8c3e90125bc73c528d1db8b46f3f5381
Merge: 36b2b22 00a2392
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 20 04:37:59 2012 +0000

    Merge "Installing keystone docs"

commit 6f8752bf6ea74fb8841dac1a1d6b62af019b48e5
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Mar 19 14:21:02 2012 -0700

    Clean up sql connection args
    
    * Convert idle_timeout (pool_recycle) to integer
    * Drop min_pool_size, max_pool_size, pool_timeout
    * Fixes bug 959916
    
    Change-Id: Ie124b3abdf00358d6b722e1c2e2a2fb22967ca5a

commit 36b2b228daabd07e185e70800863991cbde6ba95
Merge: 83bc8c0 6f2c858
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 20 04:15:44 2012 +0000

    Merge "Update get_metadata to return {}"

commit ee577163e32b88ca1345124c96ae3113d9a5ccdd
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Mon Mar 19 14:49:18 2012 -0500

    Improved file logging example (bug 959610)
    
    - Root logger w/ file handler will log WARNING, ERROR, CRITICAL by default
    
    Change-Id: I36cd07cec85712640daa013563401a3bc52f290c

commit 83bc8c088ec66a858afce9a889a4407c59b9d48e
Merge: 5027c9d 773f0f8
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 19 18:07:20 2012 +0000

    Merge "Fix default port for identity.internalURL"

commit 5027c9d7150815abe1dde7e4d85d41eb2d0fad4d
Merge: 7c1e32b 56e4103
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 19 18:01:19 2012 +0000

    Merge "docstring cleanup to remove sphinx warnings"

commit 2324247baac2ba620da1f6cdc540462e6f0b6a5f
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Mon Mar 19 14:53:36 2012 +0000

    Swift middleware doc update.
    
    Change-Id: I01ecc4d602b5e887f66d32676f11a92d022f693f

commit 7c1e32bba6837eb0937e6e7567aa5e7981db7fec
Merge: 43a84e3 2146119
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 19 16:26:45 2012 +0000

    Merge "Remove nova-specific middlewares"

commit 43a84e3b96450d29b7f3139a6e830583038c1d24
Merge: 2c6a232 239e4f6
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 19 16:20:55 2012 +0000

    Merge "Add check for MAX_PASSWORD_LENGTH to utils."

commit 193374af3860e17ed03bb0431d823046079ae444
Author: Jay Pipes <jaypipes@gmail.com>
Date:   Tue Mar 13 17:30:07 2012 -0400

    Fixes LP #954089 - Service list templated catalog
    
    * Adds missing test cases for the TemplatedCatalog
    * Adds a base CatalogTest that different backends
      can use
    * Updates kvs.Catalog to raise ServiceNotFound where
      appropriate
    * Updates the tests.test_keystoneclient_sql to actually
      test the SQL catalog backend
    * Removes old test for incorrect endpoints listing
    * Removes the keystone.catalog.core.Driver.service_exists
      method since it was only implemented in the SQL driver
      and wasn't required now that get_service and delete_service
      properly raise ServiceNotFound exception.
    
    Change-Id: I35690cc147e56007be27bacf94eeff360e727e5d

commit 2146119eaddaa5b3e375fef6590458a77932a58b
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Mar 19 08:31:26 2012 -0700

    Remove nova-specific middlewares
    
    * Nova now ships with nova.api.auth.NovaKeystoneContext
    * Nova does not depend on either of the middlewares being removed
    
    Change-Id: I9546e5c84ea1453f5dfd2dd7bf9924ccda57f87a

commit 239e4f64c2134338b32ffd6d42c0b6ff70cd040c
Author: Dan Prince <dprince@redhat.com>
Date:   Fri Mar 16 21:46:31 2012 -0400

    Add check for MAX_PASSWORD_LENGTH to utils.
    
    Updates to keystone password hashing and checking functions so
    that a max password length is enforced.
    
    Fixes LP Bug #959288.
    
    Change-Id: Id3048f3c916e92c59ac5b063d09c3d612d51c97c

commit 2c6a232c38cf6bbd969421b2fe2fe7d410da327a
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Fri Mar 16 15:55:22 2012 -0700

    Remove glance_auth_token middleware
    
    * Fixes bug 957501
    
    Change-Id: I2ae6ec7b391dd41587f2246940a8d392c12c91fe

commit e67732748c7ad4656f6ef5d9da3ff4789199bf9a
Author: Russell Bryant <rbryant@redhat.com>
Date:   Wed Mar 14 16:55:24 2012 -0400

    Support PyPAM in pam backend, update to latest API
    
    Fix bug 938801.
    
    This bug pointed out that some distros don't have the same pam Python
    module packaged that this backend was expecting.  In my case, on Fedora,
    it's PAM and the API is not compatible with the pam module that was
    used.  This patch makes the backend support PyPAM, as well as the
    original pam module that was used.
    
    In order to test this, I updated the pam backend to the latest backend
    API.  Even though the base class will raise NotImplementedError, I
    included all functions here to make it more clear all of the things
    this backend does not do.
    
    Change-Id: I74144f4e63b6830c8224bc87e1662eb5df8728a0

commit 88ac1edec0b62fe5b18b2b0ffce3798f63f21351
Merge: c93f663 f8cbd61
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 16 02:34:15 2012 +0000

    Merge "sample_data.sh: check file paths for packaged installations"

commit c93f6633cdcde89c346054a478fa17b12940b395
Merge: 2415b17 9363d5f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 15 22:34:02 2012 +0000

    Merge "Properly return 501 for unsupported Catalog calls"

commit 2415b171b113aea4f4fbec5856b92cec36d44709
Merge: 096300d e7bb737
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 15 17:23:52 2012 +0000

    Merge "Add automatically generated code docs."

commit 096300d072d8545f899586af44968c9ba43d380b
Merge: fdca62c ab6be05
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 15 14:46:48 2012 +0000

    Merge "Update username -> name in token response."

commit 773f0f84af282cd3e53650ccbb99284c37677b6a
Author: Julien Danjou <julien.danjou@enovance.com>
Date:   Thu Mar 15 11:38:29 2012 +0100

    Fix default port for identity.internalURL
    
    This should be the public_port and not the admin one.
    
    Change-Id: Ib09e7479c0507797532e6bb91d76b7d3083cc761
    Signed-off-by: Julien Danjou <julien.danjou@enovance.com>

commit fdca62c93858e5bac09e5e20e0818585946a598d
Merge: 9a2010b d2c6e88
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 15 07:49:17 2012 +0000

    Merge "Raising unauthorized instead of 500 (bug 954547)"

commit 00a239278553fd357e56da35b559ec329dc9796a
Author: Joe Heck <heckj@mac.com>
Date:   Wed Mar 14 19:03:59 2012 -0700

    Installing keystone docs
    
    fixes bug 954217
    
    Change-Id: Iba79d2d5bae836037d5b0e10169d9bbdba8603dc

commit ab6be05068068b0902db44b1d60f56eea4fe1215
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Wed Mar 14 18:30:13 2012 -0400

    Update username -> name in token response.
    
    Tokens validation responses contain user information. The API docs
    seem to indicate token["user"]["name"] contains the username but
    currently the auth_token.py middleware checks for
    token["user"]["username"]. This updates that check and the tests.
    
    Fixes bug 955563
    
    Change-Id: Ib2fbf6fcea87f7066394cf14c18158f1e5eeaf06

commit 678dcad410b2496eb1ed34bb91c0d0914a9c6b0d
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Wed Mar 14 14:28:04 2012 -0500

    Refactor keystone.common.logging use (bug 948224)
    
    Change-Id: I01b2b5748a2524273bb8c2b734ab22415652f739

commit 9a2010bfe81a386610a294d0b29c31e12db79773
Merge: acc9f89 f4915af
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 14 20:45:40 2012 +0000

    Merge "Allow connect to another tenant."

commit e7bb73767ba9b538bdab85cdb4edb2549c02427f
Author: Russell Bryant <rbryant@redhat.com>
Date:   Wed Mar 14 16:05:46 2012 -0400

    Add automatically generated code docs.
    
    Fix bug 954734.
    
    Fix "python setup.py build_sphinx" to build the code documentation via
    sphinx-apidoc.
    
    Change-Id: I18eced31aab424b7c808697324cbf6cfede442a7

commit 9363d5fea676e1e083c5afe5287ef30c806046bf
Author: Adam Gandelman <adamg@canonical.com>
Date:   Tue Mar 13 16:23:45 2012 -0700

    Properly return 501 for unsupported Catalog calls
    
    Similar to the other APIs, this creates a Driver class that describes
    expected functionality of the catalog driver and raises NotImplemented
    accordingly. NotImplementedError()'s are caught and returned as proper
    501s instead of AttributeErrors.
    
    Also fixes some inconsistent paramters names in the sql backend.
    
    Fixes bug 954087
    
    Update: Convert usage of NotImplementedError() to new
            keystone.exception.NotImplemented() for all
            unimplemented driver actions.
    
    Change-Id: I69d8e21a6f651e69b724ec5ed5784645bad80c00

commit acc9f892b36aa7315ac84d1e7f6506a6fea9fbad
Merge: b03c204 a1e0174
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 14 18:22:30 2012 +0000

    Merge "Update docs for keystone client cli args"

commit 56e41037ba41b2507722dcbc54157cfe4cf4535f
Author: Joe Heck <heckj@mac.com>
Date:   Wed Mar 14 17:19:37 2012 +0000

    docstring cleanup to remove sphinx warnings
    
    Change-Id: Icfc273f2466f48307d2addd22b70f1759d23fd97

commit b03c2047815ff341547d2d9792dfd392148d277a
Author: Joe Heck <heckj@mac.com>
Date:   Wed Mar 14 05:08:58 2012 +0000

    updating documentation for rewrite of auth_token.
    
    fixes bug 944372
    
    Change-Id: Ifac365a6eb141e0ca4701cf139d6ea66a0b3ffbc

commit f4915afc5af0d1252e7779fcc30ffff892a69d91
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Wed Mar 14 16:19:12 2012 +0000

    Allow connect to another tenant.
    
    - Works with nova s3_affix_tenant.
    - This would only be allowed for user who has reselleradmin rights.
    - Fixes bug 954505.
    
    Change-Id: Iea84f1c61f6c725982c8bee95889ce084d9ffd82

commit fb4cbe9d3766ac0ccbe746114d5c6745bc91e002
Merge: 5b3e05b dc41cb5
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 14 06:08:00 2012 +0000

    Merge "Failing to update tenants (bug 953678, bug 954673)"

commit a1e01747ea81fc128d08c02d449b477f52003680
Author: Dean Troyer <dtroyer@gmail.com>
Date:   Wed Mar 14 00:35:47 2012 -0500

    Update docs for keystone client cli args
    
    Changes CLI args in keystone command per updated http://wiki.openstack.org/CLIAuth
    
    Change-Id: I097181c418f6cc2226fceb5c79d87fde36026594

commit d2c6e88200bb33708a0861da4d1a10c0f7984895
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Tue Mar 13 22:06:34 2012 -0500

    Raising unauthorized instead of 500 (bug 954547)
    
    Change-Id: I557ff1ca51261edf0824aeb4565816216c59c76e

commit dc41cb5c11951b416d3e379bc944ac85737b979a
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Tue Mar 13 16:11:27 2012 -0500

    Failing to update tenants (bug 953678, bug 954673)
    
    - GET /tenants: Enabled attribute was being overridden
    - "POST" /tenants/{tenant_id}: was failing to update KVS
    
    Change-Id: Icc1efef52d35777d73e6010bdfc0409e24570aa2

commit 5b3e05bbabd5366461630327e4498fe582ff8ab7
Author: Adam Young <ayoung@redhat.com>
Date:   Wed Mar 7 16:04:32 2012 -0500

    added LDAP section to architecture and architecture
    
    https://bugs.launchpad.net/keystone/+bug/949521
    
    Bug 949521
    
    Change-Id: I2e37c0d946e3d97a2c4bc4bf4a50bd94466f70c2

commit e65a22c43a7fe44621080cee01f394c90b54320d
Author: Peng Yong <ppyy@pubyun.com>
Date:   Sun Mar 11 10:35:15 2012 +0800

    Bug #943031 MySQL Server has gone away
    added docnotes of error messages caught for mysql and reference
    
    Change-Id: I147b32193436be891e54e36c6adc1b16fda886d3

commit 97460ef70b7a8008a27f73384c389c2b4c23dded
Merge: dee8153 73af033
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 13 21:28:39 2012 +0000

    Merge "Improved legacy tenancy resolution (bug 951933)"

commit dee81534cb2743262e2287da35e9b5970bd9cc12
Author: Joe Heck <heckj@mac.com>
Date:   Tue Mar 13 13:53:40 2012 -0700

    making all use of time follow datetime.utcnow()
    fixes bug 954057
    
    Change-Id: I14fa475dc03410b8843ab028d30fbc8802c4be30

commit 73af033ded8fe9ba54c37ab4f2a7553b3be1e450
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Tue Mar 13 12:27:53 2012 -0500

    Improved legacy tenancy resolution (bug 951933)
    
    Change-Id: Ia6fd5eb57e8d7f90328117351f7b814b1b4495dc

commit f8cbd611cfa258f75051e41ebd83501cfec06630
Author: Alan Pevec <apevec@redhat.com>
Date:   Mon Feb 27 17:59:33 2012 +0100

    sample_data.sh: check file paths for packaged installations
    
    v4: try to use system-wide configuration first
        then fallback to assuming git checkout
    
    Change-Id: I6916f554cb9848fcb2d090e142b8915ad19a7486

commit 1e07b98d77a6ccb254e6f4411682235a47dab137
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Sat Mar 10 17:22:06 2012 +0100

    Fix iso8601 import/use and date comparaison.
    
    - Store the unix time from iso8601.parse_date to compare against
      time.time.
    - on a WSGI environement the import don't get passed to the methods from
      __init__ use a self. variable.
    - Fixes bug 951603.
    - Add unit tests.
    - Add iso8601 to test-requires.
    
    Change-Id: Ia8af8b203d1310d5ae6868c3a14dfdf68d6e5331

commit a036b3f77ba39301d0a5d44afe6c4253c0db8b15
Author: Dean Troyer <dtroyer@gmail.com>
Date:   Mon Mar 12 14:45:34 2012 -0500

    Fix double-quoted service names
    
    The Keystone service template parser doesn't do any quote interpolation,
    it just splits on ' = ' and passes the two parts on. So we just remove
    the quotes for now.
    
    Fixes bug 943523
    
    Change-Id: Ib9e17e70926339ab67f9c50a52a5036eeb7bfb65

commit f6fd0c79219e0b4f8108aba73553b120f763af54
Merge: 0c3c27c 1b64c84
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Mar 11 06:42:37 2012 +0000

    Merge "Remove Nova Diablo reference from migrate docs"

commit 1b64c8405381000b8738195b265c6c81690d8e9e
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Sat Mar 10 20:59:40 2012 -0800

    Remove Nova Diablo reference from migrate docs
    
    Change-Id: Ic8e07197db0b926c2ac7ee0ad6fcc936314ffe6f

commit 0c3c27c7dbf8a4d359e8cae7f80fcaad5d8582e9
Author: Deepak Garg <deepakgarg.iitg@gmail.com>
Date:   Thu Mar 8 09:16:26 2012 +0530

    Fixes the cli documentation of user/tenant/roles
    
    Fixed the subcommands and basic misconfiguration mentioned in bug #948211
    
    Note: deleted the old commands after the review comments.
    
    Change-Id: I2a8491c35f346d120581156ae1743d07c3c11fd0

commit 9d245f8b6867bb7cb2b1230055de1230a483f0cb
Merge: a863c13 2f4fb46
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Mar 11 01:54:48 2012 +0000

    Merge "create service endpoints in sample data"

commit a863c136720a1e3ddc098588afd171dc10ffb308
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Sat Mar 10 13:59:44 2012 -0800

    Add simple set of tests for auth_token middleware
    
    Change-Id: Ie959e91dc555e35b8e5ba4b01c68a3f232efc115

commit 7ee2a4618314217c1b5bae15e9346be4d9cb8107
Merge: c373132 d6631d8
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Mar 10 19:21:04 2012 +0000

    Merge "update documention on changing user password"

commit c373132e7fc720690d0f7531e1f5871632984c4f
Merge: 6db0067 259d938
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Mar 10 19:01:34 2012 +0000

    Merge "enables run_test option to skip integration"

commit 6db00670ea33c39c408d657525ebd778c8932ce1
Merge: ee5083d 48f2c7d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Mar 10 11:29:31 2012 +0000

    Merge "Add AUTHORS to the tarball."

commit d6631d81d5f469415aed2023367adccb529ea656
Author: Yaguang Tang <heut2008@gmail.com>
Date:   Sat Mar 10 15:51:56 2012 +0800

    update documention on changing user password
    
    Change-Id: I73be30eed4d2eed7a53c9dbdb5f29ec9c8f6eb6f

commit ee5083d7b4d7c9f3d687ccba6fe652af0966b9e0
Merge: b5c8b3a 94abc7e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Mar 10 07:35:54 2012 +0000

    Merge "Make sure we have a port number before int it."

commit 259d9380e835d03d7358e4d953404b8207b8e8d7
Author: Joe Heck <heckj@mac.com>
Date:   Fri Mar 9 22:41:47 2012 -0800

    enables run_test option to skip integration
    
    * fixes bug 948495
    
    Change-Id: I274bfe9611d677c44117a0d9ff67394790794fc4

commit b5c8b3a81911491c97ee95e741c75ffd269f382a
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Fri Mar 2 15:31:54 2012 +0000

    Add token caching via memcache.
    
    - Fixes bug 938253
    - caching requires both python-memcache and iso8601
    
    Change-Id: I23d5849aad4c6a2333b903eaca6d4f00be8615d3

commit 6f2c858f4382395bd4b4232e7ba3dd509327e4c6
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Fri Mar 9 15:24:25 2012 -0500

    Update get_metadata to return {}
    
    Fixes bug 951093
    
    While the actual issue was encountered in keystone/service.py,
    the underlying issue is that all identity backends seems to be
    returning None when no metadata is found for a user. I would argue
    that returning {} makes it easier on clients.
    
    Change-Id: I06faf755cc0dbe45b5d0a0f86c6235b27c856047

commit e05bc6a6edeee5e1430e6c36fb38c911821800f5
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Thu Mar 1 12:31:53 2012 -0600

    Diablo to Essex migration docs (bug 934328)
    
    - Also includes notes to address bug 947060
    
    Change-Id: I2756457861f3e84334a7d37aed31372a3b02dd40

commit 5720730c2e55259f1894368e766256cded51a1df
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Fri Mar 2 13:38:39 2012 -0600

    Added license header (bug 929663)
    
    Change-Id: Ia36a22f2d6bba411e4fad81ea2d6fa1f0465a733

commit 48f2c7d4efb5e4691802fa5124523590b6321975
Author: Dan Prince <dprince@redhat.com>
Date:   Fri Mar 9 12:54:06 2012 -0500

    Add AUTHORS to the tarball.
    
    Fixes LP Bug #950998.
    
    Change-Id: Ia521a9d013ef4fb332df4dc5576cc3e5f13651bc

commit 2f4fb46159e8b73c8aba231ec2239b41bb53183c
Author: Alan Pevec <apevec@redhat.com>
Date:   Wed Mar 7 21:31:37 2012 +0100

    create service endpoints in sample data
    
    Enable creation of endpoints by setting ENABLE_ENDPOINTS environment
    variable. Works with Catalog SQL backend.
    
    Change-Id: I9ba0ea1b3cf35720fb338e91f48fcbddc326971b

commit 303a10b9460c506455a74e890567031cf4c9cdef
Author: Dean Troyer <dtroyer@gmail.com>
Date:   Fri Mar 9 00:03:46 2012 -0600

    Fix EC2 credentials crud after policy backend change
    
    https://review.openstack.org/4659 implemented the common policy code
    but made a change to the exception thrown by wsgi.Application.assert_admin()
    and Ec2Controller._is_admin() needed updating.
    
    Fixes bug 950557
    
    Change-Id: I0e27aeeabd1be5a6012e34aa71efdfc2f2d5a726

commit 0a124fa6a114ba357f6aec9ba4da5eb503483a95
Merge: a2f2274 524cbd5
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 8 22:29:04 2012 +0000

    Merge "add more default catalog templates"

commit a2f2274c69df2ca5b040a69173f3eb7eb030c561
Author: termie <github@anarkystic.com>
Date:   Tue Feb 28 16:50:48 2012 -0800

    port common policy code to keystone
    
    keystone.common.policy is copied from nova
    
    leave simple backend in as a shim until devstack stops referencing it
    
    Change-Id: Ibd579cfeb99465706d525b6565818a2d8f5f3b7c

commit e5254d48b133f3ec9798cc8eb48a03cb69ff2d97
Merge: e422567 71aa1db
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 8 21:38:24 2012 +0000

    Merge "fix Nova Volume Service in sample data"

commit e4225671cf9c5f3bac5a0f061fa90ad73a6ee673
Author: Michael Basnight <mbasnight@gmail.com>
Date:   Wed Mar 7 22:32:23 2012 -0600

    rename belongs_to to belongsTo as per the API spec.
    
    fixes lp#949554
    
    Change-Id: Ia24dda7e9aa8e075861029dd5edeafd01c9d89c2

commit 5231d3cc022d7a894e41f03a53eadd9ec4f16220
Merge: 5c6bccf a7472f1
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 8 20:26:21 2012 +0000

    Merge "HTTP_AUTHORIZATION was used in proxy mode"

commit 94abc7ed3e8105cf80ad60558d01fc0839adc027
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Fri Mar 2 11:34:16 2012 +0000

    Make sure we have a port number before int it.
    
    - Remove unused auth_location in s3_token along the way.
    - Fixes bug 944720.
    
    Change-Id: Ib6e48511d09798868c5ca3fa00472525bc9f8823

commit 5c6bccf1c57b06a19845c696c19274ae9f080104
Author: Michael Basnight <mbasnight@gmail.com>
Date:   Wed Mar 7 22:32:23 2012 -0600

    fixes lp#949648 change belongsTo validate to name
    
    Change-Id: I3d36290ad95a0440c006e2daff5b831be62957ae

commit 4e4f793e0becb19d77cf137587adb9944a15f5f8
Merge: 161c658 5c7f3cf
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 8 04:00:28 2012 +0000

    Merge "Set default identity driver to sql (bug 934332)"

commit 161c6587af3908a1e6f23c398bc2221395e4466c
Merge: 07985e4 989d62f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 8 03:54:52 2012 +0000

    Merge "Improve auth_str_equal()."

commit 07985e4349dcead9f5487910020f5dec07351e5e
Merge: d0429ea 98170a7
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 8 00:34:28 2012 +0000

    Merge "fixes bug lp#948439 belongs_to and serviceCatalog behavior * removing belongs_to as a kwarg and getting from the context * adding a serviceCatalog for belongs_to calls to tokens * adding test to validate belongs_to behavior in tokens"

commit a7472f139d7f1c4b40906e66302db720efdb19a7
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Wed Mar 7 16:00:45 2012 -0800

    HTTP_AUTHORIZATION was used in proxy mode
    
    Change-Id: I72eae79bd1991321eac224777fb186c5022f2c12

commit 71aa1db60ff4f83599819f1d86aea411bfc9f4ae
Author: Alan Pevec <apevec@redhat.com>
Date:   Wed Mar 7 13:52:36 2012 +0100

    fix Nova Volume Service in sample data
    
    Change-Id: Ic6bb8ddea1ab894076d1580f5dbbe535aa668a8a

commit 98170a73dd28cebf9737c012d03554ffce5fd1f5
Author: Michael Basnight <mbasnight@gmail.com>
Date:   Tue Mar 6 21:36:01 2012 -0600

    fixes bug lp#948439 belongs_to and serviceCatalog behavior
    * removing belongs_to as a kwarg and getting from the context
    * adding a serviceCatalog for belongs_to calls to tokens
    * adding test to validate belongs_to behavior in tokens
    
    Change-Id: If6f6a7007a6830c57a5ac71aef0090e57a064232

commit d0429ea9b8849f99aa170cd09aef7776e2651dbf
Author: Devin Carlen <devin.carlen@gmail.com>
Date:   Sat Mar 3 14:01:46 2012 -0800

    Make bind host configurable
    
    * fixes bug 945868
    
    Change-Id: Ib33dc9ad1878a9215c1a1ab10814fa7d0905cbdb

commit fe6414c8c1f769e6cc87fc001b6c52c5fea0f160
Merge: 358ecca ec35ea8
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 7 18:11:04 2012 +0000

    Merge "Fix coverage jobs for Jenkins."

commit 358eccac110f0ae315382043386296f27a871a73
Merge: b68051c fd4e961
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 7 18:05:42 2012 +0000

    Merge "Isolating backtraces to DEBUG (bug 947060)"

commit 524cbd58acd0c47664e164f72f25524cb95b09f0
Author: Alan Pevec <apevec@redhat.com>
Date:   Tue Mar 6 21:46:52 2012 +0100

    add more default catalog templates
    
    Image, Volume and Ec2 services were missing
    
    Change-Id: I409b0b587b0019dc97bf46760e8f732aa13b88de

commit ec35ea8b9e3b9ef3422ca8119e743de974099a68
Author: Monty Taylor <mordred@inaugust.com>
Date:   Tue Mar 6 22:11:38 2012 -0800

    Fix coverage jobs for Jenkins.
    
    Change-Id: I9a97ac7b997f531d05d4a6beab7d6c16ced7016a

commit 989d62fe8f606cb4fecaaaf1395e1cd9c3d81d67
Author: Russell Bryant <rbryant@redhat.com>
Date:   Tue Mar 6 13:18:58 2012 -0500

    Improve auth_str_equal().
    
    This patch is to improve auth_str_equal() a bit.  The whole point of
    this function is to do a string comparison in constant time to help
    protect against timing attacks.  The original implementation had a bit
    of a silly property in that it would exit early if the strings were not
    of the same length.  This would theoretically still allow someone to
    discover the proper length of a password.
    
    This patch moves the length verification to the end.  It also makes it
    so the main loop time to run is a function of the provided password
    length instead of the length of the shorter of the two strings.
    
    Change-Id: I6dbe076818b7e3e8a313544ebd5c5734b5a025e5

commit 5c7f3cff8d489fefbc34dadbefea6dc9604c4a4a
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Fri Mar 2 11:26:29 2012 -0600

    Set default identity driver to sql (bug 934332)
    
    Change-Id: Ibc5502f0feb2bcc9583ccd1aa9bf9bd94fef43ca

commit b68051cd13cc71ebd15cd478afedf0c5d07ebd4e
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Fri Mar 2 10:50:57 2012 -0600

    Renamed sqlite files (bug 944951)
    
    Change-Id: Iae7aa34de0bf68da9e422719605753634cc0d113

commit 6621c79b06fc2848072e59d22d1224ae3a0c593a
Merge: a18b3f2 e8fb989
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 6 17:07:45 2012 +0000

    Merge "Add reseller admin capability."

commit fd4e9616ddca4dbd0c4f0545c376167b966eae8d
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Mon Mar 5 16:47:58 2012 -0600

    Isolating backtraces to DEBUG (bug 947060)
    
    Debug mode on: http://pastie.org/3529520
      (full backtrace to stdout)
    
    Debug mode off: http://pastie.org/3529526
      (Just an error message to stdout)
    
    Change-Id: I1d4e17cf73e7777c3cbaef7c5d7fd18a4f6e53dc

commit a18b3f29c4a977977e6bf29d1edcba43d5e6005b
Merge: f8d7bbd 460c3f3
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 5 20:45:05 2012 +0000

    Merge "Remove trailing whitespaces in regular file"

commit f8d7bbd45b3e4d4fb3a77a74b1bd54f196dacda0
Merge: fad1a38 bc34635
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 5 20:39:47 2012 +0000

    Merge "LDAP get_user_by_name"

commit fad1a388f89681a0f487ad5bb1aba2a58ea14b47
Author: Joe Heck <heckj@mac.com>
Date:   Fri Mar 2 16:39:10 2012 -0800

    updating readme to point to developer setup docs
    * fixes bug 945274
    
    Change-Id: I6caf8da9fd0bd5647ae913efd752dd6651abcb85

commit e8fb989b8b07f3209300ecba043bdf14c94d497f
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Mon Feb 13 23:29:49 2012 +0000

    Add reseller admin capability.
    
    - A user with the reseller admin role will be able to access to every
      other accounts.
    - Rename name groups to roles.
    
    Change-Id: I8e86d8280a8fcdefbd4f9386bec11afdad797167

commit 460c3f389185f352c36ccbe5e9f11579de334643
Author: Hengqing Hu <hudayou@hotmail.com>
Date:   Sat Mar 3 13:10:06 2012 +0800

    Remove trailing whitespaces in regular file
    
    Change-Id: I8d05fbb7a372bf9a813da9165cd40af71a1ae4c2

commit bc346357a2205d552e62a351a4d37b3f2398b87e
Author: Adam Young <ayoung@redhat.com>
Date:   Thu Mar 1 15:46:41 2012 -0500

    LDAP get_user_by_name
    
    Required by keystoneclient
    
    https://bugs.launchpad.net/keystone/+bug/943567
    bug 943567
    
    Change-Id: I5aec63e81262ad6f3b2e5a984841d8d6bdfa8da5

commit 48dc5be3d294a20a79c989f760e7d46bc1f90456
Merge: ca97ac8 b698855
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 2 19:19:58 2012 +0000

    Merge "Added missing import (bug 944905)"

commit ca97ac85513853b50fcac73f77ceadc9cf36df7e
Merge: ea4999d dd35d2a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 2 19:08:55 2012 +0000

    Merge "standardize ldap and related tests"

commit b69885596ba03d7e307082e902e541a85ca68fe0
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Fri Mar 2 09:57:53 2012 -0600

    Added missing import (bug 944905)
    
    Change-Id: I0e5edbcb79b1c9124a9ca82edfe4f0a5bd93e66e

commit ea4999d22e325ccb915a9f59d6dd5b996cfed319
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Thu Mar 1 18:11:22 2012 -0800

    add git commit date / sha1 to sphinx html docs
    
    Change-Id: I96124871263a489504c529bb69549d0cfa4545d5

commit b50f7d85091f253f47045ee1925a6a0ca52c41fc
Merge: 96cdf72 fc63c5d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 1 22:47:41 2012 +0000

    Merge "Add service accounts to sample_data.sh"

commit 96cdf7290717beb58aeec0eb2313fbc51c3ba78d
Merge: 33e6c29 845a0de
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 1 22:43:11 2012 +0000

    Merge "gitignore follow up for docs/ rename"

commit 845a0de3f1443c105698dd74094ce72a10b5e57b
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Thu Mar 1 16:35:02 2012 -0600

    gitignore follow up for docs/ rename
    
    Change-Id: I9402b47a61acbd78028ff6f74838b2f5074b9f97

commit 33e6c29d0d9a29eea2f50bdc24dcf87329337e66
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Tue Feb 28 21:05:17 2012 -0800

    improve auth_token middleware
    
     * remove ability to run auth_token as stand-alone proxy service
     * only validate a token once
     * improved error handling & comments where further improvement needed
     * improved admin_token logic
     * resolved bug 942984 and bug 942985
    
    Change-Id: I12ae25c9d8047862072b7ebea1a98722eae1f40d

commit fc63c5ddb56693dbbc8301509c6c61b94d47e86a
Author: Dean Troyer <dtroyer@gmail.com>
Date:   Thu Mar 1 12:34:08 2012 -0600

    Add service accounts to sample_data.sh
    
    Updated sample_data.sh to create the service accounts now required
    for services (Nova/Swift/etc) to use Keystone.  Swift and Quantum
    are now enabled by setting ENABLE_SWIFT and/or ENABLE_QUANTUM.
    
    This corresponds to the auth_token middleware rewrite in
    https://review.openstack.org/4675
    
    Change-Id: I327c593a53f3ac06e2ed0c1543d2974728e70e03

commit dd35d2afbfc7bcd41cd5c68b440f5c502d32d656
Author: termie <github@anarkystic.com>
Date:   Thu Mar 1 11:27:06 2012 -0800

    standardize ldap and related tests
    
    ldap was accidentally supplying some of its own values rather than using
    the built-in fixtures, so it was providing the incorrect interface for a
    couple calls.
    
    also adds a test for get_user_by_name (skipped for ldap) and
    standardizes the kvs and ldap authenticate calls
    
    fix user authentication live ldap tests
    Change-Id: If1ccce1fd9c84622bb89344bc5d5c59b059d03ae

commit f8ba5af130b7ec2d2ec8c0abcadbc27275467ab8
Author: Monty Taylor <mordred@inaugust.com>
Date:   Tue Feb 28 00:46:14 2012 -0800

    Align with project configs.
    
    * docs in doc/ rather than docs/
    * write out changelog from git
    * freeze requirements file
    
    Change-Id: If28d5414f7b2747fd6835546c45e1acfac8a3563

commit a6105f70c4007dab9a7180c27e5c379999f56cec
Author: Darren Birkett <darren.birkett@gmail.com>
Date:   Thu Mar 1 16:30:14 2012 +0000

    Fixes doc typo s/SERVIVE/SERVICE/
    
    Fixes bug 944115
    
    Change-Id: I3d896d3384fc9bc69856a3c5e53b62f1a875e82f

commit 0d677ba2992c4a142622aed8b0f65c63bdbf24ac
Merge: 8d37f19 1c24191
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 29 18:29:02 2012 +0000

    Merge "Use constant time string comparisons for auth."

commit 8d37f192d482ea27ee7987b0bbf5b30e6dd602a8
Merge: 95413dc cfb996d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 29 16:31:33 2012 +0000

    Merge "Align tox jobs with project standards."

commit 1c2419114702865fcec97ea957dc1086f29893bd
Author: Russell Bryant <rbryant@redhat.com>
Date:   Tue Feb 28 11:42:19 2012 -0500

    Use constant time string comparisons for auth.
    
    Fix bug 942644.
    
    Use constant time string comparisons when doing authentication to help
    guard against timing attacks.
    
    Change-Id: I5fa5c8f07e57201e129903f71b3dea19071cac5e

commit 95413dcce49e6b7747f2b91627e6dd2df1053b89
Merge: 9b522d7 1c5f3e2
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 29 03:29:28 2012 +0000

    Merge "GET /v2.0 (bug 930321)"

commit 9b522d7ee8366faf140a93bfcba6639a56030fb0
Merge: 7c2ad0a a7c8e2a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 29 03:21:02 2012 +0000

    Merge "Provide request to Middleware.process_response()"

commit 7c2ad0a5833f293e384ce2ee4d519dd37ceb1a34
Merge: 49586bd 834b931
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 29 02:47:14 2012 +0000

    Merge "Unpythonic code in redux in auth_token.py"

commit 834b931cba15e7ded27555c0f9c1ea0e2eb99f56
Author: Zhongyue Luo <lzyeval@gmail.com>
Date:   Wed Feb 22 13:41:13 2012 +0800

    Unpythonic code in redux in auth_token.py
    
    Fixed bug #932578
    
    Fixes code which are not pythonic and not pep8 standard.
    
    Change-Id: Idd8ba4a75ad0a854a60238aec2d8d32ff2ee9c53

commit 49586bdfc648ba2686d13ecf3c82064c2534975f
Author: termie <github@anarkystic.com>
Date:   Tue Feb 28 17:53:08 2012 -0800

    fix pep8
    
    First off, I don't know how this got in as it is an obvious pep8
    violation.
    
    Secondly, it is your job as reviewers to catch this sort of stuff,
    obviously this was incorrect. -shakes fingers at you-
    
    Change-Id: I41d4bf6a18721338240c14e63c8230f3827f51f4

commit 1c5f3e256fc730675966d597213bed488cb77598
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Tue Feb 28 17:00:26 2012 -0600

    GET /v2.0 (bug 930321)
    
    Change-Id: Ide2a6073a0a54e017d1fcb8d9065ec6f348e07cd

commit 83df2100b6af847cc9a11782e03c788783ae7955
Author: Adam Young <ayoung@redhat.com>
Date:   Tue Feb 28 12:49:58 2012 -0500

    LDAP member defaults
    
    sets the default attributes required for Tenants as well as
    other classes that will use the groupOfNames  object class in the future
    
    Change-Id: I77d0e1bdb46e64105d12e0565dd1112d8e6c3f17

commit 089f53a6317543660f600f3ec6b819b8d7b7f9a7
Author: Dan Prince <dprince@redhat.com>
Date:   Tue Feb 28 11:56:24 2012 -0500

    Handle KeyError in _get_admin_auth_token.
    
    Updates the _get_admin_auth_token so that it more gracefully
    handles KeyError's.
    Also adds a conn.close to the _get_admin_auth_token method.
    
    Fixes LP Bug #942247.
    
    Change-Id: I2826f1b02bc7fd46c02ab3d15d88f76b9a8457f0

commit cfb996d90a629abfdd48e05431cd4ee2b175a8a9
Author: Monty Taylor <mordred@inaugust.com>
Date:   Tue Feb 28 00:46:14 2012 -0800

    Align tox jobs with project standards.
    
    Change-Id: I215773d0d1b2f5763efcf96b3b84a291df856ad0

commit 5816542c0edc35f66fe05e66f2b9621200292c1f
Author: Joe Heck <heckj@mac.com>
Date:   Mon Feb 27 17:46:43 2012 -0800

    renaming pip-requires-test to test-requires
    
     * (per request from jeblair)
     * version of python-ldap match between
       test and requires
     * pinned to 2.3.13 to let tests work in macosx
     * separating dependencies between deps and test
     * removed python-keystoneclient from install_requires
       for now. (there is no python-keystoneclient in PyPI)
       Real solution coming.
    
    Change-Id: I89e50d6747fb57dee7badb17bc1231d3619e3ef7

commit a7c8e2ab8186a01009a163e4c714ebec95e3cc4e
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Tue Feb 28 00:08:07 2012 -0600

    Provide request to Middleware.process_response()
    
    It appears that no middleware has taken advantage of
    the builtin process_response(response) convention,
    because a reference to the original request is
    typically necessary to build an appropriate response.
    
    Change-Id: If032261974eb1d756abdbd5b18892091978e2a07

commit 9581809f88b953e361ef3451d410e568b606fcca
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Thu Feb 23 13:47:33 2012 -0600

    Add Vary header (bug 928057)
    
    Change-Id: I0db0d64725824fb27cb1f9418203d962f82b00ab

commit e671ee726ee1c216e24c3887ced58ce70667beba
Merge: 6c60d6c 37d223e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 28 03:12:30 2012 +0000

    Merge "Implement a Catalog SQL backend"

commit 37d223ecdb392f3b46079418a7b82398afca2128
Author: Adam Gandelman <adamg@canonical.com>
Date:   Thu Feb 23 13:16:00 2012 -0800

    Implement a Catalog SQL backend
    
    This adds a catalog SQL backend.  Makes use of 3 tables: endpoint,
    service and service_endpoint_association.  Services and endpoints are
    joined via the association table.  New sqlalchemy models have been defined
    in keystone/catalog/backends/sql.py and are imported during the initial
    migration (v001).
    
    Configuring the service catalog is possible with changes to
    python-keystoneclient.  I will be proposing a merge for that and I'll
    update this commit msg with a link to its review.  With those client
    changes, admins can now create and delete endpoints that are associated
    with existing services. Existing service commands on the client-side work
    as expected against this new backend.  This driver's get_catalog method
    properly translates existing services, endpoints and relatoins into something
    consumable by keystone non-admin users / clients.
    
    Update: Some cleanup as per bcwaldon's suggestions
    
    Update: Match functionality of existing catalog backend by returning
            IDs instead of sql objects for list_services() and list_endpoints()
    
    Update: pep8 fixes
    
    Update (1/2): Remove legacy OS-KSADM stuff
    
    Update (2/2): Remove ServiceEndpointAssociation table/model
                  in favor of a FK, endpoint.service_id -> service.id
    
    Resolves bug 928053
    
    Change-Id: Icc11889920744c36255f06356744cb247d79f4aa

commit 6c60d6c783656f35657b6cb462d93390fc689ac0
Author: Dan Prince <dprince@redhat.com>
Date:   Wed Feb 22 22:28:42 2012 -0500

    Set tenantName to 'admin' in get_admin_auth_token.
    
    Sets the tenantName to 'admin' in get_admin_auth_token. This
    is required because user-only roles are currently not supported.
    Give that wsgi is hard coded to check for 'role:admin' this
    seems to be a reasonable thing to do. In the future it would be nice
    to add a custom admin_role setting in the config file so the
    role wouldn't be hard coded to 'admin'.
    
    Also removes unused version of get_admin_auth_token.
    
    Fixes LP Bug #939015.
    
    Change-Id: I545b458e31c8a44a5a69cad1e875f0fe02956246

commit 63437e9dca3b969c917fb138716aa4d3e5fabafa
Author: Adam Young <ayoung@redhat.com>
Date:   Mon Feb 6 21:21:46 2012 -0500

    LDAP Identity backend
    
    Bug 933852
    
    Merged over the code from the legacy keystone implementation, updated
    style and streamlined the API a bit.
    
     * Unit tests can be run against a live OpenLDAP server
     * Password hashing done via passlib. Only does salted sha1, which is what simple_bind requires, but is not secure.
     * Added pip dependencies
    
    Change-Id: I5296d94f6b7d0a7c7dbc887cdae872171e34bb5f

commit 679fd363d8a44098cdf4fa2044b068e51016c02d
Merge: 2812940 33a13b7
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 27 23:00:47 2012 +0000

    Merge "Add HEAD /tokens/{token_id} (bug 933587)"

commit 28129406ba2bbec2dc60b9e8733c4270d7e5d15b
Merge: 9075d25 071f6b3
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 27 21:22:51 2012 +0000

    Merge "Implements extension discovery (bug 928054)"

commit 9075d25071bf77184d18cb8d83f9701e431ef717
Merge: 746cd92 cdac09e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 27 21:18:24 2012 +0000

    Merge "Support unicode in the keystone database."

commit 071f6b367b55782bd048e645dab96402eb504114
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Thu Feb 23 15:38:18 2012 -0600

    Implements extension discovery (bug 928054)
    
    Public & admin specific variations of:
    - GET /extensions
    - GET /extensions/{extension_alias}
    
    Change-Id: I9f8424667f1a8a10d2a7301d42d60800ba207f3e

commit 746cd92781eacc77d73c6e8cb088aa4d80d99862
Merge: 82a3c7e 2124890
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 27 19:51:48 2012 +0000

    Merge "XML de/serialization (bug 928058)"

commit 82a3c7eff8281a7c8ff3e7434a6d50aacfd771fc
Merge: e23ecc6 c2142af
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 27 19:15:17 2012 +0000

    Merge "fleshing out architecture docs"

commit cdac09e19f362798c27b9588601f08b642173978
Author: Andrew Bogott <abogott@wikimedia.org>
Date:   Sun Feb 26 21:38:44 2012 -0600

    Support unicode in the keystone database.
    
    Fixes the horizon instance of bug 931667.
    
    Change-Id: Ia8d76e948d6f6ddfd13723b549674d5d857cc207

commit 33a13b7dcd82ee926a707bf1cc7f87ae2b90c98e
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Tue Feb 21 16:38:40 2012 -0600

    Add HEAD /tokens/{token_id} (bug 933587)
    
    Also addresses bug 928045 by returning 204 No Content
    for null content bodies.
    
    Change-Id: Icd4b8b5f6c29c074cb014c301fe86cd917f6663e

commit 212489084fac8de20718bfccad2f77cbfa7ea3e2
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Fri Feb 10 14:52:13 2012 -0600

    XML de/serialization (bug 928058)
    
    Middleware rewrites incoming XML requests as JSON, and outgoing JSON as
    XML, per Accept and Content-Type headers.
    
    Tests assert that core API methods support WADL/XSD specs, and cover
    JSON content as well.
    
    Change-Id: I6897971dd745766cbc472fd6e5346b1b34d933b0

commit c2142af65dfd36553bacdaf3190ad8541d77cedb
Author: Joe Heck <heckj@mac.com>
Date:   Sat Feb 25 18:11:28 2012 -0800

    fleshing out architecture docs
    
    Change-Id: I60e59ad7a8140985eddb86ece09e7d45bb3dbfa0

commit e23ecc6893db337671f75b6cc069d96a183940e8
Author: Dan Prince <dprince@redhat.com>
Date:   Sat Feb 25 15:56:38 2012 -0500

    Update auth_token middleware so it sets X_USER_ID.
    
    Fixes LP Bug #941101.
    
    Change-Id: I67b68f6004456eb76003fdcd2ec3fb4c9b9f3bfb

commit b4d35d621908557ac3fba70cbacac7500f79a352
Author: Gabriel Hurley <gabriel@strikeawe.com>
Date:   Thu Feb 23 14:21:10 2012 -0800

    Adds AUTHORS file generated from git log (and de-duplicated).
    
    Also adds a unit test (copied from Glance) to check that the
    AUTHORS file is up-to-date.
    
    Change-Id: I365d74ecef49f8e10a5edd4b7c768bb88c697a17

commit 99575a0465bb40d293623c6ec24c4c50c742ca3a
Merge: e573d31 c4411c1
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Feb 25 04:52:19 2012 +0000

    Merge "Fix case of admin role in middleware."

commit e573d317546adcbce53ccc3a90d833d0ed7b10e9
Merge: 12ef30e 036b990
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Feb 25 04:34:58 2012 +0000

    Merge "Backslash continuations (Keystone)"

commit 12ef30e8c260449adb0458e533b5833501108c26
Merge: 8fe6826 09a64dd
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Feb 25 04:29:51 2012 +0000

    Merge "Create tools/sample_data.sh"

commit 8fe682678f494e468de9b19c68c4897fc790f575
Merge: 7530b8e 1395bb4
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Feb 25 04:24:52 2012 +0000

    Merge "Fix MANIFEST.in to include missing files"

commit 7530b8ef32d4d151d67b7b4b35521c99d85c7fb7
Author: Dan Prince <dprince@redhat.com>
Date:   Fri Feb 24 16:39:12 2012 -0500

    The default nova compute port is 8774.
    
    Fixes LP Bug #940637.
    
    Change-Id: I58523892ef862254c1ebe1320a5bd6386455c281

commit c4411c1e17bb3d6539cf61d49cd5a4a28d4e7c16
Author: Dan Prince <dprince@redhat.com>
Date:   Fri Feb 24 13:31:38 2012 -0500

    Fix case of admin role in middleware.
    
    Fixes LP Bug #940521.
    
    Change-Id: I1d31c805651cb633dee7efc708cd2c86bb32c3b2

commit 644811203fa98d4066bf738df13019c74540effb
Merge: 8465ef1 510061e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 24 18:16:44 2012 +0000

    Merge "Removing broken & redundant code (bug 933555)"

commit 1395bb41359b916714b74abc41f4b5ae8a2dc6d8
Author: Thierry Carrez <thierry@openstack.org>
Date:   Fri Feb 24 15:47:13 2012 +0100

    Fix MANIFEST.in to include missing files
    
    Fix MANIFEST.in to include missing files in generated tarballs.
    Fixes bug 940357.
    
    Change-Id: Ic31e7db4ae960e23ebd8c34a3510208c98d400a4

commit 8465ef1b547fe7c2679346a27e2cba82d3ecef53
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Fri Feb 24 14:47:44 2012 +0000

    Remove extraneous _validate_claims() arg.
    
    Extraneous env argument to:
    
      keystone.middleware.auth_token.AuthProtocol._validate_claims()
    
    causes glance failure when keystone auth strategy is enabled:
    
      File "/opt/stack/keystone/keystone/middleware/auth_token.py", line 309, in _validate_claims
        return self._validate_claims(env, claims, False)
      NameError: global name '\''env'\'' is not defined
    
    Seen when running devstack on Fedora16.
    
    Change-Id: Ia04c14a709e3b332002dc6cddcda56e247821fa5

commit 09a64dd862463fe116c4ddb8aee538e4bc7f56e0
Author: Dean Troyer <dtroyer@gmail.com>
Date:   Thu Feb 23 22:29:12 2012 -0600

    Create tools/sample_data.sh
    
    Based on devstack's files/keystone_data.sh, sample_data.sh creates
    the same set of tenants/users/roles/etc.  It can eventually be used
    by devstack as the bootstrap script.
    
    Fixes bug 934331
    
    Change-Id: Ib3b514b6e4fc5c9e980e4e0c59bc44cda1b8d2b6

commit 036b99086c170418b4fa54bc51c1c632eb420506
Author: Zhongyue Luo <lzyeval@gmail.com>
Date:   Fri Feb 24 10:38:45 2012 +0800

    Backslash continuations (Keystone)
    
    Fixes bug #940010
    
    Didn't fix SQLAlchemy queries.
    
    Module keystone/middleware/auth_token.py
    is fixed in https://review.openstack.org/#change,4385
    
    Change-Id: Idaad992b5ef493407a23f0f77110ed2ab3f2452e

commit 17ffe7a97ee6490b9ee1fd3ecc62d0167710e40b
Merge: 81f28ef 1f119bc
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 23 23:56:58 2012 +0000

    Merge changes Ib8e5dc50,I9db09c77,Ib89efdec
    
    * changes:
      Use cfg's new print_help() method
      Remove cfg dict mixin
      Update cfg from openstack-common

commit 81f28efee212e6a2629f2e548053e7dd989b2a2e
Merge: baedc45 e6a23e3
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 23 23:51:37 2012 +0000

    Merge "fix the style guide to match the code"

commit baedc454b128292f19f741969101245640ca3cdc
Author: Dan Prince <dprince@redhat.com>
Date:   Thu Feb 23 14:42:51 2012 -0500

    Correct config name for max_pool_size.
    
    Change-Id: Ie00f676019b70202745cb3a02779cca0efbfbda9

commit 1f119bc91f178df43f1cec6df3247f6f6a4e0c36
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Wed Feb 22 21:04:11 2012 +0000

    Use cfg's new print_help() method
    
    Change-Id: Ib8e5dc50bc9773d13b8d9c741676477aa0f001e0

commit d679baf883a74e0fae25e5657f4d7d58d359a05b
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Wed Feb 22 21:04:11 2012 +0000

    Move cfg to keystone.openstack.common
    
    Just code movement here, no changes.
    
    This is so we can use openstack-common's update script to keep it in
    sync. See:
    
      http://wiki.openstack.org/CommonLibrary#Incubation
    
    Change-Id: Ieb8ce50071a85987152b995fa6773433b7671c48

commit 762b461720fced80435de818f9f843ced5059035
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Wed Feb 22 21:04:11 2012 +0000

    Remove cfg dict mixin
    
    cfg now implements the collections.Mapping ABC
    
    Use set_override() in tests rather than directly setting the attribute
    since the cfg iterator doesn't iterate the attributes.
    
    Change-Id: I9db09c778b0fed5e19e836ce4e6006f790e2fca0

commit e5a3e09d0263c1a434c0bb76c95e6ddd294b5cae
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Wed Feb 22 21:04:11 2012 +0000

    Update cfg from openstack-common
    
    Use openstack-common's update script to sync it to the latest.
    
    Add some dire warnings that changes should be made in the upstream
    copy of the code first.
    
    Change-Id: Ib89efdecc7f8a00f2a7fc2824b519f211d3d784c

commit 45d6aa1870bd81e451cba46c6b2c0c3801f68d6e
Author: Shevek <shevek@nebula.com>
Date:   Wed Feb 22 16:30:32 2012 -0800

    Fix copyright dates and remove duplicate Apache licenses.
    
    Change-Id: I8c4b3bace0d22798d0889342662e99b24887ca85

commit d671b2f1ed1c8a7793f3d7cb52d6679b97cd160e
Merge: c64aeb7 13dfd21
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 23 00:28:29 2012 +0000

    Merge "Fix thinko in keystone-all sys.path hack"

commit c64aeb725225388eccc6a636d50ee626f35cc928
Merge: 83c7933 de3ad7a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 23 00:23:27 2012 +0000

    Merge "Add migration path for Nova auth"

commit 83c793332c5cc27e706d7ad40714cfb52bf53a7a
Author: termie <github@anarkystic.com>
Date:   Wed Feb 22 13:43:00 2012 -0800

    some additional style bits
    
    Change-Id: I6e785acd5d1f397786a122088f3e59822854dca9

commit b7341619331303eec42e4f39b8e42f4acc74a5f1
Merge: 4b7f391 015dd3d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 22 23:44:08 2012 +0000

    Merge "Return HTTP 401 bad user/password is specified."

commit 4b7f3915e79a279f00ebb868d767bc440276ca09
Merge: 3996c23 1746ea6
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 22 23:32:12 2012 +0000

    Merge "Ignore sqlite.db files"

commit 3996c231843041fcd3bd517611dafa7b7edfbdc9
Merge: 7ec5f05 08a3060
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 22 23:14:08 2012 +0000

    Merge "Re-adds admin_pass/user to auth_tok middleware."

commit 7ec5f05e4ec7c456e4d08a98f13cca510d1e9ef6
Merge: af6656f fb4f379
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 22 23:09:30 2012 +0000

    Merge "Update docs for Swift and S3 middlewares."

commit de3ad7abacb4f5d8f37aabaa53aad79d7b3680e3
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Sat Feb 18 23:24:44 2012 -0800

    Add migration path for Nova auth
    
    * Adds keystone-manage command import_nova_auth
    * Document migration path in docs/source/configuration.rst
    
    Change-Id: I35bc20686bfed3f13162e278cf9a1713c78fad1e

commit af6656fc4cdee35bd7dc03dcf5ab814727144207
Merge: 9742dc0 43c8bbc
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 22 22:46:03 2012 +0000

    Merge "Removing unused imports from keystone.cli"

commit e6a23e394a24b4da2b25172c35fc29ba24735e81
Author: termie <github@anarkystic.com>
Date:   Wed Feb 22 14:43:49 2012 -0800

    fix the style guide to match the code
    
    Change-Id: Ia06e64d6184393323162cdbb39239ab49e8749a0

commit 08a3060bade8f14c2f81d4d502d27f097b016b93
Author: Dan Prince <dprince@redhat.com>
Date:   Tue Feb 21 12:19:46 2012 -0500

    Re-adds admin_pass/user to auth_tok middleware.
    
    Re-adds support for 'admin_user' and 'admin_password' options to
    the auth_token middleware. This was removed in KSL.
    
    Fixes LP bug #939015.
    Change-Id: Ia6eb8ccf65777175964c1c1d2e58b8de54062d67

commit 13dfd219c53edad405008a2a149c14ad6f780800
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Wed Feb 22 20:56:51 2012 +0000

    Fix thinko in keystone-all sys.path hack
    
    We shouldn't be looking for keystone-all/__init__.py
    
    Change-Id: I833342cbc3d0fff3168d31d72d1c7e8b029e32fd

commit 510061e0807d17234d533a83579074f7d0a42a77
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Wed Feb 22 13:46:46 2012 -0600

    Removing broken & redundant code (bug 933555)
    
    Change-Id: I6618487885bcb930a28373bc86d07c537f7a1fe1

commit 9742dc0673e3e54b1bbc427a170103a0caca23e7
Merge: 77c11b2 c233b44
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 22 18:56:56 2012 +0000

    Merge "cli now returns an exit status cmd is invalid."

commit 015dd3d9d157e79ffd1e0b8859fea96fa3798987
Author: Dan Prince <dprince@redhat.com>
Date:   Wed Feb 22 11:50:07 2012 -0500

    Return HTTP 401 bad user/password is specified.
    
    Update keystone/service.py to more gracefully handle auth
    failures and return an HTTP 401.
    
    Fixes LP Bug #938815.
    
    Change-Id: I44d7a9b36e6ac30f30326beb76b125dc2addc2fb

commit c233b44fbbd0570c95d7da3414cf1de1bb63939d
Author: Dan Prince <dprince@redhat.com>
Date:   Wed Feb 22 09:39:26 2012 -0500

    cli now returns an exit status cmd is invalid.
    
    Update keystone-manage so that it returns an exit status when
    the specified command is invalid. Also prints out usuage on error.
    
    Fixes LP Bug #938718.
    
    Change-Id: I57f1e009e7485912ed7e03c7163ae9dda27def04

commit 1746ea6491890afaed0247780e5ab0777d834674
Author: Zhongyue Luo <lzyeval@gmail.com>
Date:   Wed Feb 22 13:49:42 2012 +0800

    Ignore sqlite.db files
    
    Fixes bug #932729
    
    legacy*.sqlite.db files should also be ignored.
    
    Change-Id: Ia776bc45f880e2f1ffd67963c020773a29645153

commit 77c11b2ba190a5c7b7e4d7d47ea8775d58fcaf30
Author: Gabriel Hurley <gabriel@strikeawe.com>
Date:   Tue Feb 21 21:24:19 2012 -0800

    Implements admin logic for tenant_list call.
    
    Incidentally this required refactoring the keystoneclient
    tests to differentiate between calls that are explicitly
    admin API calls vs. public API calls. Previously all tests
    had been hitting the admin API endpoint.
    
    Fixed bug 933786.
    
    Change-Id: I50c2505aefb64636b7b64fbff045fd427715396b

commit 73f22e159622d28e781779d801c477a263dd3a3c
Author: Gabriel Hurley <gabriel@strikeawe.com>
Date:   Tue Feb 21 21:19:01 2012 -0800

    Implemented get_tenant_users. Fixed bug 933721.
    
    Change-Id: I3e5337158064e5c3ed6cde8635752685a73f081b

commit 43c8bbc8bdf2fca545dfb23f83461e3a2ca0c2d1
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Fri Feb 17 10:29:53 2012 -0800

    Removing unused imports from keystone.cli
    
    Change-Id: If626913022ed329660bf88d8f407d8ebfc4feb1c

commit 74ef93a63b131690575d037be28fc8cd63c0e8ab
Merge: 08f26ac 9246e04
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 22 01:04:37 2012 +0000

    Merge "fixes #934459"

commit 08f26acf3b6dfcbf4e107eb0b7432a28b6abc406
Merge: f04ce68 faf6866
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 21 19:50:01 2012 +0000

    Merge "Set include_package_data=True in setup.py."

commit f04ce688c0edc57edb1038dfeb3ad7754fa982d7
Merge: 1143802 460504f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 21 19:39:13 2012 +0000

    Merge "Remove data_files section from setup.py."

commit faf6866c17255cc03a26119b77d5c7e9a6a04be6
Author: Dan Prince <dprince@redhat.com>
Date:   Tue Feb 21 12:13:42 2012 -0500

    Set include_package_data=True in setup.py.
    
    Fixes issue where migrate.cfg was not getting installed.
    
    Also, remove the previous 'data_files' fix from setup.py as it causes files
    to get copied to the wrong location on install.
    
    Fixes LP Bug #937265
    
    Change-Id: I94e89271660baca4408df470a122e127540a4131
    
    Updates.
    
    Change-Id: I5c4744a14719393e4dc35c5ef6a292c57a81527c

commit 460504f274ed5c066303f41187afaa8c5b3918b8
Author: Dan Prince <dprince@redhat.com>
Date:   Tue Feb 21 12:13:42 2012 -0500

    Remove data_files section from setup.py.
    
    'data_files' is probably not the best way to get migrate.cfg into
    the tarball. Updating MANIFEST.in seems to work just fine.
    
    Fixes LP Bug #937265
    
    Change-Id: I94e89271660baca4408df470a122e127540a4131

commit 1143802037bf2fc3b7e762c5014047e70758ae79
Author: Chuck Short <chuck.short@canonical.com>
Date:   Tue Feb 21 10:47:16 2012 -0500

    Update Manifest.in
    
    Add missing files in keystone tarball.
    
    Change-Id: Idaccca930391b4cbe73ac6edac648045b6bf1327
    Signed-off-by: Chuck Short <chuck.short@canonical.com>

commit 6919b05149d42986091de5f96f429dd736e99ae9
Merge: 2feb519 546f952
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 20 18:33:15 2012 +0000

    Merge "Fix logging.config import"

commit 2feb5199fdbeb34e478117a7d8d0baa8a84d7809
Author: Ghe Rivero <ghe@debian.org>
Date:   Mon Feb 20 18:32:05 2012 +0100

    Add migrate.cfg to data_files in setup.py
    
    Change-Id: I9e06b7f496ce817a9a8a95135c75867d86a5ed31

commit 76d591149383f0de0459a4c8609191d55a5fa4e1
Merge: f28ee22 892ba0f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Feb 19 16:39:59 2012 +0000

    Merge "remove pycli"

commit f28ee221e96bae9ba8dbacf2da27a9465c4b6271
Merge: dd382af 6672acb
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 17 22:39:06 2012 +0000

    Merge "Should return 300 Multiple Choice (bug 925548)"

commit 6672acbeb9586bbc42d1e52c4377896374c750c7
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Fri Feb 17 15:22:01 2012 -0600

    Should return 300 Multiple Choice (bug 925548)
    
    Change-Id: Ieee2f747cf19822fadadd1e27008063e7f946e42

commit dd382af03bb302e91a2465e7c80ae2b148701d0f
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Fri Feb 17 15:18:38 2012 -0600

    Admin version pipeline not utilized (bug 925548)
    
    Change-Id: Id7c527d8a65330dee1116a020568faaa3354cfa5

commit 9246e0453f8e7335103d086ace22be8082a84b0e
Author: Joe Heck <heckj@mac.com>
Date:   Fri Feb 17 13:09:08 2012 -0800

    fixes #934459
    
    Change-Id: Icbe5c3d1d00466dc018b50363d13135a87f5b46e

commit 546f952f91fab90fbb705c07d117285687bdbc5c
Author: Adam Gandelman <adamg@canonical.com>
Date:   Thu Feb 16 17:20:14 2012 -0800

    Fix logging.config import
    
    import logging.config, assign it to an attribute where keystone-all
    expects it.  Fixes bug #933234
    
    Change-Id: I0004900f5b68b86cd97d1bfe4036599ea2af1d69

commit 8712abb6b535f0e956df41066be66e6988c4ffb5
Author: termie <github@anarkystic.com>
Date:   Thu Feb 16 15:43:08 2012 -0800

    backport some asserts
    
    Change-Id: I4f3baf5c03d2a212ecc9d2eb4375b5e9c978ffa4

commit 892ba0fd6f6f64f99b08c93eeca96e49f88657cb
Author: termie <github@anarkystic.com>
Date:   Thu Feb 16 15:33:03 2012 -0800

    remove pycli
    
    Change-Id: I3236016910479a08e2fd220ebd6793ed06d1b76b

commit 1a40142bc9d2bcec315836e40a9d65cfd877eff0
Merge: a5cf688 3093980
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 16 23:12:47 2012 +0000

    Merge "remove executable bit from setup.py"

commit a5cf688da5e37e0927fda9e324c8c57577337ebe
Merge: 02ef19a 484dc24
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 16 22:04:52 2012 +0000

    Merge "Raising 'NotImplmented' results in TypeError"

commit 02ef19a13c79e241af4830b1a5544e3244bf1e20
Author: Gabriel Hurley <gabriel@strikeawe.com>
Date:   Thu Feb 16 13:29:10 2012 -0800

    Adds missing argument to add_user_to_tenant in create_user.
    
    Previously untested code branch was missing an argument. Adds
    unit tests and fixes bug 933034.
    
    Change-Id: I3f404ce1c1607a681d9fbcfa532b8f9027bf037f

commit e2384275bf1618df8eaa77ea296810a15dbc20c1
Author: Gabriel Hurley <gabriel@strikeawe.com>
Date:   Thu Feb 16 13:12:21 2012 -0800

    Fixes a failure caused by a recent change to user update in the client.
    
    Change-Id: I9c1e5a7d243a48144eb6f2f6d9c072ae4824ab38

commit 3093980eb2a26c83966102527e36fabd6ea9ed1e
Author: Alan Pevec <apevec@redhat.com>
Date:   Thu Feb 16 18:01:47 2012 +0100

    remove executable bit from setup.py
    
    Change-Id: I3bf7b8b8778c57784044c17b0952e7390404779f

commit 484dc240799f9e157e9baf5e944e392d26b21ad0
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Thu Feb 16 10:13:31 2012 -0600

    Raising 'NotImplmented' results in TypeError
    
    NotImplemented is a constant: http://docs.python.org/library/constants.html
    
    NotImplementedError is an exception: http://docs.python.org/library/exceptions.html
    
    Change-Id: I28a9eb0aa71113700132ccb20b238de50f523814

commit fb4f3798c91dfbf6168b850b5ef71d27fa467371
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Sun Feb 12 21:17:57 2012 +0100

    Update docs for Swift and S3 middlewares.
    
    - Rename SwiftOperator variable to lowercase swiftoperator along the
      way.
    - Remove reference to swift.cache as this is not working in our
      tokenauth version.
    
    Change-Id: I5dfbc872f7d9d71417f45cdd0ac46c3efbe2f731

commit 8d7189f117e4cfd9c1721fab8056bd890db88ae4
Author: Monty Taylor <mordred@inaugust.com>
Date:   Wed Feb 15 09:26:54 2012 -0800

    Added Apache 2.0 License information.
    
    Fixes bug 932819
    
    Change-Id: I58e0c2ad704e2e8ff1924a01791694a5e02a154b

commit eef1f0d93ae19f04601b75cd7a2514e81b4005b9
Merge: 9452cf0 90068b0
Author: James E. Blair <jeblair@hp.com>
Date:   Tue Feb 14 15:54:59 2012 -0800

    Merge redux branch (keystone light)
    
    Change-Id: I2cb5b198a06848f42f919ea49e338443131e263e

commit 90068b0143af788869116d08533d5ebc99874a17
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Tue Feb 14 14:58:55 2012 -0800

    Add docs on keystone_old -> ksl migration
    
     * Fixes bug 928046
    
    Change-Id: I4af516dbc9577c08a77850e75e45d98040e4fb27

commit ee4795c291fb20da027dda830d5eabc41a3d3535
Merge: fa9b949 448c641
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 14 22:38:36 2012 +0000

    Merge "Update docs to for current keystone-manage usage" into redux

commit fa9b949b5947dd1163e5321bef8a279fb90faa93
Merge: 988a585 71436db
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 14 22:26:49 2012 +0000

    Merge "Add token expiration" into redux

commit 71436dbf188b3ff1c576fcd54b992530aac98b6c
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Feb 8 16:08:08 2012 -0800

    Add token expiration
    
    * Config option token.expiration defines amount of time tokens should be valid
    * Fixes bug 928545
    
    Change-Id: I3dff7a1ebf03bb44fc6e5247f976baea0581de08

commit 448c6414a176831b400ed5a1618fe89a8780968b
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Tue Feb 14 12:30:23 2012 -0800

    Update docs to for current keystone-manage usage
    
     * Document how to manage users, roles, tenants, services, etc with
       keystoneclient cli
     * keystone-manage only does db_sync right now
     * Fixes bug 931837
     * Add docs for import_legacy and export_legacy_catalog
    
    Change-Id: I7f55fd607363d0cd4f1646564e430dfb5b12855f

commit 988a5850d1f1ea7f2db4b179a2fab22a878e7bfe
Merge: d44b859 27db5cb
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 14 21:44:57 2012 +0000

    Merge "add catalog export" into redux

commit d44b859797a0fb383559555e291508b7e3c86d04
Merge: 1ed067c af28360
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 14 21:04:39 2012 +0000

    Merge "Add s3_token." into redux

commit 27db5cbc05864b8c130eded9082ee82f7e722c34
Author: termie <github@anarkystic.com>
Date:   Mon Feb 13 22:07:10 2012 -0800

    add catalog export
    
    Change-Id: I66a7b3e8136757979c96984242b2bbd5f390b9a0

commit 1ed067cb5791585bb02644a4a3827b6640324a95
Merge: 86ffbc8 6c5c964
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 14 20:54:14 2012 +0000

    Merge "Update swift token middleware." into redux

commit 86ffbc8a1a662844c47e2a7fa596b63f34cca492
Merge: b2a0489 9f03722
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 14 20:42:00 2012 +0000

    Merge "Remove executable bit from auth_token.py" into redux

commit b2a048962aa4d2921be2ceec3345cd32c8f853db
Merge: 9dd1543 ed793ad
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 14 20:36:19 2012 +0000

    Merge "make sure passwords work after migration" into redux

commit 9dd154393028297f8eda8b0ccd773993a492cfd2
Merge: b409629 e1a9a1f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 14 20:27:29 2012 +0000

    Merge "Handle unicode keys in memcache token backend" into redux

commit e1a9a1f06f83f9795e03d726a9e41db6dd9b9a9f
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Feb 13 14:15:33 2012 -0800

    Handle unicode keys in memcache token backend
    
    * Cast keys to str in memcache backend
    * Emulate encoding error in fake memcache client
    * Fixes bug 931746
    
    Change-Id: I13bc573d4aca6849b1b8128ab55823545d5a3a11

commit ed793ad5365e33e2fda54c3900c1ad9b2c93dc37
Author: termie <github@anarkystic.com>
Date:   Mon Feb 13 20:34:46 2012 -0800

    make sure passwords work after migration
    
    Change-Id: I0086a362d772bf158e3fdc12fb42c1c7c50d50dd

commit b4096290d149a04d5f3691025ad4adbfb4f4d4eb
Author: termie <github@anarkystic.com>
Date:   Mon Feb 13 17:38:26 2012 -0800

    add legacy diablo import tests
    
    Change-Id: Id96b376ad92d906d14c3183eec2739fa34a2e51b

commit 48f2f650c8b622b55e67610081336055ec9a2c8e
Author: termie <github@anarkystic.com>
Date:   Mon Feb 13 16:49:54 2012 -0800

    change password hash
    
    Change-Id: Idd5d09dc114cbb0cbd63e23e4178bb74d081c789

commit aa2656c730d57515b0eba1f57c829b673490fdd5
Author: termie <github@anarkystic.com>
Date:   Mon Feb 13 17:31:58 2012 -0800

    add essex test as well
    
    Change-Id: Ib71a360568c6fdef4fdf8791d3f41b749391befb

commit 700a397a64bf984ef4c56aec8cc597f212e1f459
Author: termie <github@anarkystic.com>
Date:   Mon Feb 13 17:01:02 2012 -0800

    add sql for import legacy tests
    
    Change-Id: I778300970c12bff0c296e6551c1b4e9e079496dc

commit 63adca31f772ab50a2da1c81bda9a66e0e009e02
Author: termie <github@anarkystic.com>
Date:   Mon Feb 13 16:50:00 2012 -0800

    add import legacy cli command
    
    Change-Id: I41f0baaf3e7beb5c1ba44a7da420b411c1f60277

commit eb5a939b4691da8b433043259b1541686285bb35
Author: termie <github@anarkystic.com>
Date:   Mon Feb 13 15:18:35 2012 -0800

    add migration from legacy db
    
    Change-Id: If49d829a36c61d6ee379f35c793196fde4ab4657

commit de8c9587277e2f12b4023ac7250f9c2e007db702
Author: termie <github@anarkystic.com>
Date:   Mon Feb 13 17:03:21 2012 -0800

    remove keystoneclient-based manage commands
    
    Change-Id: I2aaec673c2f2117026ae417b41b6996188f5bb84

commit 9f037224b0c1442f0d5a882d4f3ad400733aa59b
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Mon Feb 13 22:39:23 2012 +0000

    Remove executable bit from auth_token.py
    
    Change-Id: I2422eb697ef41b74181bd6b4654d97ff6144bfd8

commit 6c5c964ff4b43457f5baafbbb889fffeccf92fc7
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Thu Feb 2 13:15:26 2012 +0000

    Update swift token middleware.
    
    - Update swift middleware which add features:
        - Leaves authententication to token-auth.
        - ACL.
        - Container-Sync
        - Referer.
        - S3.
    - address termie comments on reviews.
    
    Change-Id: Iefaa228015d6286e4fb05be2cc24aec01589ef58

commit b5c4c415704f19afeb7098a2f863257f4a1c0db7
Merge: 778c3c9 2c18314
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 13 21:11:11 2012 +0000

    Merge "Add TokenNotFound exception" into redux

commit af2836083b53c27406670841a57382e146868d02
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Thu Feb 2 14:23:09 2012 +0100

    Add s3_token.
    
    Add s3_token middleware originally written by Akira YOSHIYAMA.
    Make it works with new swift_auth.
    Make not necessary modification to swift3 middleware.
    Handle errors when connecting to keystone.
    Address termie's comment in reviews.
    
    Change-Id: Icb2ae3fe79296ee6415dd55d146339ab72dd1d46

commit 778c3c950a7a7bc7f8a1c39c67929aa8906a6a57
Merge: 79faa28 0e775d6
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Feb 11 01:51:45 2012 +0000

    Merge "Add pagination to GET /tokens" into redux

commit 0e775d628b30f16a200d2b1f540d76ba24fbb351
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu Feb 9 16:25:45 2012 -0800

    Add pagination to GET /tokens
    
    * Partially fixes bug 928049
    
    Change-Id: I21943dcc7cea4dabfab672e84fe507e78e430de4

commit 79faa28f0389f427956ca72b3a902864ae5856f5
Author: Vishvananda Ishaya <vishvananda@gmail.com>
Date:   Wed Feb 8 23:37:31 2012 +0000

    Fixes role checking for admin check
    
    Change-Id: I6afe52033996b56aa38033017e0ce2f37c471592

commit d049c19227d2702c5c5ac545d195465eac55246d
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Fri Feb 10 14:23:12 2012 -0800

    Fix webob exceptions in test_middlware
    
    Change-Id: I211180ee0dde45f2030fba7e83fb1f6a1d880068

commit 82d53b03dc0298be9788fbd8c061d1f8ce075d63
Merge: 9028f32 363a5d6
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 10 19:52:02 2012 +0000

    Merge "Add tests for core middleware" into redux

commit 363a5d63c0ff0630864765a07752cd63e6890e41
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Feb 8 14:31:41 2012 -0800

    Add tests for core middleware
    
    * Partially fixes bug 928039
    
    Change-Id: I3807bcc77ab424c73069889b65b1a5598c17011c

commit 9028f3228b785cfefbbe3cd6532485817262c51d
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Thu Feb 9 17:08:47 2012 +0000

    Add version description to root path
    
     * Fixes 925548
     * Fix test for correct assertion
     * / returns {}
    
    Change-Id: I1067b402ad1bab474781e29ab7761f644f076540

commit 2c18314e7cb7e5b7e5b6237f0793ec82739468f1
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu Feb 9 09:53:03 2012 -0800

    Add TokenNotFound exception
    
    * raise TokenNotFound from token backends on get/delete when token doesn't exist
    
    Change-Id: Ic9aba7911088c30c20fe62501a05d75232f2d8b9

commit 1951c87de39f8dde704632512db92b22f967bf08
Merge: e5ffa74 ae55fdc
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 9 23:31:20 2012 +0000

    Merge "remove diablo tests, they aren't doing much" into redux

commit ae55fdca23135f76da4f7926135d384e9b13d419
Author: termie <github@anarkystic.com>
Date:   Thu Feb 9 14:05:25 2012 -0800

    remove diablo tests, they aren't doing much
    
    Change-Id: I80640e123a784cd2ca5e9dfcf826a73666cea43c

commit e5ffa7473359eee40c4644481067ef5212039150
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Thu Feb 9 19:17:29 2012 +0000

    Fix largest memory leak in ksl tests
    
     * Explicitly kill wsgi servers that are launched
     * Fixes bug 929653
     * Fix spaceypoo
    
    Change-Id: Id4b2f06749cb57c2680d37c1e4014c020d95ad5e

commit 05b2583dfa6d2f932f29e053c557b19601fae06b
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Mon Feb 6 18:49:03 2012 -0800

    Add memcache token backend
    
    * tests use a fake memcache client
    * fixes bug 928040
    
    Change-Id: I7c24e7829ee91fcf719eb4f338cf0ce2a0fa6bbd

commit 738e2ec8e4244fbe2c032145fca5889799ecf8a4
Merge: 2cc97c1 6013dd8
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 8 22:25:35 2012 +0000

    Merge "Add content-type to responses" into redux

commit 2cc97c19fb242128d760554324136cb6b500f479
Merge: 288159b 26655dc
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 8 22:19:06 2012 +0000

    Merge "Fix comment on bcrypt and avoid hard-coding 29 as the salt length" into redux

commit 288159b7741124e4c36bfb58277a916c16d565af
Merge: bd1a73e c64a12f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 8 22:12:46 2012 +0000

    Merge "Friendly JSON exceptions (bug 928061, bug 928062)" into redux

commit bd1a73e2affce182b8ab1cbb4e8c361443d9855f
Merge: cad74ae 51eda01
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 8 22:03:57 2012 +0000

    Merge "termie all the things" into redux

commit cad74aec6ef3c7b51949f1f76abac16f59bb8a65
Merge: 524d3d1 c680d7c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 8 21:58:52 2012 +0000

    Merge "Add SQL token backend" into redux

commit c64a12ffc7072a5822d014da7111ed12adcf4046
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Tue Feb 7 20:46:31 2012 -0600

    Friendly JSON exceptions (bug 928061, bug 928062)
    
    Example http://pastie.org/3338663
    
    Change-Id: I26f53488c062ebfb6e49cfcf82e0b8179a683ea8

commit 26655dc7b7a5cf8374e1ecf4a9852e38a47be3b8
Author: Justin Santa Barbara <justin@fathomdb.com>
Date:   Wed Feb 8 11:50:34 2012 -0800

    Fix comment on bcrypt and avoid hard-coding 29 as the salt length
    
    Change-Id: Ifc78535ea79e071b7953769ff26eed8ecf666dc2

commit 524d3d1c419ad5fb71039fe7022195a9b8f9980e
Merge: d1c2e85 f9a8827
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 8 21:53:57 2012 +0000

    Merge "example in hacking was incorrect" into redux

commit d1c2e857771c3c2c2ec2be173b91152150bb522e
Merge: e968ace 9528060
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 8 21:44:20 2012 +0000

    Merge "Cope with unicode passwords or None" into redux

commit e968acee4be4c5ea006fd4326711bafe7f7e0c86
Merge: a3d21f0 aed78aa
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 8 21:39:18 2012 +0000

    Merge "fixes lp:925721 adds .gitreview for redux branch" into redux

commit c680d7ca5466e35b3b1c5c09dd949039c807ee8f
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Feb 8 12:31:25 2012 -0800

    Add SQL token backend
    
    * abstract out common token tests into test_backend
    * fixes bug 928052
    
    Change-Id: I75da2f3c8d733b71025bcc1ef02f55e07645327f

commit 6013dd83bb96bc1f654fb8a0d7e7b29c25bfa36a
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Feb 8 13:22:51 2012 -0800

    Add content-type to responses
    
    * fixes bug 928055
    
    Change-Id: Id86a9b3361d27493ed5ef175462aa1d4c1001bf4

commit 95280608fc82f7ae51f8c42678d6a7f0ac2ecff0
Author: Justin Santa Barbara <justin@fathomdb.com>
Date:   Wed Feb 8 12:53:44 2012 -0800

    Cope with unicode passwords or None
    
    If the password has a unicode character in it, bcrypt breaks.  So encode it using utf-8.  utf-8 should mean that existing hashes still work.
    
    Change-Id: I4f9f3b636c8728234ada87de62d22bed2ff8eb60

commit a3d21f06adaab181d566edbe6dbe250e5a0bff29
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Feb 8 10:46:33 2012 -0800

    Add auth checks to ec2 credential crud operations
    
    * Re-enables ec2 crud authorization tests
    * Fixes bug 928471
    
    Change-Id: I22a97a8659ade5d146b52d112ff66ea58f847ef7

commit 51eda0155f987f098b941d1eed4cd21e03a9c4d2
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Wed Feb 8 14:01:03 2012 -0600

    termie all the things
    
    Change-Id: Ib7b5fab2a09de8a9dcad8d8b0cf71c529e944f8c

commit f9a88277502b10416488d799d99f831299ad474e
Author: termie <github@anarkystic.com>
Date:   Wed Feb 8 12:20:31 2012 -0800

    example in hacking was incorrect
    
    Change-Id: I0a345e72c8974c26fb911f2a676c062280ac9557

commit 3364905041dd133cef3512a0a3ee4a3aa161b798
Merge: 705e508 f0f8dde
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 8 17:52:32 2012 +0000

    Merge "Ensures duplicate users and tenants can't be made" into redux

commit 705e5083a5f7c9dc21f6b8417e14f77e3f541cf5
Merge: 3efce6d 666a2b8
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 8 10:09:58 2012 +0000

    Merge "Add .gitreview file." into redux

commit f0f8ddeaa8923af615fad9171c96ea1ef1f5968d
Author: Vishvananda Ishaya <vishvananda@gmail.com>
Date:   Tue Feb 7 23:07:10 2012 -0800

    Ensures duplicate users and tenants can't be made
    
     * adds test for duplicate names and ids for backends
     * also adds test for rename duplicates and changing ids
     * makes kvs backend raise an exception if duplicate is requested
     * ensures kvs backend doesn't allow update of id
     * makes sure that kvs is reset between tests
     * cleans up a few imports
     * fixes bug 927291
     * fixes bug 928659
    
    Change-Id: Ia6eb1961796cbde7ed57a75cd9394d77c88cf655

commit 3efce6da3a3560328103892bf4dba92cc4305594
Author: Vishvananda Ishaya <vishvananda@gmail.com>
Date:   Tue Feb 7 22:37:38 2012 -0800

    make pip requires match nova
    
    Change-Id: Ie64d9571730f699d276fbf93241506e63053f0e0

commit aed78aa21a84881e6abaa662a5bb345db830e8e7
Author: Joe Heck <heckj@mac.com>
Date:   Mon Feb 6 20:06:31 2012 -0800

    fixes lp:925721
    adds .gitreview for redux branch
    
    Change-Id: Ic993ee7abd5f54b118b1b58688199f58a529222c

commit 8da000ae0b548212a29948562804fb9561d914e9
Merge: fabad5a fa5b2e4
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 7 02:22:48 2012 +0000

    Merge "We don't need all the deps to check pep8." into redux

commit fabad5a6604e9e0248ec310e2b808dc06799c34b
Author: termie <github@anarkystic.com>
Date:   Mon Feb 6 18:01:08 2012 -0800

    remove novaclient, fix python syntax
    
    Change-Id: Ib5c523a5feb74fbc6f4f75ec4d112dbcd23a559c

commit fa5b2e450a441fb6d838f842c46cd363775ba3d0
Author: Monty Taylor <mordred@inaugust.com>
Date:   Mon Feb 6 16:36:41 2012 -0800

    We don't need all the deps to check pep8.
    
    Change-Id: I01296b99d7ed91eb26b3d29256d8b9d538d9c839

commit 9dadf0162448151aaa769f2ef5555e36616b4b7d
Author: Vishvananda Ishaya <vishvananda@gmail.com>
Date:   Mon Feb 6 23:05:19 2012 +0000

    remove extra line

commit b6a142d8407b441c1023acaeb597036bdb26f3ba
Author: Vishvananda Ishaya <vishvananda@gmail.com>
Date:   Mon Feb 6 23:01:10 2012 +0000

    Make ec2 auth actually work

commit 4054253aa50f34179db37919b038b80da23e0c51
Merge: a5ca4d9 62a92c4
Author: Andy Smith <github@anarkystic.com>
Date:   Mon Feb 6 14:45:18 2012 -0800

    Merge pull request #35 from 4P/dox
    
    A bunch of docs updates

commit 62a92c44baf533fe316016c1fa5be892fc85009c
Author: Joe Heck <heckj@mac.com>
Date:   Mon Feb 6 20:43:24 2012 +0000

    fixing grammar, noting broken enable, adding hacking with prefs for project

commit a5ca4d9c56f2493f27e73010af623cf6b44e2ca4
Merge: 63573fe fca3e9c
Author: Andy Smith <github@anarkystic.com>
Date:   Mon Feb 6 12:43:16 2012 -0800

    Merge pull request #36 from 4P/tokendriver
    
    Add token interface description (token.Driver)

commit 63573fe88cc1e6e7ce7cceeeb76e6ad527c8af85
Merge: 446b268 e0afc0d
Author: Andy Smith <github@anarkystic.com>
Date:   Mon Feb 6 12:40:29 2012 -0800

    Merge pull request #37 from dolph/master
    
    Add support for invalidate token: DELETE /tokens/{token_id}

commit e0afc0dc327030d34c1fbd7806f555f69e406144
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Mon Feb 6 14:28:35 2012 -0600

    Removed unused reference

commit fca3e9c0453bc6adeb50c77dd1be79933132fdaf
Author: Joe Heck <heckj@mac.com>
Date:   Sun Feb 5 16:24:42 2012 -0800

    adding a token service Driver to define the interface

commit 6a5c5248a76a561d65bdc1868408c4c7cb27e934
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Mon Feb 6 09:28:53 2012 -0600

    Added support for DELETE /tokens/{token_id}

commit 9452cf04bc8b0a4dc66dc640615d5ace1ca715f2
Author: Alvaro Lopez Garcia <aloga@ifca.unican.es>
Date:   Tue Jan 31 18:14:17 2012 +0100

    Fixes bug 924391
    
    Change-Id: Iccb232a56df6072580cbcb0bc07ef7c0f81ca8fe

commit cc371272f2f650765f39d03bd17c1afc80b0e561
Author: Joe Heck <heckj@mac.com>
Date:   Sun Feb 5 20:32:37 2012 +0000

    ran through all commands to verify keywords against current (master) keystonelight

commit 32ff03b6dc9d8a6b5c1102faabf7f84bd1ebd3c1
Author: Joe Heck <heckj@mac.com>
Date:   Thu Feb 2 20:40:39 2012 -0800

    updating docs:
    
    * reference keystone-all instead of keystone
    * remove reference to keystone.version
    * rename gnerated man page
    * spacing and line wrapping

commit bfe9abeaa8a7ec8403b8fae1a7a302aa0e060bf4
Author: Pete Zaitcev <zaitcev@kotori.zaitcev.us>
Date:   Thu Feb 2 22:41:28 2012 -0700

    Fix "KeyError: 'service-header-mappings'"
    
    Someone changed the dashes for underscores in keystone.conf
    and forgot to update one place. Fix is trivial, tested to work.
    
    bug 925872
    
    Change-Id: Ib448f55fb0a352b5782fe0241bb1977c1d1ab79b

commit 6ebc246ba983bdfa03a65025f5b44212b125810b
Merge: d851dc7 1ea4e4f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 3 18:09:02 2012 +0000

    Merge "Added keystone-manage list_role_grants (bug 923933)"

commit 4f651ba2425fa418b101a266a5b73d758d1b3d04
Author: Joe Heck <heckj@mac.com>
Date:   Thu Feb 2 20:57:45 2012 -0800

    updating tox.ini with test pip requirements

commit d851dc7fe1ff3f5a25ec25d379755afaa4f5f85a
Merge: f76477c 9858e08
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 3 07:27:52 2012 +0000

    Merge "Removes nova middleware and config from keystone"

commit 446b26850d1afa1bd239c3048a23fc818b86c8f0
Author: termie <github@anarkystic.com>
Date:   Thu Feb 2 16:58:32 2012 -0800

    use our own logging module

commit f91610c5d933ff3a2e0946caaeeb12c90a8e89b2
Merge: 50e4e4d 0027f90
Author: Andy Smith <github@anarkystic.com>
Date:   Thu Feb 2 14:42:23 2012 -0800

    Merge pull request #33 from zulcss/master
    
    Renamed binary to keystone-all.

commit f76477c7b19aeade22ef00bccc1b652cc37d7349
Author: Dan Prince <dan.prince@rackspace.com>
Date:   Wed Feb 1 15:17:26 2012 -0500

    Update auth_token middleware to support creds.
    
    Updates to the auth_token middleware to support admin_user and
    admin_password in addition to the existing admin_token. If an
    admin_token isn't specified then a call to obtain the admin_token
    is made. If an admin token expires the username and password can
    also be used to obtain a fresh token.
    
    Also, added a test for case for middleware where token isn't
    specified.
    
    Fixes LP Bug #923573.
    
    Change-Id: I643efec310cbb9a175607cc17f0c077f261b1d6d

commit 9858e08d44c89f5aa7bf38e5235e4c05fffdb96d
Author: Vishvananda Ishaya <vishvananda@gmail.com>
Date:   Thu Feb 2 11:36:26 2012 -0800

    Removes nova middleware and config from keystone
    
     * Everything has been moved back into nova
     * Fixes bug 917408
    
    Change-Id: Id7e3a0eaa90cc0a32f84fdd587d50e2eba00800b

commit 50e4e4d63cbec841299aa960f8faa9e6b48a5ed2
Merge: 67ba46c 433e7db
Author: Andy Smith <github@anarkystic.com>
Date:   Thu Feb 2 11:23:58 2012 -0800

    Merge pull request #34 from 4P/docup
    
    minor docstring update for new locations

commit 433e7db49920d5b0d233d623d7376589c2897d57
Author: Joe Heck <heckj@mac.com>
Date:   Thu Feb 2 08:48:39 2012 -0800

    minor docstring update for new locations

commit 0027f90c0e22b0adfa78d534658e56c72f81dd55
Author: Chuck Short <chuck.short@canonical.com>
Date:   Thu Feb 2 09:39:02 2012 -0500

    Missed one more keystone-server.
    
    Signed-off-by: Chuck Short <chuck.short@canonical.com>

commit 69bb042a86a73773044b94437fe17a1639ec7e79
Author: Chuck Short <chuck.short@canonical.com>
Date:   Thu Feb 2 09:34:16 2012 -0500

    Renamed keystone-server to keystone-all based on comments
    in LP: #910484.
    
    Signed-off-by: Chuck Short <chuck.short@canonical.com>

commit 67ba46c1db3174cc4acc4066430d6eb0c657de8e
Merge: 2d2ce8c 40525e0
Author: Andy Smith <github@anarkystic.com>
Date:   Wed Feb 1 16:53:49 2012 -0800

    Merge pull request #30 from termie/fix_master_kc
    
    Update code to handle keystoneclient master

commit 40525e0e52966454e75a4ba9ed689280caaaf61d
Author: termie <github@anarkystic.com>
Date:   Wed Feb 1 16:51:46 2012 -0800

    be more safe with getting json aprams

commit a703983713306278ecee1c7cf993a5c5772e1035
Author: termie <github@anarkystic.com>
Date:   Wed Feb 1 15:56:09 2012 -0800

    skip the two tests where testing code is failing
    
    the cli is rather well tested already from the other tests, these tests
    are only failing because the testing code is having trouble with
    multiple copies of the keystoneclient.exceptions.NotFound error (the
    tests pass when run individually) and I am no longer willing to waste
    time trying to fix it

commit 3cfea52ace7d273f77d4bc58e095f20030f8c48b
Author: termie <github@anarkystic.com>
Date:   Wed Feb 1 15:53:26 2012 -0800

    accept POST or PUT for tenant update
    
    this is a keystone legacy issue

commit 09bd758fb88387cf9e58666b1bbcded4e019037e
Author: termie <github@anarkystic.com>
Date:   Wed Feb 1 14:50:02 2012 -0800

    deal with reparsing the config files

commit 37e1c5c57a140c41b154ba9901855026e4ee5c3b
Author: termie <github@anarkystic.com>
Date:   Wed Feb 1 14:49:50 2012 -0800

    don't automatically parse sys.argv for cfg

commit 0b34e5f511c8dc57d11ddef874fdbd2ea7bb6ff5
Author: termie <github@anarkystic.com>
Date:   Wed Feb 1 11:49:21 2012 -0800

    deal with tags in git checkout

commit 6fd68e1a3878502c9d2bb65be670791e20a29ef6
Author: termie <github@anarkystic.com>
Date:   Tue Jan 31 21:31:36 2012 -0800

    fix keystoneclient tests

commit c6e30eb5a1b14816e06589c407ea81f6d63b5355
Author: termie <github@anarkystic.com>
Date:   Tue Jan 31 15:45:00 2012 -0800

    add tests for essex and fix the testing framework

commit 2d2ce8c72efa965b6db4affe1a5d9e3e6ca5d47b
Author: Andy Smith <github@anarkystic.com>
Date:   Wed Feb 1 11:07:32 2012 -0800

    Update docs/source/developing.rst

commit ec89d4ec9ae5428fe3509c5155d66efedb8a6668
Author: Chuck Short <chuck.short@canonical.com>
Date:   Wed Feb 1 13:35:59 2012 -0500

    Change the name of keystone to keystone-server so
    the binaries dont conflict with python-keystoneclient.
    
    Signed-off-by: Chuck Short <chuck.short@canonical.com>

commit 89f835a3eb88abc474c9b42b3665845a1a6556af
Merge: 826319b 3da6575
Author: Andy Smith <github@anarkystic.com>
Date:   Tue Jan 31 17:30:03 2012 -0800

    Merge pull request #27 from emonty/jenkins-normalization
    
    set up infrastructure for jenkins testing

commit 3da657555d801a487fbfbc97778e2664e50f8434
Author: Monty Taylor <mordred@inaugust.com>
Date:   Tue Jan 31 13:45:53 2012 -0500

    Normalize build files with current jenkins.
    
    Change-Id: I528c3cc4e16dfa1465c8e3ac1062c65dc2ddc2f0

commit fc3de2491d15f446d6223ff494bbeaef06fda8ac
Author: Monty Taylor <mordred@inaugust.com>
Date:   Tue Jan 31 13:40:29 2012 -0500

    Use gerrit instead of github
    
    When we run gating tests in jenkins, any access of network resources is a
    potential source of false-negative on the test due to intermittent service
    failures on systems that are out of our control. We observe that this is
    actually quite frequent when things want to access PyPI or github. With
    pypi, we pre-create virtualenvs and cache the eggs so that an individual
    test run doesn't fail due to pypi not responding. For repos, if at all
    possible, we direct them all at the gerrit instance, because since gerrit is
    driving the test run in the first place, it's indicative of a much larger
    problem if jenkins can't talk to it - and it's one that we can fix if it
    does come up.
    
    Change-Id: I9f54133f7f2025d15a9d0b270d2466438cbc6dd5

commit cf3f671a050f5cb5a2acc8c8c4b0b6b7a3a0d892
Author: Monty Taylor <mordred@inaugust.com>
Date:   Tue Jan 31 13:39:36 2012 -0500

    Fix pep8 violations.
    
    Change-Id: I12e304c567b92178e193c60599c3be606cc70d38

commit 666a2b8d8f275bdd80ab12e4686b0892673e841c
Author: James E. Blair <jeblair@hp.com>
Date:   Tue Jan 31 02:12:38 2012 -0800

    Add .gitreview file.
    
    Change-Id: I022e6b0dfe3db6dc5c1530cfbbf3f7d5e6804962

commit 826319befdb552e1fb9098e0bd5518ce11915b0a
Merge: d23691b 8d695b8
Author: Andy Smith <github@anarkystic.com>
Date:   Mon Jan 30 15:51:19 2012 -0800

    Merge pull request #26 from 4P/moredoc
    
    copy over a bunch of docs from keystone, will probably have to be proofread a bit after

commit 1ea4e4fe90a209b185037932e88f4423192ca9aa
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Mon Jan 30 14:51:55 2012 -0600

    Added keystone-manage list_role_grants (bug 923933)
    
    Change-Id: I213b47240fa1211bafe7895fc01c5c6e888d3c35

commit 8d695b83df68367be9172f0659a90a844680039b
Author: Joe Heck <heckj@mac.com>
Date:   Mon Jan 30 20:22:34 2012 +0000

    removing unused images, cleaning up RST in docstrings from sphinx warnings

commit d961f7c30c1290dba392381a56c7159a09d36068
Author: Joe Heck <heckj@mac.com>
Date:   Mon Jan 30 19:59:58 2012 +0000

    pep8 cleanup

commit 9d7d898586566cf2f7c21846961f67a773c2ee6c
Author: Joe Heck <heckj@mac.com>
Date:   Mon Jan 30 19:53:08 2012 +0000

    shifting contents from _static to static

commit d1f4ddcb81d470401f5b6c80b66ac9649e3c224e
Author: Joe Heck <heckj@mac.com>
Date:   Sun Jan 29 14:36:11 2012 -0800

    adding in testing details

commit 22c3f8067ed7e480e5d06c67677a4f60d740a10d
Author: Joe Heck <heckj@mac.com>
Date:   Sun Jan 29 14:14:09 2012 -0800

    moved notes from README.rst into docs/architecture.rst

commit ef8b8f1d9b61ff527b223d69c52f35f25536b8dd
Author: Joe Heck <heckj@mac.com>
Date:   Sun Jan 29 14:09:24 2012 -0800

    updating formating for configuration page

commit 1908a2d7ba14b830648078e6871fba0e6644fdf5
Author: Joe Heck <heckj@mac.com>
Date:   Sun Jan 29 13:47:29 2012 -0800

    format tweaks and moving old docs

commit fec7598a07b4beca78fe31a549e5d3beb6c0dc5d
Author: Joe Heck <heckj@mac.com>
Date:   Sun Jan 29 13:24:38 2012 -0800

    shifting older docs into old/ directory

commit e643f239816bae29e8206407db3d5eabdd2ea4b0
Author: Joe Heck <heckj@mac.com>
Date:   Sun Jan 29 10:57:02 2012 -0800

    doc updates

commit 6b38e3ceb62515f1d28078d2f36b72548023521c
Author: Joe Heck <heckj@mac.com>
Date:   Tue Jan 24 09:43:06 2012 -0800

    moving in all the original docs from keystone

commit d23691b78b0491fad9fb2e2e02c4d99d4bbf34a0
Merge: 20243af 68aa9cd
Author: Andy Smith <github@anarkystic.com>
Date:   Fri Jan 27 03:50:49 2012 -0800

    Merge pull request #25 from 4P/pipup
    
    fixing up PIP requirements for testing and virtualenv

commit 68aa9cd10fca548dcbf2a8a58d7cf902a1af655b
Author: Joe Heck <heckj@mac.com>
Date:   Fri Jan 27 07:06:03 2012 +0000

    adding python keystoneclient to setup.py deps

commit 080f523ff771c861251f1c33e32ec9ff2d358f88
Author: Joe Heck <heckj@mac.com>
Date:   Fri Jan 27 07:00:44 2012 +0000

    fixing up PIP requirements for testing and virtualenv

commit 20243af977061ebee25e0383b8a789b056e19fd8
Merge: 9095992 103fc87
Author: Andy Smith <github@anarkystic.com>
Date:   Thu Jan 26 14:50:52 2012 -0800

    Merge pull request #22 from chmouel/s3token
    
    Add s3tokens validation.

commit 103fc87b8eb80eae4f20e23e9ad6485a33f360f7
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Thu Jan 26 14:29:47 2012 -0800

    indents.

commit 9095992428e6e591ab75c50d1d7d9ccdea763bf4
Merge: fa4cdc4 d6d56e4
Author: Andy Smith <github@anarkystic.com>
Date:   Thu Jan 26 13:40:52 2012 -0800

    Merge pull request #24 from termie/require_adminness
    
    initial stab at requiring adminness

commit 3974760a4406060061017f03bb7eabe5b1937a23
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Thu Jan 26 13:29:38 2012 -0800

    Make it as a subclass.
    
    as advised by termie make it as a subclass instead of patching the
    method.

commit d2e6f63fe107c17e344337b8db030733ed9bbb2e
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Thu Jan 26 15:29:34 2012 -0600

    Added shortcut for id=NULL queries (bug 916386)
    
    Change-Id: I9d7ae05f860d4a8f56bb9b7ab77221e201478393

commit d6d56e45dc416cbdb000266e2a3ad3a3880fd166
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Thu Jan 26 15:04:54 2012 -0600

    fix style and termie's comments about comments

commit 726b5adab004d84cec061b1de2ab6fe306b08973
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Thu Jan 26 00:30:24 2012 -0600

    invalid params for roles.delete

commit d5443e2ef0ac8d1c33ba3644ddb9053b68a6ed0d
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Thu Jan 26 00:26:30 2012 -0600

    initial stab at requiring adminness

commit fa4cdc40356e25b6097306396b57c38e7b9ee363
Merge: d4f2bf5 1efee11
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Wed Jan 25 19:40:19 2012 -0800

    Merge pull request #23 from termie/auth_invalid_tenant
    
    add tests that auth with tenant user isn't member of

commit b1cd21426cc12ab65a89f617b9a8d09322dde009
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Thu Jan 26 01:37:37 2012 +0000

    Simplify code.
    
    Per Termie's suggestion, share as much as possible with ec2 module and
    instantiate s3 module from it.

commit 1efee11f587a73969c68a6c77fc97d786a1903e6
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Wed Jan 25 19:33:43 2012 -0600

    add tests that auth with tenant user isn't member of

commit fcea15df2a1dba5ae65f90a16e5f865a08d00457
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Wed Jan 25 16:50:14 2012 -0800

    Add s3tokens validation.
    
    There is still some works to be done in the swift middleware but this
    should works.
    
    Documentation and tests are in the planning.

commit 2abbc77df6c5d9b0cbb94019285bb9527bf224c3
Merge: df1dcc0 2e73dfa
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jan 26 00:48:57 2012 +0000

    Merge "Documented race condition (bug 921634)"

commit df1dcc0d7026fb367ddb424c67c337ee98447334
Merge: b653826 fd36f1f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jan 26 00:06:34 2012 +0000

    Merge "add instructions for setting up a devenv on openSUSE 11.4 and 12.1"

commit b65382614e84aee2ff187120c0512aa7660ebe4e
Merge: a86a661 2efd311
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jan 25 21:47:49 2012 +0000

    Merge "Test coverage for issue described in bug 919335"

commit 2efd3117bd8103f16bf561873deaa5210db257cb
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Wed Jan 25 13:53:23 2012 -0600

    Test coverage for issue described in bug 919335
    
    Change-Id: I5608968ba287e732216da9c883a32a16b2b15523

commit a86a661b2900379139c363dae22aec50c5906da7
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Wed Jan 25 13:35:32 2012 -0600

    Removing __init__ from non-packages (bug 921054)
    
    These were mistakenly treated as packages long ago.
    
    Change-Id: I975b7c1cf310b6ca482a5a32c615ecab7fc9517f

commit 4c680cf61d04f44b40dc418338000c08703a316e
Merge: 6d506f5 d1a3c5f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jan 25 19:33:42 2012 +0000

    Merge "Fix race in TestCreateTokenCommand (bug 921634)"

commit 6d506f5d1d693061201a666968fd9456d3253159
Merge: 9e9e7f0 053345c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jan 25 17:08:12 2012 +0000

    Merge "Forgot to update models (bug 885426)"

commit fd36f1f3b9adf809af77cb67a0180d00326b0718
Author: Ionuț Arțăriși <iartarisi@suse.cz>
Date:   Thu Jan 19 11:32:49 2012 +0100

    add instructions for setting up a devenv on openSUSE 11.4 and 12.1
    
    Change-Id: I171aba035326159a3d3fa0e2630dc21b1e6f0751

commit 2e73dface4258c6d2d796d23ce95357e1093027c
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Wed Jan 25 10:48:08 2012 -0600

    Documented race condition (bug 921634)
    
    Change-Id: I6db4035c0b2067f309407232959091245e80e290

commit d1a3c5fa96928b05c3ecdbd8fa5be4bd12fb33ff
Author: Ralf Haferkamp <rhafer@suse.de>
Date:   Wed Jan 25 16:51:52 2012 +0100

    Fix race in TestCreateTokenCommand (bug 921634)
    
    This fix should reduce the possiblity of failure significantly.
    
    Change-Id: I3a1a7d4eafd11ee8c73a97c45c3f9c38a63a0df0

commit 053345c4e6a9bbd8daaf4829e3a83829a7516785
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Wed Jan 25 08:38:27 2012 -0600

    Forgot to update models (bug 885426)
    
    Change-Id: Ic3ed3491839502e904a20a31b1032c941b008fba

commit 9e9e7f0c332b045337e72bf5e0e766fad4bd34a5
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Wed Jan 25 11:14:53 2012 +0000

    Updating example glance paste config.
    
    The glance config has gone through a number of changes since
    the sample paste files were added to keystone:
    
    - Add generic PasteDeploy app and filter factories
    
    [https://github.com/openstack/glance/commit/ba44d1c3]
    
    - Split out paste deployment config from the core glance
      *.conf files into corresponding *-paste.ini files
    
    [https://github.com/openstack/glance/commit/14593a3b]
    [https://github.com/openstack/glance/commit/5835b30c]
    
    Updating samples to conform to latest version supported by glance.
    
    Change-Id: I52bcdfd1760f6f844e0a44dabe3294886bb7aafd

commit d4f2bf5fdefca433ee81075dd28be6f1b7387b50
Author: termie <github@anarkystic.com>
Date:   Tue Jan 24 23:01:51 2012 -0800

    add a bunch of basic tests for the cli

commit b1581a1852142548814d72deb0eebee238b4fdbf
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Mon Jan 23 11:02:01 2012 -0600

    Migrated 'enabled' int columns to bool for postgres (bug 885426)
    
    Also included additional fixes for bp portable-identifiers
    which were discovered by running existing tests against
    postgres, per the bug referenced above.
    
    Change-Id: I6c51bb817ec12df33866ff632f906d17c90c8d54

commit 608b9a270bf2bdc017e02d2575669ec62d0645e7
Author: termie <github@anarkystic.com>
Date:   Tue Jan 24 20:29:33 2012 -0800

    remove this useless catalog

commit de6a98a1381090583f253ccbaa9c5af3c392e877
Author: termie <github@anarkystic.com>
Date:   Tue Jan 24 20:28:18 2012 -0800

    move cli code into a module for testing

commit 56f7ad831765bc0d5446cf8f7cd8675a7527dc9e
Merge: b207a49 8c6e606
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jan 25 03:54:00 2012 +0000

    Merge "Updated bp keystone-configuration for bp keystone-manage2"

commit 8c6e606110e26415f81e4177f433528e659182cb
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Tue Jan 24 19:03:58 2012 -0600

    Updated bp keystone-configuration for bp keystone-manage2
    
    - Centralized sql_connection method
    - Avoided initializing commands that weren't being called
    
    Change-Id: I8231ed4ee4c384f948703b5620acef9f27265f55

commit b207a49cf9cf8f091fdadc0da06970e016101dc3
Author: Ziad Sawalha <github@highbridgellc.com>
Date:   Tue Jan 24 20:52:46 2012 -0600

    Return Version and Tenant in Endpoints
    
    - fixes bug 920817
    - adds basic tests for this case
    
    Change-Id: If32884ba149b089f93dc4278271d85c84f0f738c

commit 23c396df0b42bda0fb373fb4b93d0b66e3069e87
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Tue Jan 24 19:01:26 2012 -0600

    Updated error message for keystone-manage2
    
    Change-Id: I731ae211ead97cc3d7a1e8f281b67ce4ae9f7b3b

commit a6a6124ccd5790bd60eef55880403a4a9f736564
Author: termie <github@anarkystic.com>
Date:   Tue Jan 24 16:49:29 2012 -0800

    allow class names to be different from attr names

commit f5dbc98dffa3216506453c6dbf038972577fe3fc
Author: termie <github@anarkystic.com>
Date:   Tue Jan 24 16:33:31 2012 -0800

    add ec2 credentials to the cli

commit 51a2c185ff41b373def1f6c7f7635f652c0d1dff
Author: termie <github@anarkystic.com>
Date:   Tue Jan 24 15:55:44 2012 -0800

    fix middleware

commit e2f86075ec198bfeb2a48af708ae09fe771ac98d
Author: Carlos Marin <carlos.marin@rackspace.com>
Date:   Tue Jan 24 10:45:10 2012 -0600

    Added: "UserWithPassword"
    Added: "UserWithOnlyEnabled"
    Removed: "UserWithOnlyPassword"
    
    Included samples.
    
    UPDATED: JSON sample whitespaces.
    
    Change-Id: I4c15a7ab34843918ed2e32281b740204c951dc9f

commit 27d14119f9d7602d36038548be70850462197f41
Merge: 2dbb2a6 b680202
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jan 24 20:44:17 2012 +0000

    Merge "Fix for bug 921126"

commit 2dbb2a6bf92686e396f176c932dc0dfa358e8804
Author: Ziad Sawalha <github@highbridgellc.com>
Date:   Tue Jan 24 12:45:00 2012 -0600

    Update Extended Credentials (EC2, S3)
    
    - format should be extension:credential.
    - older format (extension-credentials, or ec2Credentials
      still supported for compatibility
    
    Change-Id: I3e2651a37baeae411e626e97c4eb4e992cf4cf2f

commit b680202c644d3849b096e1c8b282db649f646673
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Tue Jan 24 13:31:04 2012 -0500

    Fix for bug 921126
    
    Updated soon-to-be-legacy 'keystone-manage database sync' to pass the
    correct information to migrate lib.
    
    Change-Id: Id3a8345c17efd4be7c2056db68dade4bdb86cf9a

commit 36a18b84a5d1b700536caf67e16edd7425bc196e
Merge: 02409a8 5ce7e70
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jan 24 17:07:32 2012 +0000

    Merge "Restore Console Info Logging - bp keystone-logging"

commit 02409a8c6f19a320f00b85019856049a89dfd3db
Merge: 027782a ef6c133
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jan 24 16:31:25 2012 +0000

    Merge "Release Notes for E3"

commit 027782a95f6eada6c0ffca610accc1e0e2f95d11
Author: Akira YOSHIYAMA <akirayoshiyama@gmail.com>
Date:   Sun Jan 15 23:20:07 2012 +0900

    Adds keystone auth-n/auth-z for Swift S3 API.
    
    This capability has three parts:
    
    a) a keystone patch to handle OS-KSS3-s3Credentials
       when received in a POST to /tokens.
    b) a new keystone middleware s3_token.py for swift.
    c) a swift patch to use token and endpoints from keystone via b).
    
    This patch contains a) and b).
    
    Note: modified by zns to get it in by E3.
    
    See:
    blueprint s3token
    bug #874280
    
    Change-Id: I9021de064177db358ea6d727c570f4e3bcd6e56c

commit 5b8682f2aa15ca1b677ab3eeeede7ab6d8e5e5d3
Author: Ed Leafe <ed@leafe.com>
Date:   Fri Jan 20 17:23:12 2012 +0000

    Implement cfg.py
    
    - Updates configuration handling to use module
      other projects use.
    - Fixed the command-line to accept options that
      override config file settings.
    
    bp keystone-configuration
    
    Change-Id: I63958b1cc2918f5984c65164f6b3e5116efd0ea6

commit 4899210334a030c541e13aa994b25b3996bb3cc9
Author: termie <github@anarkystic.com>
Date:   Tue Jan 24 00:56:53 2012 -0800

    bcrypt the passwords

commit e344821225d0f44461eff9376de8509660ecd4e1
Author: termie <github@anarkystic.com>
Date:   Mon Jan 23 17:47:48 2012 -0800

    fix token vs auth_token

commit 28dac4595cbdaab82d108992f43321efbb925199
Author: Ziad Sawalha <github@highbridgellc.com>
Date:   Fri Jan 6 16:47:08 2012 -0600

    Implement Secure Token Auth
    
    - Added OS-KSVALIDATE extension that supports
      /tokens calls with the token supplied in the
      headers. Using X-Subject-Token instead of in the
      URL.
    - Addresses bug 861854
    
    Change-Id: Ib6798a98683111c8ce7dfd70a99603ddf1f85248

commit 9f0bb492128e396dcdb0d0be76bce913718a6611
Author: termie <github@anarkystic.com>
Date:   Mon Jan 23 17:27:36 2012 -0800

    some quick fixes to cli, tests incoming

commit aaf75e9bb0f8a4d19ffb1bac39a737982ca8e6bf
Author: termie <github@anarkystic.com>
Date:   Mon Jan 23 17:22:10 2012 -0800

    fix pep8

commit e4a00e05e93094f7b7f9ff8dbac374c56669ffc6
Author: termie <github@anarkystic.com>
Date:   Mon Jan 23 17:19:01 2012 -0800

    fix some more pass-by-reference bugs

commit da4f95527953938692627a9ba12f21731cb1c12e
Author: termie <github@anarkystic.com>
Date:   Mon Jan 23 17:18:47 2012 -0800

    strip password before checking output

commit 8ad8d88dc65daf2662fde34033619a4918be6129
Author: termie <github@anarkystic.com>
Date:   Mon Jan 23 17:18:30 2012 -0800

    flip actual and expected to match common api

commit 8ffee09635c5be69a578376d309bcfc5b7b8c927
Author: termie <github@anarkystic.com>
Date:   Mon Jan 23 16:49:28 2012 -0800

    don't allow disabled users to authenticate

commit 5a8a8ae6d7341138ff28395d67d4acc8e467e7ba
Author: termie <github@anarkystic.com>
Date:   Mon Jan 23 16:35:58 2012 -0800

    turn off echo

commit 2ebb89bf8024d2700a9c884763da795fba35b14f
Author: termie <github@anarkystic.com>
Date:   Mon Jan 23 16:35:41 2012 -0800

    fix invalid_password, skip ec2 tests

commit 88b88a9e6f515fe617da724993a327b5bbc12aaa
Merge: 5f69fbb 92462c8
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jan 24 00:01:39 2012 +0000

    Merge "Suppressed backtraces in tests causes sweaty eyes"

commit 92462c8f59410984b142a99b49e9e3bf6050aebd
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Mon Jan 23 17:05:40 2012 -0600

    Suppressed backtraces in tests causes sweaty eyes
    
    Change-Id: Ieaceaea5d44860cc096e847977dc076db64765f6

commit 57b24dde131a349afb7a533b6a54f6ab1362eeae
Author: termie <github@anarkystic.com>
Date:   Mon Jan 23 14:56:38 2012 -0800

    strip password from sql backend

commit 3cce41e2804ca93897144b84418d523d9954c660
Author: termie <github@anarkystic.com>
Date:   Mon Jan 23 14:53:37 2012 -0800

    raise and catch correct authenticate error

commit c59370eda09cf0ce1f71b45f1b3321e3a687ef7b
Author: termie <github@anarkystic.com>
Date:   Mon Jan 23 14:52:53 2012 -0800

    rely on internal _get_user for update calls

commit 5f69fbba77d73eff185d5b7670a539af548e8740
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Mon Jan 23 16:47:53 2012 -0600

    Fixed: Inserting URLs into endpoint version attr
    
    version_id is defined to be a varchar(20), and the
    uuid's urls being inserted were way too long
    
    Change-Id: Ibcedda18678249f77cb37a54c7acfb490ba9f2c0

commit 36a0190f08b0a614d188db75febd2380c822c122
Author: termie <github@anarkystic.com>
Date:   Mon Jan 23 14:33:49 2012 -0800

    strip password from kvs backend

commit 86dad078f4b4b6db49e63578ee809e08d92fcfdb
Author: termie <github@anarkystic.com>
Date:   Mon Jan 23 14:30:22 2012 -0800

    fix user_get/user_list tests

commit ef6c1335fc51e73354807f272fd75b033848edb7
Author: Ziad Sawalha <github@highbridgellc.com>
Date:   Mon Jan 23 14:54:44 2012 -0600

    Release Notes for E3
    
    Change-Id: I4b3dd0275defccb57c16f5aa5e57531b6a51bcce

commit 45b36369a39e5e3cde6453312d73f85268dcd372
Author: Ziad Sawalha <github@highbridgellc.com>
Date:   Thu Jan 19 20:10:08 2012 -0600

    Addresses bug 918608
    
    - limit needs to be an integer
    
    Change-Id: I651dd336437f01f514baeaf880c2c73c9c5fee7b

commit 5ce7e70d5a2efed61c303c9a276e7ec362a9d265
Author: Ziad Sawalha <github@highbridgellc.com>
Date:   Fri Jan 20 16:47:20 2012 -0600

    Restore Console Info Logging
    - bp keystone-logging
    
    Change-Id: Ie4e4af171faa4d33b031afa17adf0aa4c321f2cc

commit 507d5f2de39abee3b9cd0786e0f6d95875ccc929
Merge: f943977 28760bd
Author: Andy Smith <github@anarkystic.com>
Date:   Fri Jan 20 12:53:54 2012 -0800

    Merge pull request #21 from 4P/doc2
    
    removing the sphinx_build from setup.py

commit 28760bd33be09e29b3b1490409eced74e243d88e
Author: Joe Heck <heckj@mac.com>
Date:   Fri Jan 20 20:51:54 2012 +0000

    removing the sphinx_build from setup.py, adding how to run the docs into the README

commit f2726df39c3ec4e50448361e3be4cfba45e4fa93
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Fri Jan 20 14:22:20 2012 -0600

    Added Vary header to support caching (bug 913895)
    
    Change-Id: I26dca09ace688a25cf207214808e8a9c919621c4

commit fc9dcb4f51731dcb5e264538142a83b3f6b8752d
Merge: 95fb6d1 6362857
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jan 20 19:48:15 2012 +0000

    Merge "Handle EC2 Credentials on /tokens"

commit 95fb6d13fb716b7312967bdc3f1877c0993b7c91
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Fri Jan 20 09:23:04 2012 -0600

    Implemented subparsers (bp keystone-manage2)
    
    Using subparsers improves CLI feedback and simplifies the way we handle
    commands.
    
    Change-Id: I6fa3a6f056f408b5af2d95bb5650f7c9a76c00be

commit 63628575417514f980af52f1e99d54a66d97276a
Author: Ziad Sawalha <github@highbridgellc.com>
Date:   Fri Jan 20 04:12:10 2012 -0600

    Handle EC2 Credentials on /tokens
    
    - EC2 credentials are just another type of credential
      that can be passed in to /tokens. This patch now
      handles those credentials correctly.
    - POST /tokens {'auth': {'OS-EC2-ec2Credentials...}
      now works correctly.
    - Multiple credential handling is improved. There is
      a detect_credentials call in utils now to detect
      the different types.
    
    Addresses:
    - bug 843058
    - bug 904523
    Prepares for:
    - bp s3token
    - bp keystone-client
    
    Change-Id: I43931fdc7b8a9b76eac351e11394cfa507911578

commit f94397743ea0ed008181c22ec2eafd67a83217f2
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Fri Jan 20 00:10:47 2012 -0800

    ec2 docs

commit 269159f67dd5772d2cac02f9e9941785e65f0561
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Thu Jan 19 23:00:51 2012 -0800

    simple docstrings for ec2 crud

commit 9e1e113901639d40ed28a558e8710baf3deba2c7
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Thu Jan 19 14:10:05 2012 -0600

    Fixed PEP8 violations and disallowed them
    
    Change-Id: I0fb83c47323be392882df40ea728e8dc00300996

commit 8b3df32298953e4906d1471430cb794ffb575ce9
Author: Dolph Mathews <dolph.mathews@gmail.com>
Date:   Tue Jan 3 09:11:04 2012 -0600

    Implemented bp keystone-manage2
    
    $ ./bin/keystone-manage --help
    usage: keystone-manage [-h] command
    
    OpenStack Identity (Keystone) Management
    
    positional arguments:
      command     create_credential, create_endpoint, create_endpoint_template,
                  create_role, create_service, create_tenant, create_token,
                  create_user, delete_credential, delete_endpoint,
                  delete_endpoint_template, delete_role, delete_service,
                  delete_tenant, delete_token, delete_user, downgrade_database,
                  goto_database, grant_role, list_credentials,
                  list_endpoint_templates, list_endpoints, list_roles,
                  list_services, list_tenants, list_tokens, list_users,
                  map_endpoint, revoke_role, sync_database, unmap_endpoint,
                  update_credential, update_endpoint_template, update_role,
                  update_service, update_tenant, update_token, update_user,
                  upgrade_database, version, version_control_database
    
    optional arguments:
      -h, --help  show this help message and exit
    
    Change-Id: I67ec29be8ce6407a1e1f5ce8f1b0e00e86c07d8d

commit 8c98285ad0c1b24efe35a3ea777da58fb0d67054
Author: Ziad Sawalha <github@highbridgellc.com>
Date:   Thu Jan 19 11:19:13 2012 -0600

    Fixes 918535: time not properly parsed in auth_token middleware
    
    - replaced get_datetime() with expanded _convert_datetime()
      function that uses datutil parser to handle any date
      string.
    - added tests
    - fixes bug 918535
    - also addresses bug 911197
    
    Change-Id: I7f4e3c01b1b7466fd5f30889c7b28deae9fc9367

commit fd65f4c0b4ef5283c2090799d56ee23bacdb258f
Merge: 565e329 159757c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jan 20 04:56:20 2012 +0000

    Merge "Use dateutil 1.5"

commit 565e3293057b91f3540b19c7891df09f6323f30b
Merge: 70e5a00 1b44286
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jan 20 04:46:42 2012 +0000

    Merge "fix bug lp:843064"

commit 159757ccf9faca7581fc8d29f5d1b16afb615358
Author: Ziad Sawalha <github@highbridgellc.com>
Date:   Thu Jan 19 22:36:35 2012 -0600

    Use dateutil 1.5
    
    - 2.0 has problems on some platforms with
      python 2.x
    
    Change-Id: Ic6b243b352b4fdf24c91d00ded9199b7bfd0ec64

commit d8ddc074f026a2b7c72cdb2107ed8ff790a4bb5f
Author: termie <github@anarkystic.com>
Date:   Thu Jan 19 20:36:06 2012 -0800

    get docs working

commit ed8bf3b7066a7cf6e80d04ab82788cdb89ade3f2
Merge: e34e694 f40198d
Author: Andy Smith <github@anarkystic.com>
Date:   Thu Jan 19 20:33:00 2012 -0800

    Merge pull request #19 from 4P/basedocs
    
    Basedocs

commit e34e694ee85c0c453a1779fe5f90fa6debae52e5
Merge: ea78b2e c83bcb1
Author: Andy Smith <github@anarkystic.com>
Date:   Thu Jan 19 20:15:48 2012 -0800

    Merge pull request #20 from termie/no_pass_field
    
    add checks for no password attribute

commit ea78b2e4fcdefd13e35cb1eb28559f18a9cc6f1c
Author: termie <github@anarkystic.com>
Date:   Thu Jan 19 15:54:14 2012 -0800

    some cli improvements
    
    prints available commands and config values when no arguments are given
    prints available subcommands when command is given but no subocmmand is

commit d8b499bd6dc1fe87c824b9a03dcbb6f5bd574b12
Merge: 0df93eb 2a91b1c
Author: Andy Smith <github@anarkystic.com>
Date:   Thu Jan 19 20:09:39 2012 -0800

    Merge pull request #18 from termie/fail_login
    
    test login fails with invalid password or disabled user

commit c83bcb1aac9bcbf0ceea7bf4defa905490bebf05
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Thu Jan 19 18:37:30 2012 -0800

    add checks for no password attribute

commit 70e5a00c1f26c9568c5d992b4367131c1148587b
Author: Ziad Sawalha <github@highbridgellc.com>
Date:   Thu Jan 19 20:24:45 2012 -0600

    Prestage fix
    - fixed requirement name; python-dateutil, not dateutil
    
    Change-Id: Idda16107e0a86aeaded7c63e51a8fa38e51d8764

commit f2825c997d5c88657478def080f8608ef322047e
Merge: 0d46091 2d18686
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jan 20 02:20:37 2012 +0000

    Merge "Pre-staging pip requires"

commit 2a91b1c06e8aa50ea603fd1c104ddea8e1649230
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Thu Jan 19 18:13:05 2012 -0800

    users with correct credentials but disabled are forbidden not unauthorized

commit 0d46091ee11000be4fe0e3c6bf6889b42817c9d2
Merge: 50b22cb 7c0529f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jan 20 02:11:02 2012 +0000

    Merge "Bug #916199: keystone-manage service list fails with AttributeError on Service.description"

commit 50b22cbf912747d89bbc487b20a67d4b2232d55c
Merge: 31f7770 3d08211
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jan 20 02:01:51 2012 +0000

    Merge "Fix LDAP Schema Syntax (bug 904380)"

commit 2d186861c94ab83bd670bbb536970b3e6a9ca612
Author: Ziad Sawalha <github@highbridgellc.com>
Date:   Thu Jan 19 19:59:39 2012 -0600

    Pre-staging pip requires
    
    - Need to get a pip requires update in to be able to
      update the venv so that a patch with a new requires
      can get in. This is for https://review.openstack.org/#change,3185
    
    Change-Id: I99dd6ff554fc384eca7f597ad12ea71acf40930f

commit f40198dece0b3729e6eb70abaa972bd73ee827da
Author: Joe Heck <heckj@mac.com>
Date:   Thu Jan 19 17:30:27 2012 -0800

    shimming in basics from original keystone

commit 3d2bb3a355274c6ce013fb03accb4811d467939e
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Thu Jan 19 17:15:03 2012 -0800

    test login fails with invalid password or disabled user

commit ffeb0e558ca1108df02c53c9170e73020e57e67c
Author: Joe Heck <heckj@mac.com>
Date:   Thu Jan 19 01:52:44 2012 +0000

    doctry

commit 0df93ebd19eae6e44d12572d7924a98ef2d6b022
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Thu Jan 19 16:25:26 2012 -0800

    use token_client in token tests

commit 71faa9f0e11a6645f2b6596d325695057a508ba6
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Thu Jan 19 16:11:31 2012 -0800

    remove duplicate pycli from pip-requires

commit de3c0917b33e33dda09e61bfd5a5f40562afea5e
Merge: 781feaf ecabdd1
Author: Andy Smith <github@anarkystic.com>
Date:   Thu Jan 19 16:01:26 2012 -0800

    Merge pull request #15 from termie/negative_tests
    
    add (failing) tests for unauthorized ec2 crud

commit ecabdd1a7068dadb5603ddbaa3bb38615916d103
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Thu Jan 19 15:58:30 2012 -0800

    fix ec2 sql config

commit 21cfcfc38e0e605197405cff73d37b0fb5924a64
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Thu Jan 19 15:48:28 2012 -0800

    get_client lets you send user and tenant

commit cbc1558ea676456f163b3e060a781cfe21f9932b
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Thu Jan 19 15:44:48 2012 -0800

    update how user is specified in tests

commit c1fe99854c4a4082d377de07d1c925abcddb01a9
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Wed Jan 18 11:23:43 2012 -0800

    rename ec2 tests to be more explicit

commit e567fb91464798d11005dc9a7c53e8dce5726ac3
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Wed Jan 18 11:23:22 2012 -0800

    use the sql backend for ec2 tests

commit 88b0a4bbd1353933614270b90477901a18d6ce7b
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Tue Jan 17 21:48:31 2012 -0800

    more failing ec2 tests

commit f28a03cf2094d8ba5b64dfea7554afce3ec309a3
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Tue Jan 17 21:39:01 2012 -0800

    add METADATA for boo

commit 7b4c26d603d3dc03578f7e2043d20660054e8a05
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Tue Jan 17 21:03:27 2012 -0800

    add (failing) tests for scoping ec2 crud

commit 31f7770add8c7fc2979295cf97bb10be8b3a00c1
Merge: e81ce0a 7681a01
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jan 19 21:20:45 2012 +0000

    Merge "Exception raise error"

commit e81ce0a9b5230778bf730521e0484cb1e64d4fb8
Merge: 8d9ace7 e03ff6e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jan 19 21:11:18 2012 +0000

    Merge "Updates to middleware to deprecate X_USER"

commit 781feaf6a8efb015db1be732f025c2d4339ab656
Author: termie <github@anarkystic.com>
Date:   Thu Jan 19 12:41:08 2012 -0800

    add some docs that got overwritten last night

commit 7c0529fac859c9131aae3986d81fdb10810a49c1
Author: Ewan Mellor <ewan.mellor@citrix.com>
Date:   Fri Jan 13 14:01:34 2012 -0800

    Bug #916199: keystone-manage service list fails with AttributeError on Service.description
    
    Make sqlalchemy.api.service take a keystone.models.Service into create, and
    return the same from get_all.  This replaces their use of
    sqlalchemy.models.Service in these positions.  This is consistent with
    User, Tenant, Token, and fixes the bug referenced above.
    
    Added unit tests for keystone.manage.api.{list_services,add_service,
    add_token}.  The latter isn't actually related to this bug (that call turned
    out to be working fine) but I've written it so you may as well have it!
    
    Fix tearDown in test_backends.  These tests were leaving the DB layer in an
    invalid state, so the subsequent test_commands_v1 tests couldn't initialize.
    
    Change-Id: I63e24189832cb96454c085797bff4c5c09e10b70

commit 7681a01171b7ebdf8c0d578de5eb129af50b8600
Author: Zhongyue Luo <lzyeval@gmail.com>
Date:   Thu Jan 19 13:39:42 2012 -0500

    Exception raise error
    
    Fixes bug #916827
    
    As per: http://docs.python.org/library/stdtypes.html
    ?highlight=__exit__#contextmanager.__exit__
    
    Ionut Artarisi wrote:
    
    The exception passed in should never be reraised explicitly - instead,
    this method should return a false value to indicate that the method completed
    successfully and does not want to suppress the raised exception.
    This allows context management code (such as contextlib.nested) to easily
    detect whether or not an __exit__() method has actually failed.
    
    Change-Id: I79bbac32b5c99742b5cb283c6e55e6204bf92adc

commit 8d9ace78ee467a7c866d74343a1f50d9a3afc670
Merge: 7f97469 eedd271
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jan 19 18:17:58 2012 +0000

    Merge "Revert "Exception raise error""

commit 7f97469b11c17ee47296a1068d2237517d47b34e
Merge: 45c62a8 fa95e14
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jan 19 18:10:46 2012 +0000

    Merge "Bug #915544: keystone-manage version 1 commands broken when using flags"

commit e03ff6e291a0679bcbaf1a28ec0f5b8a5319b461
Author: Ziad Sawalha <github@highbridgellc.com>
Date:   Fri Jan 13 14:34:30 2012 -0600

    Updates to middleware to deprecate X_USER
    
    - There is an outstanding issue where we return the user id
      for the legacy X-User header, but the documentation says
      it should be the 'name the user logged in with'. I did not
      fix this in this commit until we discuss with other teams.
    
    Change-Id: Ibf2acf5bb594b889b5c220ea00d777ac528175b0

commit eedd27127626e35601df7c6257b32f73290482c6
Author: Zhongyue Luo <lzyeval@gmail.com>
Date:   Thu Jan 19 06:30:29 2012 +0000

    Revert "Exception raise error"
    
    This reverts commit 45c62a8e86bbd35a50fefe33248b01f6482982a8

commit 89c378c2400d697059b3e5d81f65814424604c05
Author: termie <github@anarkystic.com>
Date:   Wed Jan 18 21:46:39 2012 -0800

    fix pep8

commit f22623491758097445d9dfcceb3a307eea5979bf
Author: termie <github@anarkystic.com>
Date:   Wed Jan 18 21:21:29 2012 -0800

    update tests

commit fc79bbe7f4f6622a570d704e3e0d4ac248a30ec4
Author: termie <github@anarkystic.com>
Date:   Wed Jan 18 21:15:14 2012 -0800

    update some names

commit e2f04f224e36c16430d7f7430b05d625ca5145a1
